2005-02-25 15:30  milvang

	* net/sf/colossus/client/MilvangAI.java:

	New AI type, so far a RationalAI with a different split algorithm.
	
2005-02-25 15:29  milvang

	* net/sf/colossus/server/Constants.java:

	Added the MilvangAI
	
2005-02-25 15:29  milvang

	* net/sf/colossus/client/RationalAI.java:

	Minor fixes and made methods more visible to allow the new MilvangAI.
	
2005-02-25 15:13  milvang

	* net/sf/colossus/client/SimpleAI.java:

	Added a toString to the Powerskill class
	
2005-02-25 15:12  milvang

	* net/sf/colossus/: server/Game.java, server/Legion.java,
	client/LegionInfo.java, client/Client.java:

	Updated communication between server and client in with respect to creating and destroying legions.
	
2005-02-25 15:09  milvang

	* net/sf/colossus/client/PredictSplitNode.java:

	Fixed a bug in 3-way splits resulting in a merge.
	
2005-02-25 15:05  milvang

	* Abyssal9/Abyssal9Hint.java:

	Minor improvements to recruit strategy
	
2005-02-22 02:42  dripton

	* net/sf/colossus/: client/PlayerInfo.java, client/SimpleAI.java,
	client/StatusScreen.java, server/GetPlayers.java:

	From Daniel Albers:
	Fix no markers available bug in PlayerInfo
	Fix split with no markers in SimpleAI
	Color-code player names in StatusScreen
	Fix minor bug in GetPlayers
	
2004-11-28 15:12  dolbeau

	* net/sf/colossus/: server/Dice.java, util/DevRandom.java:

	Stats on D6 results, plus support for some more random devices. Does anyone see biased results?
	
2004-11-05 17:00  dolbeau

	* net/sf/colossus/client/CreatureCollectionView.java:

	Add a JScrollPane to the caretaker's stack display, and a customized FlowLayout to make it work. The code is a bit ugly, but it works for me...
	
2004-06-08 01:59  corwinjoy

	* build.xml:

	Undo javamake path change to build.xml
	
2004-06-07 23:38  corwinjoy

	* net/sf/colossus/client/: Movement.java, RationalAI.java,
	SimpleAI.java:

	Updated hex battle code in SimpleAI to make it smarter about terrain bonuses and better protect Titan.
	
	Upgraded RationalAI to correctly factor in Angel musters for expected battle results.  Upgraded lookahead to consider second level movement in evaluateMove as apossible opportunity to attack groups.  This lets it better hunt enemy titan groups.
	
2004-05-31 18:20  corwinjoy

	* build.xml, net/sf/colossus/client/PlayerInfo.java,
	net/sf/colossus/client/RationalAI.java,
	net/sf/colossus/server/Player.java:

	Upgrade RationalAI to be able to identify Human players regardless of name.
	
2004-05-26 03:32  dripton

	* net/sf/colossus/client/: BattleMap.java, Client.java,
	GUIBattleHex.java, GUIHex.java, GUIMasterHex.java, Hex.java,
	HexMap.java, MasterBoard.java, MasterHex.java:

	Peter Becker's hex refactoring
	
2004-05-16 01:17  dripton

	* net/sf/colossus/client/SaveWindow.java:

	Restore a window's saved location even if it's not onscreen.
	
2004-05-13 02:47  dripton

	* net/sf/colossus/client/EngagementResults.java:

	Changed "In turn" to "On turn".
	
2004-05-13 02:45  dripton

	* net/sf/colossus/client/: EngagementResults.java,
	MasterBoard.java:

	Ran jacobe to eradicate hard tabs.
	
2004-05-11 18:53  milvang

	* Abyssal9/Abyssal9Hint.java:

	Added code to recruit knights in tower when a stack can.
	
2004-05-11 18:51  milvang

	* net/sf/colossus/client/RationalAI.java:

	Added a small bit of code to allow rationalAI to load games saved during its move.
	
2004-05-04 18:24  milvang

	* net/sf/colossus/client/EngagementResults.java:

	Pressing last now makes the results move alng like they used to.
	
2004-05-04 12:33  dripton

	* build.xml, docs/TODO.txt:

	Make inst and remote-inst depend on clean, to help keep cruft like
	   outdated .class files out of releases.
	
2004-05-03 13:28  peterbecker

	* net/sf/colossus/client/EngagementResults.java:

	Bugfix: engagement result hopefully ok now when noone survives.
	
	The old version had the problem, that the situation when noone survives was not
	properly handled in the layout, resulting in the winner of the engagement shown
	before to be displayed. This change hopefully fixes it (hard to test, thus guessing).
	
2004-05-03 13:24  peterbecker

	* net/sf/colossus/client/EngagementResults.java:

	Trimmed the engagement results to a two line summary.
	
	In the engagement result dialog the top panel contains now two lines of text, not
	four. It is still the same information, just rephrased to make betteruse of the 
	space available.
	
2004-05-03 13:05  peterbecker

	* net/sf/colossus/client/MasterBoard.java:

	Legion flyouts now have a border of their owner's color.
	
2004-04-30 09:05  peterbecker

	* net/sf/colossus/client/MasterBoard.java:

	Holding the Shift key now shows all legion contents.
	
	Whenever the Shift key is pressed, small panels pop up showing the content of each
	legion on the master board. They disappear once the key is released.
	
	Problems:
	- panels might be placed partly outside visible area
	- panels can overlap
	- dragging the panels is possible, but jumpy
	
2004-04-29 23:20  peterbecker

	* net/sf/colossus/client/: Client.java, EngagementResults.java:

	More engagement result dialog design changes.
	
	Now the dialog moves to the new engagement if either
	- the engagement happens in the player's turn
	- it is the first one after the player's turn
	
	The idea behind this design is that the dialog content moves along with the player
	when the player is in charge of the game tempo, but if the player is only passive
	the engagements stop moving until the player takes control by either continuing
	to play or by clicking the next button.
	
	The "Next" and "Hide" have been split into two buttons, each with their own
	distinct functionality.
	
	The GUI layout happens only once, except for the panels with the chits. The
	latter should be changed later on since it is the only thing stopping us from
	showing the empty dialog.
	
2004-04-28 08:39  peterbecker

	* net/sf/colossus/client/: EngagementResults.java, SaveWindow.java:

	Some EngagementResults enhancements.
	
	- dialog remembers position between session
	- dialog remembers all engagements
	- first unacknowledged result will be shown on popup, bnrowsing backwards and
	  forwards is possible.
	
2004-04-28 06:19  peterbecker

	* net/sf/colossus/: client/BattleChit.java, client/RationalAI.java,
	client/AiCreatureInfo.java, client/BattleDice.java,
	client/Client.java, client/Concede.java,
	client/EngagementResults.java, client/IOptions.java,
	client/PickRecruit.java, client/PredictSplitNode.java,
	client/PredictSplits.java, client/ShowCreatureDetails.java,
	server/Server.java, server/SocketServerThread.java,
	server/Start.java, server/VariantSupport.java,
	util/MultiSetTest.java, xmlparser/BattlelandLoader.java,
	xmlparser/VariantLoader.java:

	Removed unused code.
	
	Some unused imports, private members, local variables and private methods have
	been removed.
	
2004-04-27 18:56  milvang

	* net/sf/colossus/: server/Server.java, server/Game.java,
	server/SocketServerThread.java, server/Battle.java,
	client/Client.java, client/EngagementResults.java,
	client/IClient.java, client/SocketClientThread.java:

	Updated Engagement log window. Now only 3 lines, but should show everything correctly.
	
2004-04-22 20:12  milvang

	* net/sf/colossus/client/RationalAI.java:

	Improved the move finder algorithm, and made a few methods more visible.
	
2004-04-22 20:05  milvang

	* net/sf/colossus/client/PredictSplitNode.java:

	Added code to merge to allow recombining affter a 3-way split.
	
2004-04-21 04:09  dripton

	* net/sf/colossus/client/: AI.java, Client.java, SimpleAI.java:

	Add framework for the AI to choose whether to take a strike penalty.  The
	   actual code is still a placeholder, just moved to the right place.
	
2004-04-18 01:37  dripton

	* net/sf/colossus/: server/Start.java, util/Log.java:

	Log tracebacks of terminal exceptions.
	
2004-04-17 15:59  dripton

	* net/sf/colossus/server/Start.java:

	Add try/catch block so we can log fatal exceptions.
	
2004-04-16 04:23  dripton

	* net/sf/colossus/client/: RationalAI.java, SimpleAI.java:

	Make RationalAI extend SimpleAI.  Remove duplicate code.  Change private
	   access to default where needed to allow use by subclass.
	
2004-04-10 01:08  dripton

	* net/sf/colossus/client/PredictSplitNode.java:

	Large patch from Kim.  Mostly refactoring.
	
2004-04-10 01:06  dripton

	* docs/Credits.html:

	Add Kim Milvang-Jensen
	
2004-04-10 01:04  dripton

	* docs/network.html:

	Note that IRC channel is dead.
	
2004-04-10 01:01  dripton

	* net/sf/colossus/client/CreatureInfoComparator.java:

	Add certainty as a tertiary search criterion.
	
2004-04-10 00:58  dripton

	* prototypes/balance.pl:

	Add check for no players.
	
2004-04-09 21:29  dripton

	* net/sf/colossus/client/PredictSplitsTest.java:

	Remove test 4, which broke with Kim's changed code because it made
	   low-level assumptions that no longer held.
	Add test 5.
	
2004-03-31 02:14  dripton

	* prototypes/test_predictsplits.py:

	Add uncertain creature counts to test 5.
	
2004-03-31 02:13  dripton

	* prototypes/predictsplits.py:

	Ensure that removeCreature removs a certain creature, not an uncertain
	   one of the same type.
	
2004-03-27 04:00  dripton

	* net/sf/colossus/client/: LegionInfo.java, PredictSplitNode.java,
	PredictSplits.java, PredictSplitsTest.java:

	(modified version of change from Kim Milvang-Jensen)
	Split out class Node from PredictSplits into its own file, and rename it
	   PredictSplitNode for context.
	Move AllPredictSplits into PredictSplitsTest, since it's only used there.
	
2004-03-23 01:56  dripton

	* net/sf/colossus/server/: Game.java, History.java, Server.java:

	Bug 919037.
	Fix revealing creatures when loading game.
	Refactor reveal code.
	
2004-03-22 02:17  dripton

	* docs/TODO.txt, net/sf/colossus/client/ChooseScreen.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/EngagementResults.java,
	net/sf/colossus/client/IOptions.java,
	net/sf/colossus/client/IOracle.java,
	net/sf/colossus/client/SaveWindow.java,
	net/sf/colossus/client/StatusScreen.java:

	Add IOracle and IOptions interfaces to start making Client less of a
	   God class.
	s/choosen/chosen/
	Remove a couple of unneeded methods.
	
2004-03-17 04:19  dripton

	* docs/TODO.txt:

	2 bugs that haven't been moved to the tracker yet.
	
2004-03-17 04:01  dripton

	* net/sf/colossus/client/PlayerInfo.java:

	Bug 908621 - when loading a game, tried to split and use markersAvailable
	   while it was still null.  Fix is to initialize it to non-null earlier.
	
2004-03-17 02:25  dripton

	* net/sf/colossus/server/: Game.java, History.java, Legion.java,
	Server.java:

	Add turn number to all savegame history elements.
	Law of Demeter refactoring to hide History inside Game.
	
2004-03-17 02:24  dripton

	* net/sf/colossus/client/PredictSplitsTest.java:

	Add test 12, which shows no new bugs.
	
2004-03-17 02:18  dripton

	* prototypes/test_predictsplits.py:

	Add new test 12.  It showed no bugs, but might help avoid regressions.
	
2004-03-17 02:17  dripton

	* prototypes/: snaptotestcase.py, wrap.py:

	Add line wrapping module to make generated code prettier.
	Generate Python code with single quotes instead of double.
	Use new turn attributes in other than split and merge elements.
	
2004-03-14 01:59  dripton

	* net/sf/colossus/client/EngagementResults.java:

	Patch from Tad Hetke to not show the dialog after all engagements are
	   dropped.
	
2004-03-12 03:11  dripton

	* net/sf/colossus/client/: PredictSplits.java,
	PredictSplitsTest.java:

	Synch split() and tests with latest Python versions.
	
2004-03-12 03:10  dripton

	* prototypes/test_predictsplits.py:

	Cleanup.
	
2004-03-12 01:19  dripton

	* prototypes/predictsplits.py:

	Refactor split method
	
2004-03-11 22:54  dripton

	* prototypes/: predictsplits.py, test_predictsplits.py:

	Fix a certainty bug in split
	Add test case 9, which showed the bug.
	Use new-style classes.
	Add several convenience methods for unit testing.
	Move AllPredictSplits into predictsplits package, and make it extend list.
	
2004-03-10 02:26  dripton

	* net/sf/colossus/: client/Client.java,
	client/EngagementResults.java, client/MasterBoard.java,
	util/Options.java:

	Make EngagementResults optional, and try to improve its focus handling.
	
2004-03-06 19:54  dripton

	* net/sf/colossus/client/PredictSplits.java:

	Abort early from split if certain is not a superset of knownCombo.  The
	   split will be redone after information reaches the parent.
	Make revealCreatures return True if information was sent to the parent.
	   Use this in _updateChildContents to avoid calling split too often
	   and entering infinite mutual recursion.
	Use lists of creature names instead of CreatureInfo objects in split()
	   and methods it calls, to simplify the code.
	Add hasSplit(), getChildren() to clean up code
	Add more exceptions to fail fast on bugs..
	Use a Set to eliminate duplicates in findAllPossibleSplits()
	Remove unused code.
	
2004-03-06 19:23  dripton

	* net/sf/colossus/client/PredictSplitsTest.java:

	Change various asserts to match (presumably correct) Python tests.
	
2004-03-06 19:23  dripton

	* prototypes/: predictsplits.py, test_predictsplits.py:

	Minor cleanups.
	Add an assert to match a Java test.
	
2004-03-06 02:04  dripton

	* prototypes/predictsplits.py:

	Refactor split
	
2004-03-06 00:22  dripton

	* prototypes/predictsplits.py:

	Abort early from split if certain is not a superset of knownCombo.  The
	   split will be redone after information reaches the parent.
	Make revealCreatures return True if information was sent to the parent.
	   Use this in _childCreaturesMatch to avoid calling split too often
	   and entering infinite mutual recursion.
	Use lists of creature names instead of CreatureInfo objects in split
	   and methods it calls, to simplify the code.
	Add hasSplit, getChildren to clean up code
	Add more asserts
	Use a Set to eliminate duplicates in _findAllPossibleSplits and getLeaves
	Remove unused code.
	
2004-03-06 00:11  dripton

	* prototypes/test_predictsplits.py:

	Fix a few certainty tests.
	Cleanup.
	
2004-03-02 23:35  dripton

	* prototypes/test_predictsplits.py:

	Add test8.
	Remove long docstrings.
	
2004-03-02 01:46  dripton

	* docs/TODO.txt,
	net/sf/colossus/client/CreatureInfoComparator.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/RationalAI.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/server/Creature.java:

	Only call SimpleAI.getKillValue() from inside SimpleAI, to avoid NPE
	   from lack of correct initialization.  Use Creature.getKillValue()
	   instead.  Mark the SimpleAI version as private as a reminder.
	
2004-02-29 04:48  dripton

	* net/sf/colossus/client/Client.java:

	Do not use splitoffs arg to didSplit()  (TODO: Don't pass at all?)
	
2004-02-29 04:47  dripton

	* net/sf/colossus/client/CreatureInfo.java:

	Throw an exception if name is ""
	
2004-02-29 04:46  dripton

	* net/sf/colossus/client/PredictSplits.java:

	Remove splitoffs arg to split()
	
2004-02-29 04:46  dripton

	* net/sf/colossus/client/LegionInfo.java:

	If getNode() returns null, return height of 0 not 8.
	Remove splitoffs argument to split()
	
2004-02-29 04:45  dripton

	* net/sf/colossus/client/PredictSplitsTest.java:

	Add an assert in test 7 to show a small certainty bug.
	
2004-02-29 04:41  dripton

	* build.xml:

	Get rid of warning from clean target.
	
2004-02-26 04:46  dripton

	* net/sf/colossus/client/CreatureInfoList.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/PredictSplitsTest.java,
	prototypes/test_predictsplits.py:

	Port latest Python split prediction logic and test 7 to Java.
	   There is one point (marked XXX) where the test gives different results,
	   so the port is not quite perfect.
	
2004-02-26 04:45  dripton

	* net/sf/colossus/client/LegionInfo.java:

	Add markerId to null pointer error message.
	
2004-02-26 04:19  dripton

	* docs/TODO.txt:

	Cleanup.
	
2004-02-26 02:49  dripton

	* prototypes/: predictsplits.py, test_predictsplits.py:

	Fix typo in allDescendentsCertain, and broken test case.
	
2004-02-26 01:29  dripton

	* prototypes/test_predictsplits.py:

	Remove the last several turns from test 7, since their data was bad.
	Remove debug code.
	
2004-02-26 01:28  dripton

	* prototypes/predictsplits.py:

	This appears to finally fix the certainty bug.
	Change _updateChildContents to tell the parent about the sum of known
	   creatures in both children.
	Use split instead of _updateParentContents / _resplitDescendents
	Remove debug code.
	
2004-02-25 04:05  dripton

	* net/sf/colossus/client/Client.java:

	Remove silly random phase advances from recoverFromNak()
	Add showMessageDialog(errmsg) to several places in recoverFromNak()
	Add automatic phase advancing for non-AI players with nothing to do
	   in the split, engagement, and muster phases.
	Add optional minHeight argument to findTallLegionHexes(), so we can
	   also use it to see if there are any legal splits.
	
2004-02-25 04:03  dripton

	* net/sf/colossus/client/CreatureInfoList.java:

	Refactor iterator while loops to for loops.
	
2004-02-25 04:01  dripton

	* net/sf/colossus/server/Game.java:

	Add auto-advance for dead players back in setupMuster()
	
2004-02-25 03:02  dripton

	* net/sf/colossus/server/Server.java:

	Capitalize error messages sent to Client.nak()
	
2004-02-25 02:45  dripton

	* prototypes/test_predictsplits.py:

	Add missing split of Gr02 to test 7.
	
2004-02-25 02:44  dripton

	* net/sf/colossus/client/PredictSplitsTest.java:

	Remove non-Green legions from test 7.
	Add test 8.
	
2004-02-25 02:33  dripton

	* prototypes/dotcmd:

	Shell script to convert .dot files to .png files using Graphviz.
	
2004-02-25 02:33  dripton

	* prototypes/predictsplits.py:

	Show removed creatures in Node.__str__ and several split-related methods.
	Abort early from revealCreatures only if all of the legion's descendents,
	   not just its children, are certain.
	In split, if knownKeep or knownSplit contains uncertain creatures, return
	   rather than dying on an assertion failure.  This is wrong.
	Remove certain parent test from _updateParentContents.  A certain sibling
	   is enough to give this legion's creatures the same certainty they
	   had in the parent.  If this legion had creatures not found in the
	   parent at split, update the parent.  Call split from
	   _updateParentContents if this legion has children.
	Add dumpAsDot, which emits Graphviz dot files as a debugging aid.
	Removed unused code.  Clean up docstrings.  Reduce debug logging.
	
2004-02-25 02:24  dripton

	* prototypes/test_predictsplits.py:

	Dump nodes and dot files to help debug.
	Add asserts to test 7.
	
2004-02-23 00:32  dripton

	* prototypes/: predictsplits.py, test_predictsplits.py:

	Add failing test case.
	Abort early from revealCreatures if nothing new is revealed.
	
2004-02-20 22:52  dripton

	* prototypes/: predictsplits.py, test_predictsplits.py:

	Add Node._updateParentContents, which traverses back down the tree from
	   parent to children after resplitting the parent, updating the certainty
	   on any child which has a certain parent and a certain sibling.
	Mark private methods of Node with _
	Eliminate Node.getCreatureNames in favor of the function version.
	Add Node.getSibling
	
2004-02-20 12:44  dripton

	* prototypes/: predictsplits.py, test_predictsplits.py:

	Debug code.
	
2004-02-20 02:55  dripton

	* prototypes/predictsplits.py:

	In Node.split, if one of the child legions is fully known, then carry
	   through the certainty of the remaining creatures to the other child,
	   rather than marking them as unknown.
	Use list comprehensions.
	Compare to None with is rather than ==.
	
2004-02-20 01:53  dripton

	* prototypes/test_predictsplits.py:

	Add a test that shows the bug where one legion has one uncertain creature.
	
2004-02-19 04:57  corwinjoy

	* net/sf/colossus/client/RationalAI.java:

	Fix bug in flee logic for Human Hater.  Make HumanHater more aggressive about early attacks.
	
2004-02-19 03:43  dripton

	* net/sf/colossus/client/: CreatureCollectionView.java,
	EngagementResults.java, StatusScreen.java:

	setFocusable(false) in dialogs that should not get keyboard focus.
	
2004-02-17 03:36  dripton

	* net/sf/colossus/: client/Client.java, client/IClient.java,
	client/SocketClientThread.java, server/Constants.java,
	server/Game.java, server/Server.java,
	server/SocketServerThread.java:

	Remove all automatic phase advancing on server side.  TODO: Add some of
	   it back on the client side.
	Make Client.showMessageDialog() private.  Remove calls to it from server
	   side.  TODO: Need to add these dialogs back, on client side, using
	   arguments to nak()
	Get rid of Client.nakable, and instead pass it as an argument to nak()
	Remove all synchronization from Client, to eliminate deadlocks.
	Fix == versus .equals() bug.
	Call focusBoard() from setupMuster(), to work around EngagementResults
	Move call to kickBattleMove() outside if test in handleFailedBattleMove()
	
2004-02-17 03:28  dripton

	* docs/TODO.txt:

	Bug, auto-advance on client needed
	
2004-02-16 19:30  dripton

	* net/sf/colossus/client/PredictSplits.java:

	Add "PS" to debug statements from split predictor.
	
2004-02-16 19:29  dripton

	* net/sf/colossus/: server/Constants.java, server/Game.java,
	server/Server.java, server/SocketServerThread.java,
	client/Client.java, client/IClient.java,
	client/SocketClientThread.java:

	Remove highlightEngagements from public client API.  Let the client figure
	   out when to do this by itself.
	
2004-02-16 17:09  dripton

	* Unified/: UnifiedTer.xml, UnifiedVar.xml:

	Add Default as the first dependency.  This fixes double writing on Angels.
	Change Castle color from white to light gray so highlighting is visible.
	
2004-02-16 17:06  dripton

	* docs/Variant-HOWTO.html:

	Make note about Hint files.
	
2004-02-16 17:03  dripton

	* Abyssal9/: Abyssal9Hint.java, Abyssal9Var.xml:

	Bug 872709.  Abyssal9 needs a hint file, because its towers are numbered
	   differently.
	
2004-02-16 07:51  corwinjoy

	* Default/DefaultHint.java:

	Fixed minor bug.  DefaultHint.java cannot include itself.
	
2004-02-15 03:35  dripton

	* Abyssal6/Abyssal6Hint.java, Badlands/BadlandsHint.java,
	Balrog/BalrogHint.java, Beelzebub/BeelzebubHint.java,
	Beelzebub12/Beelzebub12Hint.java, Default/DefaultHint.java,
	ExtTitan/ExtTitanHint.java, Pantheon/PantheonHint.java,
	SmallTitan/SmallTitanHint.java, TitanPlus/TitanPlusHint.java,
	Undead/UndeadHint.java, docs/TODO.txt:

	Fix bug in all hints by converting list of Creatures to list of Strings.
	
2004-02-15 03:34  dripton

	* net/sf/colossus/server/Creature.java:

	Fix typos.
	
2004-02-15 03:34  dripton

	* prototypes/: predictsplits.py, snaptotestcase.py,
	test_predictsplits.py:

	Split unit tests into separate file.
	Add another unit test.
	
2004-02-14 23:33  corwinjoy

	* Default/DefaultHint.java, net/sf/colossus/client/RationalAI.java:

	Update RationalAI to be smarter about splitting so that it will continue to split.  Aslo fix bug in HumanHaterAI that caused legions to flee or concede incorrectly.
	
2004-02-14 02:23  dripton

	* net/sf/colossus/: server/Server.java,
	xmlparser/CreatureLoader.java:

	Error logging.
	
2004-02-12 05:06  dripton

	* net/sf/colossus/: client/Client.java, client/RationalAI.java,
	server/Server.java:

	Debug code for hang in split phase.
	
2004-02-12 05:05  dripton

	* build.xml:

	Delete javamake.pdb in clean target.  Remove fullyclean target.
	
2004-02-12 04:22  dripton

	* Beelzebub/images/FireElemental.gif,
	ExtTitan/images/FireElemental.gif, ExtTitan/images/Jabberwok.gif:

	Keith fixed background color that was slightly off-white.
	
2004-02-12 04:17  dripton

	* docs/TODO.txt:

	Note a couple of minor problems that need fixing.
	
2004-02-12 04:16  dripton

	* net/sf/colossus/server/: Critter.java, Server.java:

	Move various error checks from Critter to Server, where they can be
	   more easily naked back at the client.
	Add naks to various phase advancing calls that could fail.
	
2004-02-12 04:14  dripton

	* net/sf/colossus/client/Client.java:

	Try to detect and recover from nak() calls from the Server.
	Revamp handling of failed AI battle moves.
	Remove the timers used to try to advance phases after battle moves or
	   splits, in favor of proper callback handlers.
	
2004-02-12 04:12  dripton

	* net/sf/colossus/server/Game.java:

	Remove the logic to automatically advance past the split phase if there
	   are no eligible splits.  It caused double-advances when an AI player
	   split its last eligible legion or used its last marker.
	
2004-02-12 04:11  dripton

	* net/sf/colossus/: client/AiCreatureInfo.java,
	client/SimpleAI.java, server/Creature.java:

	Move AiCreatureInfo out of SimpleAI into its own file, since it may be
	   reused by other AIs.
	Move the simplest version of getKillValue() out of SimpleAI into Creature,
	   where it's easier to statically initialize correctly.  This fixes
	   bugs caused by trying to do static initialization in SimpleAI's
	   constructor, where it's not guaranteed to happen soon enough at the
	   beginning of the game, or at all if no SimpleAI players are involved.
	
2004-02-10 04:48  dripton

	* SmallTitan/: SmallTitanHint.java, SmallTitanVar.xml:

	Bug 866532: Fix SmallTitan by adding hint file with correct tower hex
	   numbers.
	
2004-02-09 04:33  dripton

	* Colossus.jnlp, unix.jnlp, win.jnlp, META-INF/MANIFEST.MF:

	Take Batik jars out of classpaths and download lists, until we have
	   enough good SVGs to make it worth the download size increase.
	
2004-02-09 04:32  dripton

	* build.xml:

	Make sign target only sign Colossus.jar.  Add signall target that also
	   signs everything in the libs directory.
	
2004-02-09 04:28  dripton

	* Beelzebub/images/: AirElemental.gif, Archdevil.gif, Archmage.gif,
	Basilisk.gif, Beelzebub.gif, Chimera.gif, Death.gif, Devil.gif,
	Djinn.gif, EarthElemental.gif, Efreet.gif, Ent.gif, Ghost.gif,
	Goblin.gif, Golem.gif, Imp.gif, Knight.gif, Lich.gif, Mage.gif,
	Mammoth.gif, Manticore.gif, Mummy.gif, Naga.gif, Phantom.gif,
	Phoenix.gif, Shade.gif, Vampire.gif, WaterElemental.gif,
	Zombie.gif:

	Keith Carter's image edits for Beelzebub, minus the ones that Chris
	   said didn't belong.
	
2004-02-09 03:52  dripton

	* libs/: batik-awt-util.jar, batik-bridge.jar, batik-css.jar,
	batik-dom.jar, batik-ext.jar, batik-gvt.jar, batik-parser.jar,
	batik-script.jar, batik-svg-dom.jar, batik-transcoder.jar,
	batik-util.jar, batik-xml.jar, jdom.jar, junit.jar, werken.opt.jar:

	Check in signed jars.
	
2004-02-06 00:30  dripton

	* Unified/images/: Colossus.gif, Giant.gif, Hydra.gif, Unicorn.gif,
	Wyvern.gif:

	Bug 888880.  Local copies of these creatures to prevent double symbols.
	
2004-02-05 23:08  dripton

	* docs/README.html:

	Note that Colossus.jar no longer works standalone, because dependencies
	   have been split out.
	
2004-02-05 22:52  dripton

	* ExtTitan/images/: AirElemental.gif, Balrog.gif, Chimera.gif,
	EarthElemental.gif, Ent.gif, FireElemental.gif, Jabberwok.gif,
	Mammoth.gif, Manticore.gif, Salamander.gif, WaterElemental.gif,
	Wraith.gif:

	Keith Carter's improvements to ExtTitan images.
	
2004-02-05 22:51  dripton

	* Unified/images/: AirElemental.gif, Balrog.gif, BlackDragon.gif,
	BlueDragon.gif, Chimera.gif, EarthElemental.gif, Ent.gif,
	FireElemental.gif, GoldDragon.gif, GreenDragon.gif, Jabberwok.gif,
	Knight.gif, Lich.gif, Magog.gif, Mammoth.gif, Manticore.gif,
	Necromancer.gif, PurpleDragon.gif, Reaper.gif, RedDragon.gif,
	Salamander.gif, SilverDragon.gif, Skeleton.gif, Vampire.gif,
	WaterElemental.gif, Wraith.gif, Zombie.gif:

	Keith Carter's improvements to Unified images.
	
2004-02-05 00:48  dripton

	* Unified/images/Ghoul.gif:

	What was an 8-2 Orc counter doing as Ghoul.gif?
	
2004-02-04 13:25  dripton

	* docs/Credits.html:

	Add Keith Carter.
	
2004-01-29 04:28  dripton

	* Default/images/: Cyclops.gif, Guardian.gif, Ogre.gif:

	New Guardian, Ogre, Cyclops chits from Keith Carter.
	
2004-01-24 16:21  dripton

	* Default/Battlelands/: Brush.xml, Desert.xml, Hills.xml,
	Jungle.xml, Marsh.xml, Mountains.xml, Plains.xml, Swamp.xml,
	Tower.xml, Tundra.xml, Woods.xml:

	Remove non-portable DOCTYPE lines.
	
2004-01-23 11:23  dripton

	* net/sf/colossus/server/Constants.java:

	Remove "./" from varPath and defaultDirName, to fix Windows JWS problems.
	
2004-01-23 11:20  dripton

	* unix.jnlp, win.jnlp:

	Fix codebase paths.
	Add werken.opt and jdom jars
	
2004-01-23 03:52  dripton

	* unix.jnlp, win.jnlp, build.xml, run-jws, run-jws.bat:

	Move jnlp testing files up to the project root, so they can work with
	   jars in libs/.  Ick, but better than not testing.
	
2004-01-22 04:26  dripton

	* net/sf/colossus/util/HTMLColor.java:

	Add colors for sky, indigo, and pine colossi.
	
2004-01-22 04:01  dripton

	* docs/TODO.txt:

	Remove items that have been done, and add a couple of new ones.
	
2004-01-22 03:55  dripton

	* docs/Credits.html:

	Add several people.
	Reformat with nested lists.
	Run through HTML Tidy.
	
2004-01-22 03:03  dripton

	* build.xml:

	Add Beelzebub and B12 variants.
	
2004-01-22 03:03  dripton

	* Beelzebub12/: Beelzebub12Cre.xml, Beelzebub12Hint.java,
	Beelzebub12Map.xml, Beelzebub12Var.xml, README.txt:

	Beelzebub12, by Jay and Chris.
	
2004-01-22 03:02  dripton

	* Beelzebub/: BeelzebubCre.xml, BeelzebubHint.java,
	BeelzebubMap.xml, BeelzebubTer.xml, BeelzebubVar.xml, README.txt,
	Battlelands/Circle.xml, Battlelands/Hellmouth.xml,
	Battlelands/Ruins.xml, Battlelands/Tombs.xml,
	images/AirElemental.gif, images/Archdevil.gif, images/Archmage.gif,
	images/Basilisk.gif, images/Beelzebub.gif,
	images/Brambles_Hazard.gif, images/Chimera.gif, images/Death.gif,
	images/Devil.gif, images/Djinn.gif, images/EarthElemental.gif,
	images/Efreet.gif, images/Ent.gif, images/Fiend.gif,
	images/FireElemental.gif, images/Ghost.gif, images/Goblin.gif,
	images/Golem.gif, images/Imp.gif, images/Knight.gif,
	images/Lich.gif, images/Mage.gif, images/Mammoth.gif,
	images/Manticore.gif, images/Mummy.gif, images/Naga.gif,
	images/Phantom.gif, images/Phoenix.gif, images/Ruins.gif,
	images/Ruins_i.gif, images/Shade.gif, images/Skeleton.gif,
	images/Spectre.gif, images/Tombs.gif, images/Tombs_i.gif,
	images/Vampire.gif, images/WaterElemental.gif, images/Wraith.gif,
	images/Zombie.gif:

	Beelzebub variant, by Chris Byler and Jay Delanoy
	
2004-01-22 02:58  dripton

	* net/sf/colossus/server/GetPlayers.java:

	Jay - split dialog into three tabs.
	
2004-01-22 02:58  dripton

	* net/sf/colossus/server/Constants.java:

	Jay -- Beelzebub and B12 variants, 12 players, new colors.
	
2004-01-22 02:54  dripton

	* net/sf/colossus/client/StatusScreen.java:

	Jay's change to add "*" to names of players with titan teleport.
	
2004-01-22 02:53  dripton

	* net/sf/colossus/client/RationalAI.java:

	Remove comments about conflict -- it's correct.
	
2004-01-22 01:54  dripton

	* Default/MarkersName:

	New Pine, Indigo, Sky markers names by Jay.
	
2004-01-22 01:52  dripton

	* Default/images/: In01.gif, In02.gif, In03.gif, In04.gif,
	In05.gif, In06.gif, In07.gif, In08.gif, In09.gif, In10.gif,
	In11.gif, In12.gif, Pi01.gif, Pi02.gif, Pi03.gif, Pi04.gif,
	Pi05.gif, Pi06.gif, Pi07.gif, Pi08.gif, Pi09.gif, Pi10.gif,
	Pi11.gif, Pi12.gif, Sk01.gif, Sk02.gif, Sk03.gif, Sk04.gif,
	Sk05.gif, Sk06.gif, Sk07.gif, Sk08.gif, Sk09.gif, Sk10.gif,
	Sk11.gif, Sk12.gif:

	Jay DeLanoy's new Indigo, Pine, and Sky markers.
	
2004-01-22 01:26  dripton

	* Abyssal6/README.html, Abyssal9/README.html,
	Default/Battlelands/Brush.xml, Default/Battlelands/Desert.xml,
	Default/Battlelands/Hills.xml, Default/Battlelands/Jungle.xml,
	Default/Battlelands/Marsh.xml, Default/Battlelands/Mountains.xml,
	Default/Battlelands/Plains.xml, Default/Battlelands/Swamp.xml,
	Default/Battlelands/Tower.xml, Default/Battlelands/Tundra.xml,
	Default/Battlelands/Woods.xml, Infinite/README.html,
	Pantheon/README.html, Unified/README.html,
	docs/SplitPrediction.txt, net/sf/colossus/client/AI.java,
	net/sf/colossus/client/AcquireAngel.java,
	net/sf/colossus/client/BattleChit.java,
	net/sf/colossus/client/BattleDice.java,
	net/sf/colossus/client/BattleHex.java,
	net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/BattleMovement.java,
	net/sf/colossus/client/CaretakerInfo.java,
	net/sf/colossus/client/Chit.java,
	net/sf/colossus/client/ChooseScreen.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/Concede.java,
	net/sf/colossus/client/CowardSimpleAI.java,
	net/sf/colossus/client/CreatureCollectionView.java,
	net/sf/colossus/client/CreatureInfo.java,
	net/sf/colossus/client/CreatureInfoList.java,
	net/sf/colossus/client/CritterMove.java,
	net/sf/colossus/client/EngagementResults.java,
	net/sf/colossus/client/GUIBattleHex.java,
	net/sf/colossus/client/GUIMasterHex.java,
	net/sf/colossus/client/Hex.java,
	net/sf/colossus/client/HexMap.java,
	net/sf/colossus/client/HumanHaterRationalAI.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/Marker.java,
	net/sf/colossus/client/MarkerComparator.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/MasterHex.java,
	net/sf/colossus/client/Movement.java,
	net/sf/colossus/client/MovementDie.java,
	net/sf/colossus/client/Negotiate.java,
	net/sf/colossus/client/PickCarry.java,
	net/sf/colossus/client/PickColor.java,
	net/sf/colossus/client/PickEntrySide.java,
	net/sf/colossus/client/PickIntValue.java,
	net/sf/colossus/client/PickLord.java,
	net/sf/colossus/client/PickMarker.java,
	net/sf/colossus/client/PickRecruit.java,
	net/sf/colossus/client/PickRecruiter.java,
	net/sf/colossus/client/PickStrikePenalty.java,
	net/sf/colossus/client/PlayerInfo.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/PredictSplitsTest.java,
	net/sf/colossus/client/Proposal.java,
	net/sf/colossus/client/RationalAI.java,
	net/sf/colossus/client/ReplyToProposal.java,
	net/sf/colossus/client/SaveWindow.java,
	net/sf/colossus/client/Scale.java,
	net/sf/colossus/client/ShowAllRecruits.java,
	net/sf/colossus/client/ShowBattleMap.java,
	net/sf/colossus/client/ShowCreatureDetails.java,
	net/sf/colossus/client/ShowLegion.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/client/SplitLegion.java,
	net/sf/colossus/client/StartClient.java,
	net/sf/colossus/client/StatusScreen.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/client/SummonAngel.java,
	net/sf/colossus/server/BalancedTowersTest.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Caretaker.java,
	net/sf/colossus/server/CarryTest.java,
	net/sf/colossus/server/ConfigFileFilter.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/Critter.java,
	net/sf/colossus/server/CustomRecruitBase.java,
	net/sf/colossus/server/Dice.java,
	net/sf/colossus/server/DiceTest.java,
	net/sf/colossus/server/FileServerThread.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/GetPlayers.java,
	net/sf/colossus/server/HintInterface.java,
	net/sf/colossus/server/HintOracleInterface.java,
	net/sf/colossus/server/History.java,
	net/sf/colossus/server/IServer.java,
	net/sf/colossus/server/LOSTest.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/PenaltyOption.java,
	net/sf/colossus/server/PhaseAdvancer.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java,
	net/sf/colossus/server/Start.java,
	net/sf/colossus/server/VariantSupport.java,
	net/sf/colossus/server/XMLSnapshotFilter.java,
	net/sf/colossus/util/Combos.java,
	net/sf/colossus/util/CombosTest.java,
	net/sf/colossus/util/DevRandom.java,
	net/sf/colossus/util/Glob.java,
	net/sf/colossus/util/HTMLColor.java,
	net/sf/colossus/util/KDialog.java, net/sf/colossus/util/Log.java,
	net/sf/colossus/util/LogWindow.java,
	net/sf/colossus/util/Options.java,
	net/sf/colossus/util/PermGen.java, net/sf/colossus/util/Perms.java,
	net/sf/colossus/util/Probs.java,
	net/sf/colossus/util/RecruitGraph.java,
	net/sf/colossus/util/ResourceLoader.java,
	net/sf/colossus/util/Split.java,
	net/sf/colossus/util/Terrains.java,
	net/sf/colossus/xmlparser/BattlelandLoader.java,
	net/sf/colossus/xmlparser/CreatureLoader.java,
	net/sf/colossus/xmlparser/ParseException.java,
	net/sf/colossus/xmlparser/StrategicMapLoader.java,
	net/sf/colossus/xmlparser/TerrainRecruitLoader.java,
	net/sf/colossus/xmlparser/VariantLoader.java:

	Run "ant fix" to cleanup massive CR/LF problem after towi's big commit.
	
2004-01-22 01:25  dripton

	* build.xml:

	Make fix target handle other types of text files besides .java
	
2004-01-21 16:24  towi

	* net/sf/colossus/: client/ShowCreatureDetails.java,
	util/Terrains.java:

	* new Terrains class with constants: battlemap hazard names
	more:
	- add showCreatureDetails.java
	
2004-01-21 16:20  towi

	* net/sf/colossus/: client/AI.java, client/AcquireAngel.java,
	client/BattleChit.java, client/BattleDice.java,
	client/BattleHex.java, client/BattleMap.java,
	client/BattleMovement.java, client/CaretakerInfo.java,
	client/Chit.java, client/ChooseScreen.java, client/Client.java,
	client/Concede.java, client/CowardSimpleAI.java,
	client/CreatureCollectionView.java, client/CreatureInfo.java,
	client/CreatureInfoList.java, client/CritterMove.java,
	client/EngagementResults.java, client/GUIBattleHex.java,
	client/GUIMasterHex.java, client/Hex.java, client/HexMap.java,
	client/HumanHaterRationalAI.java, client/IClient.java,
	client/LegionInfo.java, client/Marker.java,
	client/MarkerComparator.java, client/MasterHex.java,
	client/Movement.java, client/MovementDie.java,
	client/Negotiate.java, client/PickCarry.java,
	client/PickColor.java, client/PickEntrySide.java,
	client/PickIntValue.java, client/PickLord.java,
	client/PickMarker.java, client/PickRecruit.java,
	client/PickRecruiter.java, client/PickStrikePenalty.java,
	client/PlayerInfo.java, client/PredictSplits.java,
	client/PredictSplitsTest.java, client/Proposal.java,
	client/RationalAI.java, client/ReplyToProposal.java,
	client/SaveWindow.java, client/Scale.java,
	client/ShowAllRecruits.java, client/ShowBattleMap.java,
	client/ShowLegion.java, client/SimpleAI.java,
	client/SocketClientThread.java, client/SplitLegion.java,
	client/StartClient.java, client/StatusScreen.java,
	client/Strike.java, client/SummonAngel.java,
	server/BalancedTowersTest.java, server/Battle.java,
	server/Caretaker.java, server/CarryTest.java,
	server/ConfigFileFilter.java, server/Constants.java,
	server/Creature.java, server/Critter.java,
	server/CustomRecruitBase.java, server/Dice.java,
	server/DiceTest.java, server/FileServerThread.java,
	server/Game.java, server/GetPlayers.java,
	server/HintInterface.java, server/HintOracleInterface.java,
	server/History.java, server/IServer.java, server/LOSTest.java,
	server/Legion.java, server/PenaltyOption.java,
	server/PhaseAdvancer.java, server/Player.java, server/Server.java,
	server/SocketServerThread.java, server/Start.java,
	server/VariantSupport.java, server/XMLSnapshotFilter.java,
	util/Combos.java, util/CombosTest.java, util/DevRandom.java,
	util/Glob.java, util/HTMLColor.java, util/KDialog.java,
	util/Log.java, util/LogWindow.java, util/Options.java,
	util/PermGen.java, util/Perms.java, util/Probs.java,
	util/RecruitGraph.java, util/ResourceLoader.java, util/Split.java:

	* rewritten EngagementResults" dialog
	  - new client/server message "revialEngagedCreature"
	* new "ShowCreatureDetails" dialog, pre-alpha version
	more:
	- some codingStyle (79 chars) cleaups
	
2004-01-21 16:16  towi

	* net/sf/colossus/client/MasterBoard.java:

	* "Quick Access Bar" at bottom: "DONE" button and "current phase"
	* access to "EngagementResults" dialog
	* access to "ShowCreatureDetails" dialog
	
2004-01-21 15:56  towi

	* net/sf/colossus/xmlparser/: BattlelandLoader.java,
	CreatureLoader.java, ParseException.java, StrategicMapLoader.java,
	TerrainRecruitLoader.java, VariantLoader.java:

	* introducing DTD for battlemap XML files
	more:
	* minor changes concering references to static functions
	* "max_players" element has an attribute "num", not en sub-element
	
2004-01-21 15:48  towi

	* Default/Battlelands/: Brush.xml, Desert.xml, Hills.xml,
	Jungle.xml, Marsh.xml, Mountains.xml, Plains.xml, Swamp.xml,
	Tower.xml, Tundra.xml, Woods.xml, battlemap.dtd:

	introducing DTD for battlemap XML files
	
2004-01-11 14:34  dripton

	* docs/build.html:

	Add note about profilers.
	
2004-01-10 19:17  corwinjoy

	* net/sf/colossus/client/RationalAI.java:

	Fix bug where RationaAI thought it had to move each time masterMove is called.
	
2004-01-10 07:36  corwinjoy

	* net/sf/colossus/client/RationalAI.java:

	Update RationalAI to fix bu where it allows move combinations that do not move to an empty hex.  Change logic so that AIs only attack later in the game.
	
2004-01-09 02:41  dripton

	* net/sf/colossus/client/RationalAI.java:

	Memoize evaluateMove()
	
2004-01-08 04:50  dripton

	* net/sf/colossus/client/RationalAI.java:

	Make masterMove() return true immediately after each move.  Client will
	   call it again after the server registers the move.
	In handleConflictedMoves(), fix logic that avoids moving to hexes
	   currently occupied by friendly legions, so that hexes with more than
	   one friendly legion (which are ineligible for spin cycles) are avoided
	   completely.
	Make enemyAttackMap in instance variable.  Initialize it once per turn
	   during split().
	Remove commented-out code for readability.
	
2004-01-07 05:55  dripton

	* net/sf/colossus/client/RationalAI.java:

	If two legions share a hex, force a move.  This is not sufficient.
	
2004-01-07 05:53  dripton

	* net/sf/colossus/util/: MultiSet.java, MultiSetTest.java:

	Add assorted Set methods, and max()
	
2004-01-07 05:18  dripton

	* build.xml, net/sf/colossus/client/RationalAI.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/util/MultiSet.java,
	net/sf/colossus/util/MultiSetTest.java:

	Add MultiSet class, to fix RationalAI's tracking of occupied hexes.
	This doesn't seem to fully fix the bug where neither legion moves
	   out of the hex after a split.
	
2004-01-05 22:24  dripton

	* prototypes/predictsplits.py:

	python2 not python2.2 in shebang path
	
2003-12-20 14:49  dripton

	* Default/images/Colossus.gif:

	Keith's Carter's 3D Colossus image
	
2003-12-10 22:44  dripton

	* Default/images/: Angel.gif, Archangel.gif, Behemoth.gif,
	Centaur.gif, Cyclops.gif, Dragon.gif, Gargoyle.gif, Giant.gif,
	Gorgon.gif, Griffon.gif, Guardian.gif, Hit1.gif, Hit2.gif,
	Hit3.gif, Hit4.gif, Hit5.gif, Hit6.gif, Hydra.gif, Lion.gif,
	Minotaur.gif, Miss1.gif, Miss2.gif, Miss3.gif, Miss4.gif,
	Miss5.gif, Miss6.gif, Ogre.gif, Ranger.gif, Serpent.gif, Troll.gif,
	Unicorn.gif, Warbear.gif, Warlock.gif, Wyvern.gif:

	Keith Carter's 3D-ish versions of our 60x60 creature and dice images.
	
2003-12-10 14:58  dripton

	* docs/Credits.html:

	Add Corwin Joy.
	Fix minor spacing problems.
	
2003-12-06 00:42  bluce

	* net/sf/colossus/server/Start.java:

	
	
	added -x flag to turn off debug log messages
	
2003-11-21 02:15  dripton

	* build.xml, SmallTitan/SmallTitanMap.xml, Unified/UnifiedMap.xml,
	Unified/UnifiedVar.xml, net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/VariantSupport.java,
	net/sf/colossus/xmlparser/VariantLoader.java:

	Fix variants:
	Alphabetize variant dir include list in build.xml to avoid missing variants.
	Remove references to hexes with label="0" in Map files.
	Change Constants.defaultHINTFile from "DefaultHint" to "Default.DefaultHint"
	Fix null pointer when loading default hint file.
	Fix handling of max_players.num in Var file.
	
2003-11-11 19:54  dripton

	* net/sf/colossus/client/RationalAI.java:

	Round some values before logging.
	
2003-11-11 07:39  corwinjoy

	* net/sf/colossus/: client/Client.java, server/Player.java:

	Fix bug in client.doMove.  Cycle moves of the legion onto itself are allowed.
	
2003-11-10 17:33  corwinjoy

	* net/sf/colossus/: client/Client.java, client/RationalAI.java,
	server/Player.java:

	Fixed bug where cycle moves were not handled correctly in conflictedMoves in Rational AI (partly introduced by dripton).  Fixed bug where titan stack would not split (from driptons new callback code for split).
	
2003-11-10 04:16  dripton

	* build.xml:

	Copy libs/* into LIBS_DIR in inst target.
	
2003-11-09 23:41  dripton

	* build.xml:

	Use rsync over ssh to move files, instead of scp.
	Get rid of the "1_LATEST_IS_{DATE}" logic, which was a waste of space
	   since the download directory isn't very cluttered anymore.
	Excise evil tab characters.
	
2003-11-09 17:36  dripton

	* net/sf/colossus/server/: Battle.java, Legion.java, Player.java:

	Bug 837477.  We were saving both Merge and RemoveCreature in the history
	   for legion merges, which was causing game loads to fail due to the
	   removes on the already merged legions.  Add an updateHistory arg
	   to a few methods so we can avoid saving the redundant information.
	
2003-11-09 17:29  dripton

	* prototypes/snaptotestcase.py:

	Break long lines.
	
2003-11-04 06:23  peterbecker

	* build.xml:

	Changed build file to create classpath dynamically.
	
2003-11-04 06:11  peterbecker

	* net/sf/colossus/: client/Movement.java,
	xmlparser/VariantLoader.java:

	Removed unused imports.
	
2003-11-04 04:15  dripton

	* build.xml:

	Modify classpath in junit task.  Still not finding JDOM files inside jar.
	
2003-11-04 03:54  dripton

	* Colossus.jnlp, build.xml, META-INF/MANIFEST.MF, docs/build.html,
	libs/javamake-ant15.jar, libs/javamake.jar, libs/jdom.jar,
	libs/junit.jar, libs/werken.opt.jar:

	Remove source to jdom and werken.opt from tree.
	Add jars for jdom, werken.opt, JUnit, JavaMake to libs/
	Modify classpaths in build.xml and .jnlp file.
	Update build docs.
	
2003-11-02 16:21  dripton

	* net/sf/colossus/client/RationalAI.java:

	In handleConflictedMoves, remove if statement before call to Client.doMove
	   to ensure that the AI actually attempts a move.
	
2003-11-02 14:53  dripton

	* net/sf/colossus/xmlparser/BattlelandLoader.java:

	Handle tower startlists.
	
2003-11-01 23:47  dripton

	* net/sf/colossus/server/: Legion.java, Player.java, Server.java:

	Eliminate excess calls to Server.undidSplit, which added extra merge
	   elements to savegames and broke loading them.
	
2003-11-01 22:58  dripton

	* net/sf/colossus/server/Server.java:

	Nak attempts to move nonexistant legion.
	
2003-11-01 22:58  dripton

	* net/sf/colossus/client/: AI.java, Client.java, LegionInfo.java,
	RationalAI.java, SimpleAI.java:

	Add callbacks to AI split logic, so that RationalAI can make and undo
	   splits reliably.
	
2003-11-01 22:54  dripton

	* net/sf/colossus/xmlparser/TerrainRecruitLoader.java:

	Fix typo that made all angels un-acquirable.
	
2003-11-01 17:50  dripton

	* prototypes/: predictsplits.py, snaptotestcase.py:

	Show end of turns.
	Split long lines.
	
2003-10-31 05:33  dripton

	* net/sf/colossus/client/HexMap.java:

	Remove debug code.
	
2003-10-31 05:04  dripton

	* net/sf/colossus/: server/VariantSupport.java,
	xmlparser/TerrainRecruitLoader.java:

	Initialze first element of terrains to name, not null.
	Remove commented-out try/catch block.
	
2003-10-27 05:24  dripton

	* build.xml, net/sf/colossus/client/HexMap.java,
	net/sf/colossus/parser/BattlelandLoader.jj:

	Comment out use of BattlelandsRandomizer in HexMap, until it's ported.
	Remove JavaCC parsers from build.xml
	Do not compile datatools in default compile, since they rely on currently
	   broken code.
	
2003-10-27 05:02  dripton

	* Abyssal6/Battlelands/Abyss, Abyssal6/Battlelands/Abyss.xml,
	Abyssal6/Battlelands/Brush, Abyssal6/Battlelands/Brush.xml,
	Abyssal6/Battlelands/Desert, Abyssal6/Battlelands/Desert.xml,
	Abyssal6/Battlelands/Hills, Abyssal6/Battlelands/Hills.xml,
	Abyssal6/Battlelands/Jungle, Abyssal6/Battlelands/Jungle.xml,
	Abyssal6/Battlelands/Marsh, Abyssal6/Battlelands/Marsh.xml,
	Abyssal6/Battlelands/Mountains, Abyssal6/Battlelands/Mountains.xml,
	Abyssal6/Battlelands/Plains, Abyssal6/Battlelands/Plains.xml,
	Abyssal6/Battlelands/Swamp, Abyssal6/Battlelands/Swamp.xml,
	Abyssal6/Battlelands/Tower, Abyssal6/Battlelands/Tower.xml,
	Abyssal6/Battlelands/Tundra, Abyssal6/Battlelands/Tundra.xml,
	Abyssal6/Battlelands/Woods, Abyssal6/Battlelands/Woods.xml,
	Badlands/Battlelands/BrushAlt, Badlands/Battlelands/BrushAlt.xml,
	Badlands/Battlelands/DesertAlt, Badlands/Battlelands/DesertAlt.xml,
	Badlands/Battlelands/Fort, Badlands/Battlelands/Fort.xml,
	Badlands/Battlelands/JungleAlt, Badlands/Battlelands/JungleAlt.xml,
	Badlands/Battlelands/MarshAlt, Badlands/Battlelands/MarshAlt.xml,
	Badlands/Battlelands/SwampAlt, Badlands/Battlelands/SwampAlt.xml,
	Badlands/Battlelands/Town, Badlands/Battlelands/Town.xml,
	Badlands/Battlelands/TundraAlt, Badlands/Battlelands/TundraAlt.xml,
	Badlands/Battlelands/Waterhole, Badlands/Battlelands/Waterhole.xml,
	Badlands/Battlelands/WoodsAlt, Badlands/Battlelands/WoodsAlt.xml,
	Badlands-JDG/Battlelands/HillsAlt,
	Badlands-JDG/Battlelands/HillsAlt.xml,
	Badlands-JDG/Battlelands/MountainsAlt,
	Badlands-JDG/Battlelands/MountainsAlt.xml,
	Badlands-JDG/Battlelands/TowerAlt,
	Badlands-JDG/Battlelands/TowerAlt.xml, Default/Battlelands/Brush,
	Default/Battlelands/Brush.xml, Default/Battlelands/Desert,
	Default/Battlelands/Desert.xml, Default/Battlelands/Hills,
	Default/Battlelands/Hills.xml, Default/Battlelands/Jungle,
	Default/Battlelands/Jungle.xml, Default/Battlelands/Marsh,
	Default/Battlelands/Marsh.xml, Default/Battlelands/Mountains,
	Default/Battlelands/Mountains.xml, Default/Battlelands/Plains,
	Default/Battlelands/Plains.xml, Default/Battlelands/Swamp,
	Default/Battlelands/Swamp.xml, Default/Battlelands/Tower,
	Default/Battlelands/Tower.xml, Default/Battlelands/Tundra,
	Default/Battlelands/Tundra.xml, Default/Battlelands/Woods,
	Default/Battlelands/Woods.xml, Pantheon/Battlelands/Brush,
	Pantheon/Battlelands/Brush.xml, Pantheon/Battlelands/Desert,
	Pantheon/Battlelands/Desert.xml, Pantheon/Battlelands/Hills,
	Pantheon/Battlelands/Hills.xml, Pantheon/Battlelands/Jungle,
	Pantheon/Battlelands/Jungle.xml, Pantheon/Battlelands/Mantio,
	Pantheon/Battlelands/Mantio.xml, Pantheon/Battlelands/Marsh,
	Pantheon/Battlelands/Marsh.xml, Pantheon/Battlelands/Mountains,
	Pantheon/Battlelands/Mountains.xml, Pantheon/Battlelands/Plains,
	Pantheon/Battlelands/Plains.xml, Pantheon/Battlelands/Swamp,
	Pantheon/Battlelands/Swamp.xml, Pantheon/Battlelands/Tower,
	Pantheon/Battlelands/Tower.xml, Pantheon/Battlelands/Tundra,
	Pantheon/Battlelands/Tundra.xml, Pantheon/Battlelands/Woods,
	Pantheon/Battlelands/Woods.xml, TG-ConceptI/Battlelands/Brush,
	TG-ConceptI/Battlelands/Brush.xml, TG-ConceptI/Battlelands/Desert,
	TG-ConceptI/Battlelands/Desert.xml, TG-ConceptI/Battlelands/Hills,
	TG-ConceptI/Battlelands/Hills.xml, TG-ConceptI/Battlelands/Jungle,
	TG-ConceptI/Battlelands/Jungle.xml, TG-ConceptI/Battlelands/Marsh,
	TG-ConceptI/Battlelands/Marsh.xml,
	TG-ConceptI/Battlelands/Mountains,
	TG-ConceptI/Battlelands/Mountains.xml,
	TG-ConceptI/Battlelands/Plains, TG-ConceptI/Battlelands/Plains.xml,
	TG-ConceptI/Battlelands/Swamp, TG-ConceptI/Battlelands/Swamp.xml,
	TG-ConceptI/Battlelands/Tower, TG-ConceptI/Battlelands/Tower.xml,
	TG-ConceptI/Battlelands/Tundra, TG-ConceptI/Battlelands/Tundra.xml,
	TG-ConceptI/Battlelands/Woods, TG-ConceptI/Battlelands/Woods.xml,
	TG-ConceptII/Battlelands/Brush, TG-ConceptII/Battlelands/Brush.xml,
	TG-ConceptII/Battlelands/Desert,
	TG-ConceptII/Battlelands/Desert.xml,
	TG-ConceptII/Battlelands/Hills, TG-ConceptII/Battlelands/Hills.xml,
	TG-ConceptII/Battlelands/Jungle,
	TG-ConceptII/Battlelands/Jungle.xml,
	TG-ConceptII/Battlelands/Marsh, TG-ConceptII/Battlelands/Marsh.xml,
	TG-ConceptII/Battlelands/Mountains,
	TG-ConceptII/Battlelands/Mountains.xml,
	TG-ConceptII/Battlelands/Plains,
	TG-ConceptII/Battlelands/Plains.xml,
	TG-ConceptII/Battlelands/Swamp, TG-ConceptII/Battlelands/Swamp.xml,
	TG-ConceptII/Battlelands/Tower, TG-ConceptII/Battlelands/Tower.xml,
	TG-ConceptII/Battlelands/Tundra,
	TG-ConceptII/Battlelands/Tundra.xml,
	TG-ConceptII/Battlelands/Woods, TG-ConceptII/Battlelands/Woods.xml,
	TG-ConceptIII/Battlelands/Brush,
	TG-ConceptIII/Battlelands/Brush.xml,
	TG-ConceptIII/Battlelands/Desert,
	TG-ConceptIII/Battlelands/Desert.xml,
	TG-ConceptIII/Battlelands/Hills,
	TG-ConceptIII/Battlelands/Hills.xml,
	TG-ConceptIII/Battlelands/Jungle,
	TG-ConceptIII/Battlelands/Jungle.xml,
	TG-ConceptIII/Battlelands/Marsh,
	TG-ConceptIII/Battlelands/Marsh.xml,
	TG-ConceptIII/Battlelands/Mountains,
	TG-ConceptIII/Battlelands/Mountains.xml,
	TG-ConceptIII/Battlelands/Plains,
	TG-ConceptIII/Battlelands/Plains.xml,
	TG-ConceptIII/Battlelands/Swamp,
	TG-ConceptIII/Battlelands/Swamp.xml,
	TG-ConceptIII/Battlelands/Tower,
	TG-ConceptIII/Battlelands/Tower.xml,
	TG-ConceptIII/Battlelands/Tundra,
	TG-ConceptIII/Battlelands/Tundra.xml,
	TG-ConceptIII/Battlelands/Woods,
	TG-ConceptIII/Battlelands/Woods.xml, TG-SetII/Battlelands/Brush,
	TG-SetII/Battlelands/Brush.xml, TG-SetII/Battlelands/Desert,
	TG-SetII/Battlelands/Desert.xml, TG-SetII/Battlelands/Hills,
	TG-SetII/Battlelands/Hills.xml, TG-SetII/Battlelands/Jungle,
	TG-SetII/Battlelands/Jungle.xml, TG-SetII/Battlelands/Marsh,
	TG-SetII/Battlelands/Marsh.xml, TG-SetII/Battlelands/Mountains,
	TG-SetII/Battlelands/Mountains.xml, TG-SetII/Battlelands/Plains,
	TG-SetII/Battlelands/Plains.xml, TG-SetII/Battlelands/Swamp,
	TG-SetII/Battlelands/Swamp.xml, TG-SetII/Battlelands/Tower,
	TG-SetII/Battlelands/Tower.xml, TG-SetII/Battlelands/Tundra,
	TG-SetII/Battlelands/Tundra.xml, TG-SetII/Battlelands/Woods,
	TG-SetII/Battlelands/Woods.xml, TG-SetIII/Battlelands/Brush,
	TG-SetIII/Battlelands/Brush.xml, TG-SetIII/Battlelands/Jungle,
	TG-SetIII/Battlelands/Jungle.xml, TG-SetIII/Battlelands/Marsh,
	TG-SetIII/Battlelands/Marsh.xml, TG-SetIII/Battlelands/Plains,
	TG-SetIII/Battlelands/Plains.xml, TG-SetIII/Battlelands/Woods,
	TG-SetIII/Battlelands/Woods.xml, TG-Wild/Battlelands/Jungle,
	TG-Wild/Battlelands/Jungle.xml, TG-Wild/Battlelands/Mountains,
	TG-Wild/Battlelands/Mountains.xml, TG-Wild/Battlelands/Tower,
	TG-Wild/Battlelands/Tower.xml, Undead/Battlelands/Ruins,
	Undead/Battlelands/Ruins.xml, Undead/Battlelands/Tombs,
	Undead/Battlelands/Tombs.xml, Unified/Battlelands/Castle,
	Unified/Battlelands/Castle.xml, Unified/Battlelands/Graveyard,
	Unified/Battlelands/Graveyard.xml, Unified/Battlelands/Keep,
	Unified/Battlelands/Keep.xml, Unified/Battlelands/Tombs,
	Unified/Battlelands/Tombs.xml, Unified/Battlelands/Wasteland,
	Unified/Battlelands/Wasteland.xml,
	net/sf/colossus/client/HexMap.java,
	net/sf/colossus/xmlparser/BattlelandLoader.java,
	tools/convert/convert_battlemap.py:

	BattlelandsLoader for XML battlelands
	Add subtitle support to convert_battlemap.py
	Convert all battlelands to XML
	
2003-10-27 04:33  dripton

	* Badlands/BadlandsHint.java:

	Add HillsAlt tests, for Badlands-JDG
	
2003-10-27 04:25  dripton

	* Default/Battlelands/Mountains:

	Add missing space in hexside description.
	
2003-10-27 03:43  dripton

	* Infinite/Infinite.var, Infinite/InfiniteVar.xml,
	Outlands/Outlands.var, Outlands/OutlandsVar.xml, Random/Random.var,
	Random/RandomVar.xml, SmallTitan/SmallTitan.var,
	SmallTitan/SmallTitanVar.xml, TG-ConceptI/TG-ConceptI.var,
	TG-ConceptI/TG-ConceptIVar.xml, TG-ConceptII/TG-ConceptII.var,
	TG-ConceptII/TG-ConceptIIVar.xml, TG-ConceptIII/TG-ConceptIII.var,
	TG-ConceptIII/TG-ConceptIIIVar.xml, TG-SetII/TG-SetII.var,
	TG-SetII/TG-SetIIVar.xml, TG-SetIII/TG-SetIII.var,
	TG-SetIII/TG-SetIIIVar.xml, TG-Wild/TG-Wild.var,
	TG-Wild/TG-WildVar.xml, Unified/Unified.var,
	Unified/UnifiedVar.xml:

	Convert var and hint files to XML / Java.
	
2003-10-27 03:36  dripton

	* Pantheon/PantheonTowerRecruit.hin:

	Remove remaining obsolete hint file.
	
2003-10-27 03:36  dripton

	* Pantheon/: Pantheon.hin, Pantheon.var, PantheonHint.java,
	PantheonVar.xml:

	Convert var and hint files.
	
2003-10-27 00:30  dripton

	* Pantheon/Pantheon.hin:

	Fix two typos.
	
2003-10-27 00:26  dripton

	* Undead/: Undead.hin, Undead.var, UndeadHint.java, UndeadVar.xml:

	Fix hint and var files.
	
2003-10-27 00:18  dripton

	* TitanPlus/: TitanPlus.hin, TitanPlus.var, TitanPlusHint.java,
	TitanPlusVar.xml:

	Convert hint and var files.
	
2003-10-27 00:18  dripton

	* Abyssal9/: Abyssal9.var, Abyssal9Var.xml:

	New var file.
	
2003-10-27 00:18  dripton

	* Default/DefaultHint.java:

	Fix canReach for getting third lion or troll.
	
2003-10-27 00:11  dripton

	* Balrog/: Balrog.var, BalrogHint.java, BalrogTowerRecruit.hin,
	BalrogVar.xml:

	Fix var and hint files.
	
2003-10-27 00:08  dripton

	* Badlands/BadlandsHint.java, Badlands-JDG/Badlands-JDG.var,
	Badlands-JDG/Badlands-JDGTowerRecruit.hin,
	Badlands-JDG/Badlands-JDGVar.xml:

	Fix var and hints for Badlands-JDG
	Add TowerAlt support to BadlandsHint.java, for Badlands-JDG
	
2003-10-27 00:02  dripton

	* Badlands/: Badlands.hin, Badlands.var, BadlandsHint.java,
	BadlandsVar.xml:

	Fix var and hint files.
	
2003-10-26 23:48  dripton

	* net/sf/colossus/server/: Constants.java, GetPlayers.java,
	VariantSupport.java:

	Change .var to Var.xml consistently, using Constants.varEnd
	
2003-10-26 23:38  dripton

	* Abyssal6/: Abyssal6.hin, Abyssal6TowerRecruit.hin:

	Remove obsolete hint files.
	
2003-10-26 23:35  dripton

	* Abyssal6/: Abyssal6.var, Abyssal6Hint.java, Abyssal6Var.xml:

	Fix var and hints.
	
2003-10-26 23:17  dripton

	* ExtTitan/: ExtTitan.hin, ExtTitan.var, ExtTitanHint.java,
	ExtTitanVar.xml:

	Convert ExtTitan.var to ExtTitanVar.xml
	Add hints from ExtTitan.hin into ExtTitanHint.java
	
2003-10-26 23:16  dripton

	* Default/: Default.hin, Default.var, DefaultHint.java,
	DefaultSplit.hin, DefaultThirdRecruit.hin, DefaultTowerRecruit.hin,
	DefaultVar.xml:

	Change Default.var to DefaultVar.xml
	Combine *.hin into DefaultHint.java
	
2003-10-26 23:14  dripton

	* build.xml:

	Remove VariantLoader and AIHintLoader
	
2003-10-26 23:13  dripton

	* net/sf/colossus/: parser/AIHintLoader.jj,
	parser/VariantLoader.jj, server/VariantSupport.java,
	xmlparser/VariantLoader.java:

	Use NameVar.xml rather than Name.var
	Load AI hints from .java files only, not .hin files.
	New hint logic seems to work, but is not clean yet -- some null pointers
	   when loading.  Also, not all variants are done yet.  Will check in
	   fixes shortly.
	
2003-10-26 23:11  dripton

	* net/sf/colossus/client/: CowardSimpleAI.java,
	HumanHaterRationalAI.java, RationalAI.java, SimpleAI.java:

	Get AI types from server.Constants rather than parser.AIHintLoader
	
2003-10-26 22:22  dripton

	* net/sf/colossus/client/LegionInfo.java:

	Make contains() public so it can be called from AI hint classes.
	
2003-10-26 22:22  dripton

	* net/sf/colossus/server/Constants.java:

	Change default hint file to the DefaultHint class.
	Add AI type constants, formerly in parser.AIHintLoader
	
2003-10-26 22:21  dripton

	* net/sf/colossus/server/HintInterface.java:

	Fix spelling error in docstring.
	
2003-10-26 22:16  dripton

	* net/sf/colossus/util/ResourceLoader.java:

	Fix spelling in error message.
	
2003-10-24 05:06  dripton

	* tools/convert/convert_var.py:

	Convert .var files to XML.
	
2003-10-21 04:02  dripton

	* build.xml:

	Remove StrategicMapLoader.jj
	
2003-10-21 04:01  dripton

	* Abyssal6/Abyssal6.map, Abyssal6/Abyssal6.var,
	Abyssal6/Abyssal6Map.xml, Abyssal9/Abyssal9.map,
	Abyssal9/Abyssal9.var, Abyssal9/Abyssal9Map.xml,
	Badlands/Badlands.map, Badlands/Badlands.var,
	Badlands/BadlandsMap.xml, Badlands-JDG/Badlands-JDG.map,
	Badlands-JDG/Badlands-JDG.var, Badlands-JDG/Badlands-JDGMap.xml,
	Default/Default.map, Default/Default.var, Default/DefaultMap.xml,
	ExtTitan/ExtTitan.map, ExtTitan/ExtTitan.var,
	ExtTitan/ExtTitanMap.xml, Infinite/Infinite.map,
	Infinite/Infinite.var, Infinite/InfiniteMap.xml,
	Outlands/Outlands.map, Outlands/Outlands.var,
	Outlands/OutlandsMap.xml, Pantheon/Pantheon.map,
	Pantheon/Pantheon.var, Pantheon/PantheonMap.xml, Random/Random.map,
	Random/Random.var, Random/RandomMap.xml, SmallTitan/SmallTitan.map,
	SmallTitan/SmallTitan.var, SmallTitan/SmallTitanMap.xml,
	TG-ConceptI/TG-ConceptI.var, TG-ConceptII/TG-ConceptII.var,
	TG-ConceptIII/TG-ConceptIII.var, TG-SetII/TG-SetII.var,
	TG-SetIII/TG-SetIII.var, TG-Wild/TG-Wild.var,
	TitanPlus/TitanPlus.var, Undead/Undead.map, Undead/Undead.var,
	Undead/UndeadMap.xml, Unified/Unified.map, Unified/Unified.var,
	Unified/UnifiedMap.xml, net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/parser/StrategicMapLoader.jj,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/xmlparser/StrategicMapLoader.java,
	tools/convert/convert_map.py:

	Switch from JavaCC to XML for strategic map data.
	
2003-10-21 03:57  dripton

	* net/sf/colossus/client/HexMap.java:

	Add debug statements.
	
2003-10-21 03:56  dripton

	* Badlands/BadlandsTer.xml:

	Missed a terrain file.
	
2003-10-20 21:54  dripton

	* Undead/images/: Behemoth.gif, GostDragon.gif:

	Remove unused images.
	
2003-10-20 02:27  dripton

	* build.xml, Abyssal6/Abyssal6.cre, Abyssal6/Abyssal6.var,
	Abyssal6/Abyssal6Cre.xml, Abyssal9/Abyssal9.cre,
	Abyssal9/Abyssal9.var, Abyssal9/Abyssal9Cre.xml,
	Badlands/Badlands.var, Badlands-JDG/Badlands-JDG.var,
	Balrog/Balrog.cre, Balrog/Balrog.var, Default/Default.cre,
	Default/Default.var, Default/DefaultCre.xml, ExtTitan/ExtTitan.cre,
	ExtTitan/ExtTitan.var, ExtTitan/ExtTitanCre.xml,
	Infinite/Infinite.cre, Infinite/Infinite.var,
	Infinite/InfiniteCre.xml, Outlands/Outlands.var,
	Pantheon/Pantheon.cre, Pantheon/Pantheon.var,
	Pantheon/PantheonCre.xml, SmallTitan/SmallTitan.var,
	TG-ConceptI/TG-ConceptI.var, TG-ConceptII/TG-ConceptII.var,
	TG-ConceptIII/TG-ConceptIII.var, TG-SetII/TG-SetII.var,
	TG-SetIII/TG-SetIII.var, TG-Wild/TG-Wild.var,
	TitanPlus/TitanPlus.cre, TitanPlus/TitanPlus.var,
	TitanPlus/TitanPlusCre.xml, Undead/Undead.cre, Undead/Undead.var,
	Undead/UndeadCre.xml, Unified/Unified.cre, Unified/Unified.var,
	Unified/UnifiedCre.xml, net/sf/colossus/parser/CreatureLoader.jj,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/xmlparser/CreatureLoader.java:

	Switch from parser.CreatureLoader.jj to xmlparser.CreatureLoader.java
	
2003-10-20 02:26  dripton

	* net/sf/colossus/server/CreatureTitan.java:

	Change constructor to take ints and booleans instead of Integers
	   and Booleans, for consistency with Creature.
	
2003-10-20 02:25  dripton

	* net/sf/colossus/client/Chit.java:

	Rearrange if blocks to avoid double negatives.
	
2003-10-20 02:22  dripton

	* ExtTitan/ExtTitanTer.xml, Undead/UndeadTer.xml:

	Remove extra double-quotes from bug in conversion script.
	
2003-10-20 02:17  dripton

	* tools/convert/: convert_battlemap.py, convert_cre.py,
	convert_map.py:

	Fix XML comment syntax.
	
2003-10-20 02:16  dripton

	* tools/convert/convert_ter.py:

	Remove excess double quote in acquirables.
	
2003-10-19 04:10  dripton

	* build.xml, Abyssal6/Abyssal6.ter, Abyssal6/Abyssal6.var,
	Abyssal6/Abyssal6Ter.xml, Abyssal9/Abyssal9.ter,
	Abyssal9/Abyssal9.var, Abyssal9/Abyssal9Ter.xml,
	Badlands/Badlands.ter, Badlands/Badlands.var,
	Badlands-JDG/Badlands-JDG.ter, Badlands-JDG/Badlands-JDG.var,
	Badlands-JDG/Badlands-JDGTer.xml, Balrog/Balrog.ter,
	Balrog/Balrog.var, Balrog/BalrogTer.xml, Default/Default.ter,
	Default/Default.var, Default/DefaultTer.xml, ExtTitan/ExtTitan.ter,
	ExtTitan/ExtTitan.var, ExtTitan/ExtTitanTer.xml,
	Infinite/Infinite.var, Outlands/Outlands.var,
	Pantheon/Pantheon.ter, Pantheon/Pantheon.var,
	Pantheon/PantheonTer.xml, Random/Random.ter, Random/Random.var,
	SmallTitan/SmallTitan.var, TG-ConceptI/TG-ConceptI.var,
	TG-ConceptII/TG-ConceptII.var, TG-ConceptIII/TG-ConceptIII.var,
	TG-SetII/TG-SetII.var, TG-SetIII/TG-SetIII.var,
	TG-Wild/TG-Wild.var, TitanPlus/TitanPlus.ter,
	TitanPlus/TitanPlus.var, TitanPlus/TitanPlusTer.xml,
	Undead/Undead.ter, Undead/Undead.var, Undead/UndeadTer.xml,
	Unified/Unified.ter, Unified/Unified.var, Unified/UnifiedTer.xml,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/HexMap.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/MasterHex.java,
	net/sf/colossus/client/PlayerInfo.java,
	net/sf/colossus/client/RationalAI.java,
	net/sf/colossus/client/ShowAllRecruits.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/SplitLegion.java,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/VariantSupport.java,
	net/sf/colossus/util/RecruitGraph.java,
	net/sf/colossus/xmlparser/ParseException.java,
	net/sf/colossus/xmlparser/TerrainRecruitLoader.java,
	tools/convert/convert_ter.py:

	Switch from parser.TerrainRecruitLoader.jj to
	   xmlparser.TerrainRecruitLoader.java
	Change Variant.ter to VariantTer.xml
	Fix XML comment bug in convert_ter.py
	Add display_name attribute to Terrain in convert_ter.py
	Add null check in HexMap.terrainIsTower(), which appears to be
	   called before initialization is done.
	
2003-10-19 04:06  dripton

	* docs/TODO.txt:

	Null pointer in HexMap.getHexByLabel()
	
2003-10-19 04:05  dripton

	* Undead/Undead.cre:

	Fix typo "AirElementalss"
	
2003-10-14 05:35  corwinjoy

	* build.xml:

	Undo build.xml change
	
2003-10-14 04:31  corwinjoy

	* build.xml, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/RationalAI.java,
	net/sf/colossus/client/SimpleAI.java:

	fixed bug where correct AI was not loaded.  Fix bug with splitting stacks in RationalAI.  Fixed bug with auto-recruit where it would not allow you to override default recruits.
	
2003-10-13 21:57  dripton

	* docs/build.html:

	Remove references to make and Makefile, which Romain just removed.
	
2003-10-13 09:41  dolbeau

	* Makefile:

	Removing the unmaintained and now broken Makefile
	
2003-10-09 22:37  corwinjoy

	* net/sf/colossus/client/: HumanHaterRationalAI.java,
	RationalAI.java:

	Added new RationalAI .java files
	
2003-10-09 22:30  corwinjoy

	* net/sf/colossus/: client/LegionInfo.java, client/Movement.java,
	client/SimpleAI.java, server/Constants.java,
	util/RecruitGraph.java:

	AAddiii
	Added new RationalAI to code.
	
2003-09-23 23:46  dripton

	* docs/FileFormat.html:

	Minor proofreading.
	
2003-09-23 13:26  dripton

	* net/sf/colossus/client/MasterBoard.java:

	Fix deprecation warnings by changing size() to getSize()
	
2003-09-19 00:42  dripton

	* tools/convert/: convert_battlemap.py, convert_cre.py,
	convert_map.py, convert_ter.py:

	Scripts to convert creature, map, terrain, and battlemap files to XML.
	
2003-09-14 23:03  peterbecker

	* net/sf/colossus/client/AI.java,
	net/sf/colossus/client/BattleHex.java,
	net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/CaretakerInfo.java,
	net/sf/colossus/client/ChooseScreen.java,
	net/sf/colossus/client/CreatureCollectionView.java,
	net/sf/colossus/client/CreatureInfo.java,
	net/sf/colossus/client/CreatureInfoComparator.java,
	net/sf/colossus/client/CreatureInfoList.java,
	net/sf/colossus/client/GUIMasterHex.java,
	net/sf/colossus/client/Hex.java,
	net/sf/colossus/client/HexMap.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/Marker.java,
	net/sf/colossus/client/MasterHex.java,
	net/sf/colossus/client/Movement.java,
	net/sf/colossus/client/MovementDie.java,
	net/sf/colossus/client/Negotiate.java,
	net/sf/colossus/client/PickCarry.java,
	net/sf/colossus/client/PickColor.java,
	net/sf/colossus/client/PickEntrySide.java,
	net/sf/colossus/client/PickIntValue.java,
	net/sf/colossus/client/PickMarker.java,
	net/sf/colossus/client/PickRecruit.java,
	net/sf/colossus/client/PlayerInfo.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/SaveWindow.java,
	net/sf/colossus/client/Scale.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/client/StartClient.java,
	net/sf/colossus/client/StatusScreen.java,
	net/sf/colossus/client/SummonAngel.java,
	net/sf/colossus/client/AcquireAngel.java,
	net/sf/colossus/client/BattleChit.java,
	net/sf/colossus/client/BattleDice.java,
	net/sf/colossus/client/BattleMovement.java,
	net/sf/colossus/client/Chit.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/Concede.java,
	net/sf/colossus/client/CritterMove.java,
	net/sf/colossus/client/EngagementResults.java,
	net/sf/colossus/client/GUIBattleHex.java,
	net/sf/colossus/client/MarkerComparator.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/PickRecruiter.java,
	net/sf/colossus/client/PickStrikePenalty.java,
	net/sf/colossus/client/PredictSplitsTest.java,
	net/sf/colossus/client/Proposal.java,
	net/sf/colossus/client/ReplyToProposal.java,
	net/sf/colossus/client/ShowAllRecruits.java,
	net/sf/colossus/client/ShowBattleMap.java,
	net/sf/colossus/client/ShowLegion.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/SplitLegion.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/PickLord.java,
	net/sf/colossus/datatools/BattlelandsBuilder.java,
	net/sf/colossus/datatools/BattlelandsRandomizer.java,
	net/sf/colossus/datatools/BuilderHexMap.java,
	net/sf/colossus/datatools/ShowBuilderHexMap.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/FileServerThread.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/GetPlayers.java,
	net/sf/colossus/server/HintOracleInterface.java,
	net/sf/colossus/server/History.java,
	net/sf/colossus/server/LOSTest.java,
	net/sf/colossus/server/PhaseAdvancer.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java,
	net/sf/colossus/server/VariantSupport.java, .cvsignore,
	Balrog/BalrogRecruitment.java,
	net/sf/colossus/parser/StrategicMapLoader.jj,
	net/sf/colossus/server/Critter.java,
	net/sf/colossus/server/IServer.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/util/PermGen.java,
	net/sf/colossus/util/RecruitGraph.java,
	net/sf/colossus/util/ResourceLoader.java:

	Merged the current state of the refactoring.
	
	This is a merge from the branch
	
	  refactoring_branch_pb
	
	It includes quite a bit of cleanups like removed imports and removed unused
	code. Additionally the master board is now buffered, only the chits and
	highlighting are drawn on each call.
	
2003-09-14 22:59  peterbecker

	* Balrog/BalrogRecruitment.java:

	Fixed the BalrogRecruitment superclass reference.
	
2003-09-14 09:50  peterbecker

	* Balrog/BalrogRecruitment.java:

	Removed superflous fully qualification.
	
2003-09-14 08:28  peterbecker

	* net/sf/colossus/client/: GUIMasterHex.java, Hex.java,
	MasterBoard.java, MasterHex.java:

	Added double buffering for masterboard.
	
2003-09-13 13:28  peterbecker

	* net/sf/colossus/datatools/BattlelandsRandomizer.java:

	Turned some fully qualified names into imports.
	
2003-09-13 13:19  peterbecker

	* net/sf/colossus/: client/MasterBoard.java,
	parser/StrategicMapLoader.jj:

	Removed list from terrain loading.
	
	Now only the array gets loaded.
	
2003-09-13 13:14  peterbecker

	* net/sf/colossus/client/MasterBoard.java:

	Removed duplicate variables for hexes/guihexes.
	
	There is only the array left, the list version is removed. The parser still
	creates it, but it gets dumped.
	
2003-09-13 12:18  peterbecker

	* net/sf/colossus/client/GUIMasterHex.java:

	Simplified drawing code a bit.
	
2003-09-12 23:31  peterbecker

	* net/sf/colossus/: client/AcquireAngel.java,
	client/BattleChit.java, client/BattleDice.java,
	client/BattleMovement.java, client/CaretakerInfo.java,
	client/ChooseScreen.java, client/Client.java,
	client/CreatureCollectionView.java, client/CreatureInfoList.java,
	client/EngagementResults.java, client/Hex.java,
	client/MarkerComparator.java, client/MasterBoard.java,
	client/MovementDie.java, client/PickColor.java,
	client/PickEntrySide.java, client/PickLord.java,
	client/PickMarker.java, client/PickRecruiter.java,
	client/PlayerInfo.java, client/PredictSplits.java,
	client/PredictSplitsTest.java, client/ReplyToProposal.java,
	client/Scale.java, client/ShowBattleMap.java,
	client/SplitLegion.java, client/StartClient.java,
	client/SummonAngel.java, client/AI.java, client/BattleHex.java,
	client/BattleMap.java, client/Chit.java, client/Concede.java,
	client/CreatureInfoComparator.java, client/GUIBattleHex.java,
	client/GUIMasterHex.java, client/HexMap.java, client/IClient.java,
	client/LegionInfo.java, client/Marker.java, client/MasterHex.java,
	client/Movement.java, client/Negotiate.java, client/PickCarry.java,
	client/PickIntValue.java, client/PickRecruit.java,
	client/PickStrikePenalty.java, client/Proposal.java,
	client/SaveWindow.java, client/ShowAllRecruits.java,
	client/ShowLegion.java, client/SimpleAI.java,
	client/SocketClientThread.java, client/StatusScreen.java,
	client/Strike.java, datatools/BattlelandsRandomizer.java,
	datatools/BuilderHexMap.java, datatools/ShowBuilderHexMap.java,
	server/Constants.java, server/Creature.java, server/Critter.java,
	server/FileServerThread.java, server/Game.java,
	server/GetPlayers.java, server/HintOracleInterface.java,
	server/Server.java, server/SocketServerThread.java,
	server/VariantSupport.java, util/RecruitGraph.java,
	util/ResourceLoader.java:

	Reorganized imports.
	
	Used the standard Eclipse settings.
	Also turned the explicit "java.util.List" occurances into imports.
	A little bit of commented code is deleted.
	
2003-09-12 04:49  peterbecker

	* net/sf/colossus/: server/LOSTest.java,
	client/PredictSplitsTest.java:

	Removed superflous imports from tests.
	
2003-09-12 02:43  dripton

	* Pantheon/PantheonTowerRecruit.hin:

	Missed this file when adding Pantheon variant.
	
2003-09-12 01:56  peterbecker

	* net/sf/colossus/server/Legion.java,
	net/sf/colossus/client/AcquireAngel.java,
	net/sf/colossus/client/BattleChit.java,
	net/sf/colossus/client/BattleDice.java,
	net/sf/colossus/client/BattleHex.java,
	net/sf/colossus/client/Chit.java,
	net/sf/colossus/client/ChooseScreen.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/Concede.java,
	net/sf/colossus/client/CreatureCollectionView.java,
	net/sf/colossus/client/CreatureInfo.java,
	net/sf/colossus/client/CreatureInfoComparator.java,
	net/sf/colossus/client/CreatureInfoList.java,
	net/sf/colossus/client/CritterMove.java,
	net/sf/colossus/client/EngagementResults.java,
	net/sf/colossus/client/GUIBattleHex.java,
	net/sf/colossus/client/GUIMasterHex.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/MasterHex.java,
	net/sf/colossus/client/MovementDie.java,
	net/sf/colossus/client/Negotiate.java,
	net/sf/colossus/client/PickColor.java,
	net/sf/colossus/client/PickIntValue.java,
	net/sf/colossus/client/PickRecruit.java,
	net/sf/colossus/client/PickRecruiter.java,
	net/sf/colossus/client/PlayerInfo.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/Proposal.java,
	net/sf/colossus/client/ReplyToProposal.java,
	net/sf/colossus/client/SaveWindow.java,
	net/sf/colossus/client/ShowAllRecruits.java,
	net/sf/colossus/client/ShowBattleMap.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/SplitLegion.java,
	net/sf/colossus/client/StartClient.java,
	net/sf/colossus/client/StatusScreen.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/datatools/BattlelandsBuilder.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/Critter.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/GetPlayers.java,
	net/sf/colossus/server/History.java,
	net/sf/colossus/server/IServer.java,
	net/sf/colossus/server/PhaseAdvancer.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/util/PermGen.java,
	net/sf/colossus/util/RecruitGraph.java,
	net/sf/colossus/util/ResourceLoader.java, .cvsignore,
	net/sf/colossus/datatools/BattlelandsRandomizer.java,
	net/sf/colossus/datatools/ShowBuilderHexMap.java:

	First cleanups: chainsaw method.
	
	I went through the warnings reported by Eclipse and removed lots of
	unused code. Most of it (like unused imports) should be a non-brainer,
	some (like unused private methods) might be something some people
	don't like because they wanted to use the code one day, others (like
	removing local variables getting a value from a method call) might be
	a bit dangerous (method might have side effects), but I think in the
	spirit of clean code and considering the early stage of reengineering
	we can live with that. If there are side-effects they should be fixed
	one day anyway.
	
2003-08-28 02:04  dripton

	* Pantheon/Pantheon.cre, Pantheon/Pantheon.hin,
	Pantheon/Pantheon.map, Pantheon/Pantheon.ter,
	Pantheon/Pantheon.var, Pantheon/README.html,
	Pantheon/Battlelands/Brush, Pantheon/Battlelands/Desert,
	Pantheon/Battlelands/Hills, Pantheon/Battlelands/Jungle,
	Pantheon/Battlelands/Mantio, Pantheon/Battlelands/Marsh,
	Pantheon/Battlelands/Mountains, Pantheon/Battlelands/Plains,
	Pantheon/Battlelands/Swamp, Pantheon/Battlelands/Tower,
	Pantheon/Battlelands/Tundra, Pantheon/Battlelands/Woods,
	Pantheon/images/Aphrodite.gif, Pantheon/images/Apolo.gif,
	Pantheon/images/Ares.gif, Pantheon/images/Artemis.gif,
	Pantheon/images/Athena.gif, Pantheon/images/Dimitra.gif,
	Pantheon/images/Dionysous.gif, Pantheon/images/Druid.gif,
	Pantheon/images/Estia.gif, Pantheon/images/Hades.gif,
	Pantheon/images/Hepfaestus.gif, Pantheon/images/Hera.gif,
	Pantheon/images/Hermes.gif, Pantheon/images/Knight.gif,
	Pantheon/images/Mantio.gif, Pantheon/images/Mantio_i.gif,
	Pantheon/images/Poseidon.gif, Pantheon/images/Priest.gif,
	Pantheon/images/Zeus.gif, net/sf/colossus/server/Constants.java:

	Pantheon variant.
	
2003-08-28 02:02  dripton

	* net/sf/colossus/: client/Client.java, client/MasterBoard.java,
	util/Options.java, util/ResourceLoader.java:

	Add useSVG option.
	
2003-08-28 02:01  dripton

	* docs/Credits.html:

	Pantheon, new SVGs
	
2003-08-28 01:57  dripton

	* Default/images/: Angel.svg, Archangel.svg:

	Improved svgs -- need background color changed from transparent to white.
	
2003-08-28 00:48  dripton

	* net/sf/colossus/server/DiceTest.java:

	Use absolute value to fix bug in findMedian()
	
2003-07-04 15:20  dripton

	* net/sf/colossus/client/SimpleAI.java:

	Fix 7-high recruiting in evaluateMove (bug found by David Newell)
	
2003-05-19 15:44  dolbeau

	* net/sf/colossus/client/Client.java:

	fix duplicate recruiters display bug
	
2003-05-17 23:47  dripton

	* build.xml:

	Remove broken copy of libs/*.jar in remote-inst task.
	
2003-05-16 01:01  dripton

	* build.xml:

	Add batik-util.jar to classpath for compileAll target, too.
	
2003-05-13 13:00  dripton

	* docs/Credits.html:

	Credit Luke for multiple bugfixes.
	
2003-05-13 12:53  dripton

	* net/sf/colossus/client/: BattleChit.java, Chit.java:

	Move oneWide and threeWide to Chit and make them non-private so BattleChit
	   can also use them.
	setStroke(oneWide) after drawing red X.
	
2003-05-13 12:46  dripton

	* net/sf/colossus/client/Client.java:

	Bug 736041.  clearUndoStack() before doAutoMoves() to avoid spurious undos.
	
2003-05-13 12:44  dripton

	* net/sf/colossus/server/Server.java:

	Remove redundant allTellMovementRoll() call in mulligan()
	
2003-05-13 12:39  dripton

	* net/sf/colossus/server/: Game.java, Legion.java:

	Move call to Caretaker.resurrectImmortals() to Legion.prepareToRemove(),
	   where it will be called regardless of how the legion dies.
	
2003-05-11 04:50  dripton

	* net/sf/colossus/client/SimpleAI.java:

	Do not acquire an angel during own turn if 6-high and able to recruit
	   something better than the best available acquirable.
	
2003-05-11 04:49  dripton

	* net/sf/colossus/server/Game.java:

	Call Caretaker.resurrectImmortals() again in setupMuster(), because I
	   saw some warlocks stay dead.  (Bug 735915.)
	
2003-05-09 04:36  dripton

	* net/sf/colossus/: client/SimpleAI.java, util/Options.java:

	Add incentive for allies to gang up on opponents in battle.
	
2003-05-09 03:36  dripton

	* net/sf/colossus/client/PickIntValue.java:

	Initialize newValue to oldValue.
	
2003-05-02 13:11  dolbeau

	* build.xml:

	really fix build.xml for Infinite
	
2003-05-02 13:06  dolbeau

	* Infinite/: DefaultSplit.hin, DefaultThirdRecruit.hin,
	DefaultTowerRecruit.hin, Infinite.hin, Infinite.ter, Infinite.var:

	remove duplicate data in Infinite, fix build.xml for Infinite
	
2003-05-02 13:02  dolbeau

	* Unified/Unified.ter:

	fix Keep color in Unified
	
2003-05-02 12:54  dolbeau

	* build.xml:

	fix build.xml for Unified
	
2003-05-02 12:51  dolbeau

	* Unified/: Unified.var, Battlelands/Brush, Battlelands/Desert,
	Battlelands/Hills, Battlelands/Jungle, Battlelands/Marsh,
	Battlelands/Mountains, Battlelands/Plains, Battlelands/Swamp,
	Battlelands/Tower, Battlelands/Tundra, Battlelands/Woods,
	images/Angel.gif, images/Archangel.gif, images/Behemoth.gif,
	images/Centaur.gif, images/Colossus.gif, images/Cyclops.gif,
	images/Dragon.gif, images/Gargoyle.gif, images/Giant.gif,
	images/Gorgon.gif, images/Griffon.gif, images/Guardian.gif,
	images/Hydra.gif, images/Lion.gif, images/Minotaur.gif,
	images/Ogre.gif, images/Orc.gif, images/Ranger.gif,
	images/Ruins.gif, images/Ruins_i.gif, images/Serpent.gif,
	images/Titan.gif, images/Tombs.gif, images/Tombs_i.gif,
	images/Troll.gif, images/Unicorn.gif, images/Unknown.gif,
	images/Warbear.gif, images/Warlock.gif, images/Wyvern.gif:

	yet more cleaning up in Unified
	
2003-05-02 12:42  dolbeau

	* Unified/images/: Bog_Hazard.gif, Brambles_Hazard.gif,
	Cliff_Hazard.gif, Drift_Hazard.gif, Dune_Hazard.gif,
	FlyingBase.png, FlyingRangestrikeBase.png, Hit1.gif, Hit2.gif,
	Hit3.gif, Hit4.gif, Hit5.gif, Hit6.gif, Lake_Hazard.gif,
	RangestrikeBase.png, River_Hazard.gif, Sand_Hazard.gif,
	Slope_Hazard.gif, Tree_Hazard.gif, Volcano_Hazard.gif,
	Wall_Hazard.gif:

	even more cleaning up in Unified
	
2003-05-02 12:39  dolbeau

	* Unified/: Unified.var, Battlelands/Abyss, images/Brush.gif,
	images/Brush_i.gif, images/Desert.gif, images/Desert_i.gif,
	images/Hills.gif, images/Hills_i.gif, images/Jungle.gif,
	images/Jungle_i.gif, images/Marsh.gif, images/Marsh_i.gif,
	images/Miss1.gif, images/Miss2.gif, images/Miss3.gif,
	images/Miss4.gif, images/Miss5.gif, images/Miss6.gif,
	images/Mountains.gif, images/Mountains_i.gif, images/Plains.gif,
	images/Plains_i.gif, images/Swamp.gif, images/Swamp_i.gif,
	images/Tower.gif, images/Tower_i.gif, images/Tundra.gif,
	images/Tundra_i.gif, images/Woods.gif, images/Woods_i.gif:

	more cleaning up in Unified
	
2003-05-02 12:28  dolbeau

	* Unified/: MarkersName, Unified.hin, Unified.var,
	UnifiedSplit.hin, UnifiedThirdRecruit.hin, UnifiedTowerRecruit.hin,
	images/Bk01.gif, images/Bk02.gif, images/Bk03.gif, images/Bk04.gif,
	images/Bk05.gif, images/Bk06.gif, images/Bk07.gif, images/Bk08.gif,
	images/Bk09.gif, images/Bk10.gif, images/Bk11.gif, images/Bk12.gif,
	images/Br01.gif, images/Br02.gif, images/Br03.gif, images/Br04.gif,
	images/Br05.gif, images/Br06.gif, images/Br07.gif, images/Br08.gif,
	images/Br09.gif, images/Br10.gif, images/Br11.gif, images/Br12.gif,
	images/Bu01.gif, images/Bu02.gif, images/Bu03.gif, images/Bu04.gif,
	images/Bu05.gif, images/Bu06.gif, images/Bu07.gif, images/Bu08.gif,
	images/Bu09.gif, images/Bu10.gif, images/Bu11.gif, images/Bu12.gif,
	images/Gd01.gif, images/Gd02.gif, images/Gd03.gif, images/Gd04.gif,
	images/Gd05.gif, images/Gd06.gif, images/Gd07.gif, images/Gd08.gif,
	images/Gd09.gif, images/Gd10.gif, images/Gd11.gif, images/Gd12.gif,
	images/Gr01.gif, images/Gr02.gif, images/Gr03.gif, images/Gr04.gif,
	images/Gr05.gif, images/Gr06.gif, images/Gr07.gif, images/Gr08.gif,
	images/Gr09.gif, images/Gr10.gif, images/Gr11.gif, images/Gr12.gif,
	images/Or01.gif, images/Or02.gif, images/Or03.gif, images/Or04.gif,
	images/Or05.gif, images/Or06.gif, images/Or07.gif, images/Or08.gif,
	images/Or09.gif, images/Or10.gif, images/Or11.gif, images/Or12.gif,
	images/Pu01.gif, images/Pu02.gif, images/Pu03.gif, images/Pu04.gif,
	images/Pu05.gif, images/Pu06.gif, images/Pu07.gif, images/Pu08.gif,
	images/Pu09.gif, images/Pu10.gif, images/Pu11.gif, images/Pu12.gif,
	images/Rd01.gif, images/Rd02.gif, images/Rd03.gif, images/Rd04.gif,
	images/Rd05.gif, images/Rd06.gif, images/Rd07.gif, images/Rd08.gif,
	images/Rd09.gif, images/Rd10.gif, images/Rd11.gif, images/Rd12.gif,
	images/Si01.gif, images/Si02.gif, images/Si03.gif, images/Si04.gif,
	images/Si05.gif, images/Si06.gif, images/Si07.gif, images/Si08.gif,
	images/Si09.gif, images/Si10.gif, images/Si11.gif, images/Si12.gif:

	First step in cleaning Unified (remove duplicate markers & hints)
	
2003-05-02 02:55  dripton

	* net/sf/colossus/client/MasterBoard.java:

	Call highlightTallLegions() from actOnHex() during split phase.
	
2003-05-02 02:39  dripton

	* net/sf/colossus/util/ResourceLoader.java:

	Add image width and height to mapKey in more places.
	
2003-05-02 02:35  dripton

	* Unified/: MarkersName, images/AirElemental.gif, images/Angel.gif,
	images/Archangel.gif, images/Balrog.gif, images/Behemoth.gif,
	images/Bk01.gif, images/Bk02.gif, images/Bk03.gif, images/Bk04.gif,
	images/Bk05.gif, images/Bk06.gif, images/Bk07.gif, images/Bk08.gif,
	images/Bk09.gif, images/Bk10.gif, images/Bk11.gif, images/Bk12.gif,
	images/BlackDragon.gif, images/BlueDragon.gif,
	images/Bog_Hazard.gif, images/Br01.gif, images/Br02.gif,
	images/Br03.gif, images/Br04.gif, images/Br05.gif, images/Br06.gif,
	images/Br07.gif, images/Br08.gif, images/Br09.gif, images/Br10.gif,
	images/Br11.gif, images/Br12.gif, images/Brambles_Hazard.gif,
	images/Brush.gif, images/Brush_i.gif, images/Bu01.gif,
	images/Bu02.gif, images/Bu03.gif, images/Bu04.gif, images/Bu05.gif,
	images/Bu06.gif, images/Bu07.gif, images/Bu08.gif, images/Bu09.gif,
	images/Bu10.gif, images/Bu11.gif, images/Bu12.gif,
	images/Centaur.gif, images/Chimera.gif, images/Cliff_Hazard.gif,
	images/Colossus.gif, images/Cyclops.gif, images/Desert.gif,
	images/Desert_i.gif, images/Dragon.gif, images/Drift_Hazard.gif,
	images/Dune_Hazard.gif, images/EarthElemental.gif, images/Ent.gif,
	images/FireElemental.gif, images/FlyingBase.png,
	images/FlyingRangestrikeBase.png, images/Gargoyle.gif,
	images/Gd01.gif, images/Gd02.gif, images/Gd03.gif, images/Gd04.gif,
	images/Gd05.gif, images/Gd06.gif, images/Gd07.gif, images/Gd08.gif,
	images/Gd09.gif, images/Gd10.gif, images/Gd11.gif, images/Gd12.gif,
	images/Ghoul.gif, images/Giant.gif, images/GoldDragon.gif,
	images/Gorgon.gif, images/Gr01.gif, images/Gr02.gif,
	images/Gr03.gif, images/Gr04.gif, images/Gr05.gif, images/Gr06.gif,
	images/Gr07.gif, images/Gr08.gif, images/Gr09.gif, images/Gr10.gif,
	images/Gr11.gif, images/Gr12.gif, images/GreenDragon.gif,
	images/Griffon.gif, images/Guardian.gif, images/Hills.gif,
	images/Hills_i.gif, images/Hit1.gif, images/Hit2.gif,
	images/Hit3.gif, images/Hit4.gif, images/Hit5.gif, images/Hit6.gif,
	images/Hydra.gif, images/Jabberwok.gif, images/Jungle.gif,
	images/Jungle_i.gif, images/Knight.gif, images/Lake_Hazard.gif,
	images/Lich.gif, images/Lion.gif, images/Magog.gif,
	images/Mammoth.gif, images/Manticore.gif, images/Marsh.gif,
	images/Marsh_i.gif, images/Minotaur.gif, images/Miss1.gif,
	images/Miss2.gif, images/Miss3.gif, images/Miss4.gif,
	images/Miss5.gif, images/Miss6.gif, images/Mountains.gif,
	images/Mountains_i.gif, images/Necromancer.gif, images/Ogre.gif,
	images/Or01.gif, images/Or02.gif, images/Or03.gif, images/Or04.gif,
	images/Or05.gif, images/Or06.gif, images/Or07.gif, images/Or08.gif,
	images/Or09.gif, images/Or10.gif, images/Or11.gif, images/Or12.gif,
	images/Orc.gif, images/Plains.gif, images/Plains_i.gif,
	images/Pu01.gif, images/Pu02.gif, images/Pu03.gif, images/Pu04.gif,
	images/Pu05.gif, images/Pu06.gif, images/Pu07.gif, images/Pu08.gif,
	images/Pu09.gif, images/Pu10.gif, images/Pu11.gif, images/Pu12.gif,
	images/PurpleDragon.gif, images/Ranger.gif,
	images/RangestrikeBase.png, images/Rd01.gif, images/Rd02.gif,
	images/Rd03.gif, images/Rd04.gif, images/Rd05.gif, images/Rd06.gif,
	images/Rd07.gif, images/Rd08.gif, images/Rd09.gif, images/Rd10.gif,
	images/Rd11.gif, images/Rd12.gif, images/Reaper.gif,
	images/RedDragon.gif, images/River_Hazard.gif, images/Ruins.gif,
	images/Ruins_i.gif, images/Salamander.gif, images/Sand_Hazard.gif,
	images/Serpent.gif, images/Si01.gif, images/Si02.gif,
	images/Si03.gif, images/Si04.gif, images/Si05.gif, images/Si06.gif,
	images/Si07.gif, images/Si08.gif, images/Si09.gif, images/Si10.gif,
	images/Si11.gif, images/Si12.gif, images/SilverDragon.gif,
	images/Skeleton.gif, images/Slope_Hazard.gif, images/Swamp.gif,
	images/Swamp_i.gif, images/Titan.gif, images/TitanMask.png,
	images/Tombs.gif, images/Tombs_i.gif, images/Tower.gif,
	images/Tower_i.gif, images/Tree_Hazard.gif, images/Troll.gif,
	images/Tundra.gif, images/Tundra_i.gif, images/Unicorn.gif,
	images/Unknown.gif, images/Vampire.gif, images/Volcano_Hazard.gif,
	images/Wall_Hazard.gif, images/Warbear.gif, images/Warlock.gif,
	images/WaterElemental.gif, images/Woods.gif, images/Woods_i.gif,
	images/Wraith.gif, images/Wyvern.gif, images/Zombie.gif:

	Add redundant files to Unified, until we figure out how to depend them.
	
2003-05-01 18:56  dripton

	* Unified/README.html, Unified/Unified.cre, Unified/Unified.hin,
	Unified/Unified.map, Unified/Unified.ter, Unified/Unified.var,
	Unified/UnifiedSplit.hin, Unified/UnifiedThirdRecruit.hin,
	Unified/UnifiedTowerRecruit.hin, Unified/Battlelands/Abyss,
	Unified/Battlelands/Brush, Unified/Battlelands/Castle,
	Unified/Battlelands/Desert, Unified/Battlelands/Graveyard,
	Unified/Battlelands/Hills, Unified/Battlelands/Jungle,
	Unified/Battlelands/Keep, Unified/Battlelands/Marsh,
	Unified/Battlelands/Mountains, Unified/Battlelands/Plains,
	Unified/Battlelands/Swamp, Unified/Battlelands/Tombs,
	Unified/Battlelands/Tower, Unified/Battlelands/Tundra,
	Unified/Battlelands/Wasteland, Unified/Battlelands/Woods,
	net/sf/colossus/server/Constants.java:

	Add Unified variant.
	Remaining Abyssal6 changes.
	
2003-05-01 18:52  dripton

	* Infinite/: DefaultSplit.hin, DefaultThirdRecruit.hin,
	DefaultTowerRecruit.hin, Infinite.cre, Infinite.hin, Infinite.map,
	Infinite.ter, Infinite.var, README.html:

	Add Infinite variant, by David Newell.
	
2003-05-01 18:46  dripton

	* Abyssal9/Abyssal9.ter:

	New files for Abyssal9.
	
2003-05-01 18:44  dripton

	* Abyssal6/Abyssal6.cre, Abyssal6/Abyssal6.map,
	Abyssal6/Abyssal6.ter, Abyssal6/Abyssal6.var, Abyssal6/README.html,
	Abyssal9/Abyssal9.cre, Abyssal9/Abyssal9.map,
	Abyssal9/Abyssal9.var, Abyssal9/README.html, docs/TODO.txt:

	Integrate new versions of Abyssal6 and Abyssal9.
	
2003-05-01 15:13  dripton

	* libs/: batik-awt-util.jar, batik-bridge.jar, batik-css.jar,
	batik-dom.jar, batik-ext.jar, batik-gvt.jar, batik-parser.jar,
	batik-script.jar, batik-svg-dom.jar, batik-transcoder.jar,
	batik-util.jar, batik-xml.jar:

	Update Batik to 1.5beta5.
	
2003-05-01 15:11  dripton

	* docs/Credits.html:

	Add Luke Koleszar.
	
2003-05-01 15:10  dripton

	* net/sf/colossus/util/ResourceLoader.java:

	Cache each width+height of an image separately.  Patch from Luke Koleszar.
	
2003-04-30 13:10  dripton

	* Default/images/: Flying.gif, Flying.svg, FlyingRangestrike.gif,
	FlyingRangestrike.svg, Rangestrike.gif, Rangestrike.svg:

	Remove the non-"Base" versions of these images.
	
2003-04-30 03:29  dripton

	* build.xml, libs/batik-awt-util.jar, libs/batik-bridge.jar,
	libs/batik-css.jar, libs/batik-dom.jar, libs/batik-ext.jar,
	libs/batik-gvt.jar, libs/batik-parser.jar, libs/batik-script.jar,
	libs/batik-svg-dom.jar, libs/batik-transcoder.jar,
	libs/batik-util.jar, libs/batik-xml.jar:

	Change sign target to sign all Batik jars to make JWS happy.
	Check in signed Batik jars.
	
2003-04-30 03:13  dripton

	* Colossus.jnlp, build.xml:

	Add missing libs/ path on batik jar files.
	
2003-04-30 02:33  dripton

	* build.xml:

	Change HTMLDIR to HTML_DIR for consistency.
	Fix typo LIBSDIR to LIBS_DIR.
	
2003-04-30 02:26  dripton

	* docs/TODO.txt:

	Add bug.
	
2003-04-29 15:50  dripton

	* build.xml, libs/batik-awt-util.jar, libs/batik-bridge.jar,
	libs/batik-css.jar, libs/batik-dom.jar, libs/batik-ext.jar,
	libs/batik-gvt.jar, libs/batik-parser.jar, libs/batik-script.jar,
	libs/batik-svg-dom.jar, libs/batik-transcoder.jar,
	libs/batik-util.jar, libs/batik-xml.jar,
	net/sf/colossus/util/ResourceLoader.java:

	Upgrade batik libs to 1.5beta5
	Use Crimson parser instead of default Xerces parser with Batik.
	
2003-04-29 15:46  dripton

	* Default/images/: Flying.svg, FlyingBase.svg,
	FlyingRangestrike.svg, FlyingRangestrikeBase.svg, Rangestrike.svg,
	RangestrikeBase.svg:

	Enlarge and reposition flying and rangestrike images.
	
2003-04-29 13:54  dripton

	* Colossus.jnlp, build.xml, docs/TODO.txt:

	Add batik jars in libs/ to jnlp files.
	Copy libs/*.jar to server in remote-inst target.
	Add os="Linux,SunOS" to various ssh/scp tasks to document non-portability.
	
2003-04-27 21:35  dripton

	* Default/images/Flying.svg, Default/images/FlyingBase.svg,
	Default/images/FlyingRangestrike.svg,
	Default/images/FlyingRangestrikeBase.svg,
	Default/images/Rangestrike.svg, Default/images/RangestrikeBase.svg,
	prototypes/monochrome.py:

	Add initial SVGs for flying and rangestrike.
	Modify monochrome.py to use RGBA instead of RGB.
	
2003-04-22 04:25  dripton

	* build.xml, META-INF/MANIFEST.MF, libs/batik-awt-util.jar,
	libs/batik-bridge.jar, libs/batik-css.jar, libs/batik-dom.jar,
	libs/batik-ext.jar, libs/batik-gvt.jar, libs/batik-parser.jar,
	libs/batik-script.jar, libs/batik-svg-dom.jar,
	libs/batik-transcoder.jar, libs/batik-util.jar, libs/batik-xml.jar:

	Bundle Batik 1.1.1 jars in libs/
	Add Class-Path line to MANIFEST.MF to see batik jars
	Add batik-transcoder.jar to compile classpath
	
2003-04-22 03:40  dripton

	* net/sf/colossus/client/: Chit.java, Client.java, Marker.java:

	Move border handling into Chit.  Turn on by default.  Allow varying color.
	
2003-04-22 03:39  dripton

	* net/sf/colossus/client/MasterBoard.java:

	Call highlightTallLegions() on misclick during split phase.
	
2003-04-14 14:22  dolbeau

	* net/sf/colossus/util/ResourceLoader.java:

	typo
	
2003-04-14 13:45  dolbeau

	* Default/images/Angel.svg, Default/images/Archangel.svg,
	Default/images/Behemoth.svg, Default/images/Centaur.svg,
	Default/images/Colossus.svg, Default/images/Cyclops.svg,
	Default/images/Dragon.svg, Default/images/Gargoyle.svg,
	Default/images/Giant.svg, Default/images/Gorgon.svg,
	Default/images/Griffon.svg, Default/images/Guardian.svg,
	Default/images/Hydra.svg, Default/images/Lion.svg,
	Default/images/Minotaur.svg, Default/images/Ogre.svg,
	Default/images/Ranger.svg, Default/images/Serpent.svg,
	Default/images/Titan.svg, Default/images/Troll.svg,
	Default/images/Unicorn.svg, Default/images/Warbear.svg,
	Default/images/Warlock.svg, Default/images/Wyvern.svg,
	net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/Chit.java,
	net/sf/colossus/client/GUIBattleHex.java,
	net/sf/colossus/client/GUIMasterHex.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/util/ResourceLoader.java:

	merge branch svgtest
	
2003-04-09 23:48  dripton

	* docs/: CodingStandards.html, build.html:

	Tweak docs to match Jacobe setup.
	
2003-04-09 15:32  dolbeau

	* net/sf/colossus/datatools/ShowBuilderHexMap.java:

	Ugly fix for printing Battlelands in BBuilder...
	
2003-04-09 09:00  dolbeau

	* net/sf/colossus/datatools/ShowBuilderHexMap.java:

	Preliminary work on printing support in BattlelandsBuilder. Not finished yet (doesn't fit in a page.)
	
2003-04-08 01:40  dripton

	* net/sf/colossus/server/Game.java:

	Remove debug code.
	Jacobe auto-indenting test.
	
2003-04-08 00:16  jarkun

	* net/sf/colossus/server/: Game.java, Legion.java:

	fixed the "angel 7-high bug"
	
	This was caused when the AI asked for two rangers & got one. The
	servers legion-list tracked it properly, but it then notified
	all of the clients that both rangers had been received.
	
	When it came time to aquire an angel the bug occurs
	
	Two secondary problems that still exist consider:
	-should the AI ask for two recruits when there is only one?
	-should the AI ask for an angel when it thinks the stack is 7 high?
	
2003-04-07 16:54  dripton

	* net/sf/colossus/client/: Client.java, PlayerInfo.java:

	Remove PlayerInfo.creatureValue
	Change Client.getAverageLegionPointValue() to iterate over legionInfo
	   instead of playerInfo.
	
2003-04-07 16:45  dripton

	* net/sf/colossus/: client/PlayerInfo.java,
	client/StatusScreen.java, server/Player.java:

	Do not pass each player's total creature value for status screen.  (This
	   may break SimpleAI's scooby stack detector, until we add this logic
	   to the client side.)
	
2003-04-04 15:22  dripton

	* net/sf/colossus/client/: PlayerInfo.java, StatusScreen.java:

	Remove total creature point value from status screen.
	Add set methods to PlayerInfo, so that we can eliminate some update()
	   calls.
	
2003-04-03 15:44  dripton

	* prototypes/titanhits.py:

	General cleanup, before converting to a cgi script.
	
2003-04-02 15:33  dripton

	* docs/Credits.html, net/sf/colossus/server/Server.java:

	Synchronize a couple of Server methods to fix a post-battle race.
	   Patch from Chris Goebel.
	
2003-03-29 01:46  dripton

	* net/sf/colossus/: client/MasterBoard.java,
	client/PickIntValue.java, server/GetPlayers.java:

	Add step argument to PickIntValue.
	
2003-03-25 13:46  dolbeau

	* net/sf/colossus/: client/GUIBattleHex.java,
	util/ResourceLoader.java:

	remove spurious debug messages
	
2003-03-25 13:24  dolbeau

	* net/sf/colossus/client/: GUIBattleHex.java, GUIMasterHex.java:

	Fix overlays so they are rasterized to the final size. Bitmaps are rescaled only once now (faster), and SVG will be properly rasterized.
	
2003-03-25 12:36  dolbeau

	* net/sf/colossus/util/ResourceLoader.java:

	fix font size handling in dynamic images
	
2003-03-25 05:32  dripton

	* docs/TODO.txt, net/sf/colossus/client/PickIntValue.java:

	Use a JSpinner.
	
2003-03-21 10:42  dolbeau

	* Default/images/Centaur.svg:

	file Centaur.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Gargoyle.svg:

	file Gargoyle.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Warlock.svg:

	file Warlock.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Guardian.svg:

	file Guardian.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Hydra.svg:

	file Hydra.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Behemoth.svg:

	file Behemoth.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Ranger.svg:

	file Ranger.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Warbear.svg:

	file Warbear.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Griffon.svg:

	file Griffon.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Gorgon.svg:

	file Gorgon.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Colossus.svg:

	file Colossus.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Serpent.svg:

	file Serpent.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Lion.svg:

	file Lion.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Troll.svg:

	file Troll.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Ogre.svg:

	file Ogre.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Titan.svg:

	file Titan.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Cyclops.svg:

	file Cyclops.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Wyvern.svg:

	file Wyvern.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Unicorn.svg:

	file Unicorn.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Minotaur.svg:

	file Minotaur.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Dragon.svg:

	file Dragon.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Giant.svg:

	file Giant.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Angel.svg, Default/images/Archangel.svg,
	Default/images/Behemoth.svg, Default/images/Centaur.svg,
	Default/images/Colossus.svg, Default/images/Cyclops.svg,
	Default/images/Dragon.svg, Default/images/Gargoyle.svg,
	Default/images/Giant.svg, Default/images/Gorgon.svg,
	Default/images/Griffon.svg, Default/images/Guardian.svg,
	Default/images/Hydra.svg, Default/images/Lion.svg,
	Default/images/Minotaur.svg, Default/images/Ogre.svg,
	Default/images/Ranger.svg, Default/images/Serpent.svg,
	Default/images/Titan.svg, Default/images/Troll.svg,
	Default/images/Unicorn.svg, Default/images/Warbear.svg,
	Default/images/Warlock.svg, Default/images/Wyvern.svg,
	net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/Chit.java,
	net/sf/colossus/client/GUIBattleHex.java,
	net/sf/colossus/client/GUIMasterHex.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/util/ResourceLoader.java:

	Add David's SVG Chits, fix Chits scaling, ungracefully handle overlays (w/ fixed size rasterizing ATM).
	
2003-03-21 10:42  dolbeau

	* Default/images/Archangel.svg:

	file Archangel.svg was initially added on branch svgtest.
	
2003-03-21 10:42  dolbeau

	* Default/images/Angel.svg:

	file Angel.svg was initially added on branch svgtest.
	
2003-03-20 21:56  dripton

	* prototypes/monochrome.py:

	File to help convert image files to SVG.
	
2003-03-19 12:49  dolbeau

	* net/sf/colossus/: client/GUIBattleHex.java,
	util/ResourceLoader.java:

	cleanup, and scale seems OK after all... except overlays are rasterized to their 'native' size and post-scaled as bitmaps. yuck\!
	
2003-03-19 10:20  dolbeau

	* net/sf/colossus/util/ResourceLoader.java:

	avoid using batik when it's not there.
	
2003-03-19 10:00  dolbeau

	* net/sf/colossus/util/ResourceLoader.java:

	ultra-preliminary SVG support
	
2003-03-17 05:04  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java:

	Cleanup comments.
	Remove bad ideas from TODO
	
2003-03-12 02:25  dripton

	* docs/TODO.txt, net/sf/colossus/client/BattleDice.java,
	net/sf/colossus/client/Concede.java,
	net/sf/colossus/client/EngagementResults.java,
	net/sf/colossus/client/Negotiate.java,
	net/sf/colossus/client/PickRecruit.java,
	net/sf/colossus/client/ShowAllRecruits.java,
	net/sf/colossus/client/SplitLegion.java,
	net/sf/colossus/server/GetPlayers.java:

	Change JPanels with BoxLayout to Boxes.
	
2003-03-12 01:33  dripton

	* docs/TODO.txt, net/sf/colossus/server/Server.java:

	Set SO_REUSEADDR on server socket.
	
2003-03-12 01:33  dripton

	* docs/XMLprotocol.txt:

	Remove halfPoints from eliminatePlayer.
	
2003-03-11 19:48  dripton

	* docs/TODO.txt:

	New JDK 1.4 features
	
2003-03-11 17:59  dripton

	* Makefile:

	Remove SAX and Piccolo.
	Update Java version to 1.4
	
2003-03-11 17:44  dripton

	* Colossus.jnlp:

	Remove obsolete client jnlp files.
	Upgrade all jnlp files to Java 1.4+ and 128MB max heap.
	
2003-03-11 17:29  dripton

	* net/sf/colossus/server/Game.java:

	Remove reference to Piccolo in SAXBuilder constructor.  Use default parser.
	
2003-03-11 17:22  dripton

	* build.xml:

	Change compile target to 1.4.  (Which allows asserts.)
	
2003-03-11 17:21  dripton

	* Colossus.jnlp:

	Change required Java version to 1.4+
	
2003-03-11 17:20  dripton

	* build.xml, docs/CodingStandards.html, docs/HW-SW-Req.html,
	docs/README.html, docs/build.html:

	Change docs to reflect Java 1.4+ requirement.
	
2003-03-09 00:53  dripton

	* net/sf/colossus/client/SimpleAI.java:

	Tim Sharrock's patch.
	Defending Titan, not attacking Titan, needs to stay in center of tower.
	
2003-03-09 00:45  dripton

	* docs/Credits.html:

	Tim Sharrock patch.
	
2003-03-09 00:40  dripton

	* docs/build.html:

	Fix typo.
	
2003-03-07 17:51  dripton

	* net/sf/colossus/client/PickCarry.java:

	Make PickCarry non-modal again; making it modal lead to lockups.
	
2003-03-06 15:46  dripton

	* docs/index.html:

	Add link to XMLprotocol.txt
	
2003-03-04 05:49  dripton

	* net/sf/colossus/: client/Strike.java, server/Battle.java:

	Fix bug in countBrambleHexesDir() when there's a hexspine and only one
	   of the possible directions is clear of creatures.
	
2003-03-03 21:49  dripton

	* net/sf/colossus/: client/SimpleAI.java, client/Strike.java,
	server/Battle.java:

	Call Strike.getRange() statically
	Remove static calls from Strike to Battle.
	Remove unused code.
	Reduce access to some methods.
	
2003-03-03 21:28  dripton

	* net/sf/colossus/server/Critter.java:

	Remove unused code.
	Make local methods private.
	
2003-03-03 20:51  dripton

	* net/sf/colossus/server/Battle.java:

	Remove unused code.
	Make some methods private.
	
2003-02-28 19:34  dripton

	* net/sf/colossus/server/LOSTest.java:

	Add unit test to show strike number problem.
	
2003-02-21 12:35  dolbeau

	* build.xml:

	add Random to build.xml
	
2003-02-20 21:58  dripton

	* docs/TODO.txt:

	Remove duplicates.
	Move some bugs to buglists.
	
2003-02-20 15:46  dripton

	* docs/TODO.txt, net/sf/colossus/client/PickCarry.java,
	net/sf/colossus/client/PickStrikePenalty.java,
	net/sf/colossus/client/PredictSplitsTest.java:

	Make PickCarry and PickStrikePenalty modal.
	Add another unit test for split prediction to demonstrate an extra
	   creature bug.  The test passes even though the savegame fails.
	
2003-02-19 16:00  dripton

	* net/sf/colossus/: client/BattleMap.java, client/Client.java,
	client/MasterBoard.java, util/Options.java:

	Add stealFocus option.  Move all requestFocus() and toFront() calls
	   inside MasterBoard / BattleMap.reqFocus(), and ignore if option is
	   false.
	
2003-02-19 05:09  dripton

	* net/sf/colossus/server/DiceTest.java:

	Comment on broken chiSquare
	
2003-02-18 20:25  dripton

	* net/sf/colossus/client/PredictSplitsTest.java:

	testPredictSplits6()
	
2003-02-18 19:37  dripton

	* net/sf/colossus/: client/PredictSplitsTest.java,
	server/Battle.java, server/Legion.java:

	Call History.removeCreatureEvent() from Legion.prepareToRemoveCritter()
	Add a new unit test.
	
2003-02-18 14:43  dripton

	* docs/Credits.html, net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/ShowAllRecruits.java,
	net/sf/colossus/client/ShowLegion.java,
	net/sf/colossus/util/KDialog.java:

	Renaud Devarieux's fix for scrolling problems.
	
2003-02-18 14:41  dripton

	* net/sf/colossus/server/Legion.java:

	Call prepareToRemoveCritter() for each critter, from prepareToRemove().
	   This assures that the client has full information about the legion.
	
2003-02-18 10:10  dolbeau

	* Balrog/BalrogRecruitment.java,
	net/sf/colossus/server/CustomRecruitBase.java,
	net/sf/colossus/server/Game.java:

	Fix for bug #684329. Need to properly reset the Custom Recruit stuff when a game starts.
	
2003-02-17 01:09  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/PredictSplits.java:

	Sort nodes into chronological order.
	Change error messages back to exceptions.
	
2003-02-17 00:32  dripton

	* net/sf/colossus/client/PredictSplitsTest.java:

	Add simple test.
	Remove excess autogenerated tests.
	
2003-02-17 00:32  dripton

	* prototypes/predictsplits.py:

	Remove excess autogenerated tests.
	
2003-02-16 19:05  dripton

	* net/sf/colossus/util/ResourceLoader.java:

	Fix typo in warning message.
	
2003-02-14 23:38  dripton

	* docs/README.html:

	Fix a broken link.
	
2003-02-14 02:53  dripton

	* docs/XMLprotocol.txt:

	Use mixedCase for readability.
	
2003-02-13 18:53  dripton

	* docs/TODO.txt:

	Partial sync with bug tracker.
	
2003-02-13 18:43  dripton

	* net/sf/colossus/client/: Client.java, PlayerInfo.java:

	Remove all LegionInfo for an eliminated player, to fix bugs related
	   to captured legion markers.
	
2003-02-13 18:42  dripton

	* net/sf/colossus/client/StatusScreen.java:

	Color all fields red/yellow, not just the name, undoing previous change.
	
2003-02-13 18:41  dripton

	* docs/XMLprotocol.txt:

	Reveal both legions when a battle starts.
	
2003-02-12 18:44  dripton

	* net/sf/colossus/client/PredictSplits.java:

	Remove unused import.
	
2003-02-12 18:31  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/server/History.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java:

	Add PlayerElim elements to savegame.
	Add updateHistory flag to allTellPlayerElim() to prevent loops.
	Call defaultCursor() from nextEngagement()
	
2003-02-12 17:19  dripton

	* docs/TODO.txt, net/sf/colossus/client/StatusScreen.java:

	Only color player name field red or yellow, not whole column.
	
2003-02-12 16:18  dripton

	* docs/XMLprotocol.txt:

	Just whitespace
	
2003-02-12 16:14  dripton

	* docs/XMLprotocol.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java:

	Merge all nak packets into one.
	
2003-02-11 20:04  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/MarkerComparator.java,
	net/sf/colossus/client/PlayerInfo.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java,
	net/sf/colossus/util/Glob.java:

	Move markersAvailable from Client to PlayerInfo.
	Update markersAvailable from updatePlayerInfo() not setupSplit()
	Generalize Glob to allow passing the separator, or defaulting it.
	Add null-arg version of Client.getPlayerInfo()
	
2003-02-10 21:18  dripton

	* net/sf/colossus/: client/BattleChit.java, client/Chat.java,
	client/Chit.java, client/Client.java, client/Marker.java,
	client/MasterBoard.java, util/Options.java:

	Finish removing Chat.
	Add doNotInvertDefender option.
	
2003-02-10 20:36  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/IServer.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java,
	net/sf/colossus/util/Options.java:

	Remove chat window.
	
2003-02-10 19:34  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/CreatureCollectionView.java:

	Do not scale anything in CreatureCollectionView.
	
2003-02-10 19:06  dripton

	* docs/XMLprotocol.txt, net/sf/colossus/util/Options.java:

	Tweak options formatting and comments.
	Add options to formgame element.
	
2003-02-10 02:04  dripton

	* net/sf/colossus/: client/Client.java, server/Constants.java,
	server/IServer.java, util/Options.java:

	Comments, remove unused import.
	
2003-02-10 02:02  dripton

	* docs/: TODO.txt, XMLprotocol.txt:

	Document new XML protocol.
	
2003-02-07 15:53  dripton

	* net/sf/colossus/client/: GUIBattleHex.java, GUIMasterHex.java,
	Hex.java:

	Use Math.toDegrees()
	
2003-02-04 19:37  dripton

	* net/sf/colossus/server/DiceTest.java:

	Chi square test.
	Fixes to broken integration.
	
2003-02-04 17:49  dripton

	* net/sf/colossus/client/HexMap.java:

	Whitespace and full bracing, no code changes.
	
2003-02-04 17:47  dripton

	* net/sf/colossus/server/DiceTest.java:

	Rewrite runs test.  It works now.
	Integrate my bugfixes with Romain's.
	
2003-02-04 15:39  dolbeau

	* net/sf/colossus/server/DiceTest.java:

	Pur the failing test last in DiceTest.
	
2003-02-04 15:38  dolbeau

	* net/sf/colossus/server/: Dice.java, DiceTest.java:

	Still trying to fix DiceTest.
	
2003-02-04 15:04  dolbeau

	* net/sf/colossus/server/DiceTest.java:

	Trying to understand why some DiceTest fails.
	
2003-02-02 06:21  dripton

	* build.xml, net/sf/colossus/server/Dice.java,
	net/sf/colossus/server/DiceTest.java:

	Unit test for random number generator.  Runs test is not passing yet.
	Slightly modify DevRandom and Dice for testability.
	
2003-01-30 10:02  dolbeau

	* net/sf/colossus/util/DevRandom.java:

	Fix DecRandom on platform _with_ /dev/random or /dev/urandom.
	
2003-01-29 02:48  dripton

	* net/sf/colossus/: client/SimpleAI.java, server/DiceTest.java,
	server/Game.java, util/DevRandom.java:

	Start hunting down bug that keeps human player 1 out of starting
	   towers 3-4 in 6-player Default games.
	
2003-01-28 00:12  dripton

	* build.xml, docs/TODO.txt, net/sf/colossus/client/Client.java:

	Remove broken "**/.#Colossus.jar*" from clean task.
	Turn off wait cursor more often.
	
2003-01-27 20:09  dripton

	* Colossus.jnlp, run, run.bat:

	Set max heap size to 128 MB.
	
2003-01-23 19:34  dripton

	* docs/: BugReporting.html, FAQ.html, index.html:

	Bug reporting docs.
	
2003-01-23 05:15  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/server/Game.java:

	Client.defaultCursor() and waitCursor()
	Remove PredictSplitsException for count > height to just error message.
	Log when saving game other than via autosave.
	
2003-01-23 00:10  dripton

	* docs/TODO.txt:

	Sort, mark trivial stuff as EASY, remove done and dups and obvious.
	
2003-01-22 19:46  dripton

	* net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/PredictSplitsTest.java,
	prototypes/predictsplits.py:

	Apply fix for splitoff bigger than remaining legion to Java version.
	Slightly refactor Python version.
	
2003-01-22 19:31  dripton

	* prototypes/: predictsplits.py, snaptotestcase.py:

	Fix a bug when the splitoff is the larger legion.
	Print "turn" instead of the value of self.turn when emitting a split test.
	
2003-01-22 17:58  dripton

	* docs/: BattlelandsRandomizer.html, FAQ.html:

	Fix bogus quotes.
	
2003-01-22 17:28  dripton

	* build.xml:

	Remove docs task and related cleanup.
	
2003-01-22 15:29  dripton

	* docs/.cvsignore:

	No longer needed now that docs are HTML
	
2003-01-22 15:29  dripton

	* docs/: BattlelandsBuilder.html, BattlelandsRandomizer.html,
	Makefile, Makefile.rules:

	Convert TeX to HTML
	
2003-01-22 15:10  dripton

	* docs/: FileFormat.html, FileFormat.tex, Variant-HOWTO.html,
	index.html:

	Convert from TeX to HTML.  (Used TtM.)
	
2003-01-22 03:40  dripton

	* docs/Variant-HOWTO.html:

	Restore file type names for consistency with FileFormat doc
	
2003-01-22 00:11  dripton

	* docs/: README.html, README.tex, build.html:

	Convert from TeX to HTML
	
2003-01-21 23:35  dripton

	* docs/: build.bib, build.html, build.tex:

	Convert from TeX to HTML
	
2003-01-21 22:07  dripton

	* docs/: Base.tex, HW-SW-Req.bib, HW-SW-Req.html,
	Variant-HOWTO.html, index.html:

	Convert Base.tex to index.html
	Fix links.
	
2003-01-21 21:40  dripton

	* docs/: HW-SW-Req.html, HW-SW-Req.tex:

	Convert from TeX to HTML
	
2003-01-21 21:24  dripton

	* docs/: Variant-HOWTO.html, Variant-HOWTO.tex:

	Convert from TeX to HTML
	
2003-01-21 21:08  dripton

	* docs/: Credits.html, Credits.tex:

	Convert to HTML
	
2003-01-21 20:47  dripton

	* docs/: MarkerSet-HOWTO.html, MarkerSet-HOWTO.tex:

	Convert from TeX to HTML
	
2003-01-21 20:35  dripton

	* docs/: ClientServer.txt, FAQ.html, FAQ.tex:

	Convert FAQ from TeX to HTML.
	
2003-01-21 20:17  dripton

	* docs/: network.html, network.tex:

	Convert network docs from TeX to HTML.
	
2003-01-21 19:50  dripton

	* docs/: CodingStandards.html, CodingStandards.tex, TODO.txt:

	Convert coding standards document to simple HTML.
	
2003-01-21 13:50  dolbeau

	* net/sf/colossus/: server/Critter.java, server/Dice.java,
	server/GetPlayers.java, util/Options.java:

	Option to use non-random Battle dice (rigth now it uses a fixed sequence of roll)
	
2003-01-20 17:43  dripton

	* net/sf/colossus/: client/BattleChit.java, client/Client.java,
	client/MasterBoard.java, util/Options.java:

	s/colour/color, for consistency with the rest of the project.
	
2003-01-20 17:41  dripton

	* prototypes/: predictsplits.py, snaptotestcase.py:

	Remove someall logic, since we just call revealCreatures() now.
	Add another test case.
	
2003-01-20 17:41  dripton

	* net/sf/colossus/client/PredictSplitsTest.java:

	Add another test case.
	
2003-01-20 17:40  dripton

	* run:

	Use xset to turn off annoying beeping.
	
2003-01-20 14:41  dolbeau

	* net/sf/colossus/: client/BattleChit.java, client/Client.java,
	client/MasterBoard.java, util/Options.java:

	make cooured borders on BattleChit a graphic option
	
2003-01-18 04:04  dripton

	* docs/TODO.txt:

	2 new bugs
	
2003-01-18 00:10  dripton

	* docs/TODO.txt, net/sf/colossus/client/BattleChit.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/PickColor.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/util/HTMLColor.java:

	Improve BattleChit border code.  Still not perfect.
	Change BrownColossus color to be harder to confuse with black.
	Add test main() to PickColor
	Remove exception in PredictSplits.merge()  Just print and abort.
	
2003-01-17 00:08  dripton

	* net/sf/colossus/client/Client.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/PredictSplitsTest.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java,
	prototypes/predictsplits.py:

	Merge revealSomeCreatures() and revealAllCreatures() into revealCreatures()
	Merge setLegionContents() into revealCreatures()
	Add testPredictSplits8()
	
2003-01-16 22:06  dripton

	* net/sf/colossus/client/: BattleChit.java, Chit.java, Client.java:

	Add player-colored border to BattleChit.
	
2003-01-16 21:08  dripton

	* net/sf/colossus/client/PredictSplits.java:

	Reduce debug logging a bit.
	
2003-01-16 21:06  dripton

	* net/sf/colossus/server/Legion.java:

	Whitespace
	
2003-01-16 21:06  dripton

	* net/sf/colossus/client/: Movement.java, SimpleAI.java:

	Remove null and "null" from the Set generated by listTeleportMoves()
	
2003-01-16 21:05  dripton

	* net/sf/colossus/server/Game.java:

	Remove "null" and null from the Set generated by listTeleportMoves()
	
2003-01-16 07:30  dripton

	* net/sf/colossus/client/: PredictSplits.java,
	PredictSplitsTest.java:

	testPredictSplits6()
	Debug prints
	Check for null parent before calling parent.tellChildContents()
	
2003-01-16 07:26  dripton

	* prototypes/: predictsplits.py, snaptotestcase.py:

	Use optparse instead of optik in snaptotestcase.py
	Fix removeLastUncertainCreature()
	
2003-01-15 18:01  dripton

	* net/sf/colossus/client/GUIMasterHex.java:

	Fix indentation.
	
2003-01-15 14:39  dripton

	* net/sf/colossus/server/Server.java:

	Remove remnants of broken firstHuman logic in allInitBoard()
	
2003-01-15 00:02  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/PredictSplitsTest.java,
	net/sf/colossus/server/Server.java:

	Add another split prediction unit test.
	Simplify Node.chooseCreaturesToSplitOut() to use results of
	   findAllPossibleSplits()
	Add debug code to chase loadgame and merge bugs.
	
2003-01-14 22:17  dripton

	* prototypes/: predictsplits.py, snaptotestcase.py:

	Print test case number.
	When known creatures not in parent legion in findAllPossibleSplits(),
	   reveal the known creatures to force re-predicting parent split.
	Make chooseCreaturesToSplitOut() use findAllPossibleSplits() to eliminate
	   duplicated code.
	
2003-01-13 21:15  dripton

	* net/sf/colossus/client/PredictSplits.java:

	Remove excess debug code.
	
2003-01-11 00:07  dripton

	* net/sf/colossus/server/Game.java:

	Clean up error message for bad phase advance.
	
2003-01-10 23:36  dripton

	* net/sf/colossus/: client/Client.java, server/Battle.java:

	Eliminate excess Caretaker.putOneBack() call when a reinforcement is left
	   offboard.
	
2003-01-10 20:29  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/SimpleAI.java:

	Remove debug logging.
	Add null check in SimpleAI.evaluateMove()
	
2003-01-10 19:13  dripton

	* net/sf/colossus/client/ShowLegion.java:

	Add a rigid area next to the chit for 1-high legions, to work around a
	   Linux JDK repaint bug.
	
2003-01-10 14:37  dripton

	* run, run.bat:

	Add -Xmx64M to startup scripts.
	
2003-01-08 14:37  dripton

	* prototypes/: balance.pl, titanhits.py:

	Check in the old balanced towers and titan hits prototypes.
	
2003-01-07 04:23  dripton

	* build.xml, Default/images/QuestionMarkMask.png,
	Default/images/QuestionMarkMaskRed.png, docs/TODO.txt,
	net/sf/colossus/client/Chit.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/CreatureInfo.java,
	net/sf/colossus/client/CreatureInfoComparator.java,
	net/sf/colossus/client/CreatureInfoList.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/Movement.java,
	net/sf/colossus/client/PlayerInfo.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/PredictSplitsTest.java,
	net/sf/colossus/client/ShowLegion.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/History.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java,
	net/sf/colossus/util/Combos.java,
	net/sf/colossus/util/CombosTest.java,
	net/sf/colossus/util/Glob.java, prototypes/.cvsignore,
	prototypes/predictsplits.py, prototypes/snaptotestcase.py:

	Merge branch split_prediction to trunk
	
2003-01-07 03:23  dripton

	* docs/TODO.txt, net/sf/colossus/client/Movement.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/server/Game.java:

	Several null checks to work around problems with legions removed during
	   load game.
	Check for battleInProgress rather than battle != null in call to
	   Game.dumpLegion()
	
2003-01-07 00:35  dripton

	* build.xml:

	Update JUnit version needed to 3.8.1, since we use assertFalse()
	
2003-01-07 00:03  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/PlayerInfo.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/History.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java:

	Fix game loading.
	Add tellPlayerElim packet, and PlayerElim history element.
	Treat dead players as alive until history is loaded, then set to dead.
	Change decorated Titan names with color/power to just "Titan" in
	   PredictSplits.addCreature() and removeCreature()
	
2003-01-06 16:48  dripton

	* net/sf/colossus/client/PredictSplitsTest.java,
	prototypes/snaptotestcase.py:

	Add helper class AllPredictSplits to PredictSplitsTest
	Fix Java test case generation.
	
2003-01-06 16:29  dripton

	* prototypes/.cvsignore:

	file .cvsignore was initially added on branch split_prediction.
	
2003-01-06 16:29  dripton

	* prototypes/: .cvsignore, predictsplits.py, snaptotestcase.py:

	Add AllPredictSplits() to simplify unit tests with more than one player.
	Print all legions at end of test.
	
2003-01-03 23:58  dripton

	* prototypes/snaptotestcase.py:

	file snaptotestcase.py was initially added on branch split_prediction.
	
2003-01-03 23:58  dripton

	* prototypes/: predictsplits.py, snaptotestcase.py:

	snaptotestcase.py generates unit test cases for split prediction from
	   savegames, in both Java and Python.  Not done -- still need to handle
	   one PredictSplits object per player.
	
2003-01-03 15:52  dripton

	* net/sf/colossus/client/PredictSplitsTest.java,
	prototypes/predictsplits.py:

	Improve unit tests.
	
2003-01-03 14:51  dripton

	* prototypes/predictsplits.py:

	file predictsplits.py was initially added on branch split_prediction.
	
2003-01-03 14:51  dripton

	* prototypes/predictsplits.py:

	Python split prediction prototype
	
2003-01-03 03:13  dripton

	* net/sf/colossus/client/PredictSplits.java:

	findAllPossibleSplits() used to set certainty if a creature always ends
	   up in the same child legion.
	Simplify tellChildContents()
	
2003-01-02 23:56  dripton

	* net/sf/colossus/util/CombosTest.java:

	file CombosTest.java was initially added on branch split_prediction.
	
2003-01-02 23:56  dripton

	* build.xml, net/sf/colossus/util/Combos.java,
	net/sf/colossus/util/CombosTest.java:

	Add combination generator for subtractive certainty logic.
	
2003-01-02 23:56  dripton

	* net/sf/colossus/util/Combos.java:

	file Combos.java was initially added on branch split_prediction.
	
2002-12-31 20:00  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/PredictSplitsTest.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/server/History.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java:

	Pass turn number on split and merge events, for loading history.
	Rename local vars from playerName to pName in Client, to avoid
	   confusion with instance var.
	Add unit test to demonstrate another split prediction bug.
	
2002-12-31 19:08  dripton

	* net/sf/colossus/server/Game.java:

	Just formatting.
	
2002-12-27 04:17  dripton

	* net/sf/colossus/: server/Battle.java, server/Game.java,
	server/History.java, server/Legion.java, server/Server.java,
	util/Glob.java:

	Working on load game path for split prediction.  Not done yet.
	
2002-12-23 16:41  dolbeau

	* Default/images/QuestionMarkMaskRed.png:

	file QuestionMarkMaskRed.png was initially added on branch split_prediction.
	
2002-12-23 16:41  dolbeau

	* Default/images/QuestionMarkMaskRed.png,
	net/sf/colossus/client/Chit.java,
	net/sf/colossus/server/Creature.java:

	Try with a reddish question mark on black chits.
	
2002-12-23 15:23  dripton

	* net/sf/colossus/client/ShowLegion.java:

	Remove redundant '?' label now that chits have overlaid '?'
	
2002-12-23 15:00  dripton

	* net/sf/colossus/client/CreatureInfoComparator.java:

	file CreatureInfoComparator.java was initially added on branch split_prediction.
	
2002-12-23 15:00  dripton

	* net/sf/colossus/client/: CreatureInfo.java,
	CreatureInfoComparator.java:

	Split out CreatureInfoComparator into its own file.
	
2002-12-23 14:36  dripton

	* net/sf/colossus/client/: CreatureInfo.java,
	CreatureInfoList.java:

	Split CreatureInfoList into its own file.
	
2002-12-23 14:36  dripton

	* net/sf/colossus/client/CreatureInfoList.java:

	file CreatureInfoList.java was initially added on branch split_prediction.
	
2002-12-23 12:42  dolbeau

	* Default/images/QuestionMarkMask.png,
	net/sf/colossus/client/Chit.java,
	net/sf/colossus/client/ShowLegion.java:

	add an overlayed question mark on top of 'guessed' chit.
	
2002-12-23 12:42  dolbeau

	* Default/images/QuestionMarkMask.png:

	file QuestionMarkMask.png was initially added on branch split_prediction.
	
2002-12-20 12:36  dolbeau

	* net/sf/colossus/parser/AIHintLoader.jj:

	make AIHintLoader also use DevRandom()
	
2002-12-20 06:52  dripton

	* net/sf/colossus/client/PredictSplitsTest.java:

	Finish second test scenario.
	
2002-12-19 23:43  dripton

	* net/sf/colossus/client/: PredictSplits.java,
	PredictSplitsTest.java:

	Adding another PredictSplits unit test.
	
2002-12-19 14:27  dripton

	* net/sf/colossus/client/CreatureInfo.java:

	Trim names like "Titan-6-Green" to just "Titan"
	
2002-12-19 14:19  dolbeau

	* docs/network.tex, net/sf/colossus/client/Client.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/FileServerThread.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/util/ResourceLoader.java:

	Fix File Server port, so it uses (specified port + 1) instead of an hardwired value.
	
2002-12-19 09:28  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	Add missing 'return' in flee()
	
2002-12-18 23:35  dripton

	* net/sf/colossus/: client/Client.java, server/Battle.java,
	server/History.java, server/Server.java:

	Add more add creature and remove creature event calls.
	
2002-12-18 14:05  dripton

	* net/sf/colossus/server/History.java:

	file History.java was initially added on branch split_prediction.
	
2002-12-18 14:05  dripton

	* net/sf/colossus/client/CreatureInfo.java:

	file CreatureInfo.java was initially added on branch split_prediction.
	
2002-12-18 14:05  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/CreatureInfo.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/PredictSplitsTest.java,
	net/sf/colossus/client/ShowLegion.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/History.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java:

	Split prediction integration on branch split_prediction.
	Known bug: Apparent 8-high legions.
	Known bug: Load game fails.  Need to finish History save, then load it.
	
2002-12-18 09:44  dolbeau

	* net/sf/colossus/server/: FileServerThread.java, Server.java:

	Fix bad new game <-> file server interaction. Now the FileServerThread is shutdown and re-created when a new server is initialized.
	
2002-12-15 18:30  dripton

	* net/sf/colossus/server/Battle.java:

	Fix removal of summoned angels left offboard.
	
2002-12-12 22:06  dripton

	* net/sf/colossus/: client/PredictSplits.java,
	client/PredictSplitsTest.java, client/SimpleAI.java,
	server/Creature.java:

	Make CreatureInfoList.clone() deep-copy rather than shallow-copy
	   the creatures.
	Add Node.compareTo() so we can sort displayed lists.
	Make Node's instance vars private.
	Add printNodes() for debug.
	Do not use Plains as default terrain in SimpleAI.getKillValue()
	   Instead give no native bonus if terrain is null.
	
2002-12-11 14:56  dripton

	* net/sf/colossus/client/Client.java:

	Only show the game over messages for players with a board.
	
2002-12-11 09:15  dolbeau

	* Badlands/Badlands.hin, Badlands-JDG/Badlands-JDGTowerRecruit.hin:

	Fix hint files for variants Badlands & Badlands-JDG.
	
2002-12-11 06:14  dripton

	* net/sf/colossus/: client/PredictSplits.java,
	client/PredictSplitsTest.java, server/CreatureTitan.java:

	Fix starting titan/angel split bug in PredictSplits.  Not quite done.
	Remove incessant warning from CreatureTitan.
	
2002-12-11 03:16  dripton

	* docs/TODO.txt, net/sf/colossus/client/PredictSplitsTest.java,
	net/sf/colossus/server/CarryTest.java,
	net/sf/colossus/server/LOSTest.java:

	Match new arguments to VariantSupport.loadVariant() in unit tests.
	
2002-12-11 02:42  dripton

	* net/sf/colossus/server/: Game.java, Server.java:

	Synchronize all access to Game.acquiring to try to keep game from going
	   ahead while defending player is post-battle acquiring.
	
2002-12-10 14:08  dolbeau

	* net/sf/colossus/util/ResourceLoader.java:

	Replace some Log.error() by Log.warn(), in most case these 'errors' aren't fatal.
	
2002-12-10 13:51  dolbeau

	* net/sf/colossus/util/ResourceLoader.java:

	Remove spurious Exception used for debugging.
	
2002-12-10 13:37  dolbeau

	* net/sf/colossus/: client/Client.java, client/HexMap.java,
	client/IClient.java, client/ShowAllRecruits.java,
	client/SocketClientThread.java, server/Constants.java,
	server/FileServerThread.java, server/Game.java,
	server/GetPlayers.java, server/IServer.java, server/Server.java,
	server/SocketServerThread.java, server/VariantSupport.java,
	util/ResourceLoader.java:

	Merging branch distant_datafiles. This add a file server to send the variant files to networked clients, full randomized Battlelands support, & more.
	
2002-12-08 04:15  dripton

	* net/sf/colossus/client/: Client.java, MasterHex.java,
	ShowAllRecruits.java:

	Don't ask a player whether to teleport or move normally if the destination
	   hex is empty and the entry side doesn't matter.  Just move normally.
	Remove deprecated version of MasterHex.getTerrainName()
	Only show one all-terrains ShowAllRecruits at a time.
	
2002-12-07 08:30  dripton

	* docs/FAQ.tex:

	Change spin cycle answer to reflect GUI change.  Clean up some other text.
	
2002-12-07 08:26  dripton

	* net/sf/colossus/client/: Client.java, MasterBoard.java:

	Allow a spin cycle move by clicking on the chit again, not just clicking
	   in the hex outside the chit.
	
2002-12-07 07:16  dripton

	* net/sf/colossus/client/SplitLegion.java:

	Disable "Done" button when split is not legal.
	
2002-12-07 05:25  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java:

	highlightBattleSite()
	
2002-12-06 12:33  dolbeau

	* Makefile, build.xml, net/sf/colossus/server/Constants.java:

	Reomving ExtTitan8, ExtTitan has been updated to a new version with more Creatures in the Caretaker's Stack.
	
2002-12-05 13:50  dolbeau

	* ExtTitan/: ExtTitan.cre, README.html:

	Update to ExtTitan to latest version of Extended Titan, update related README.
	
2002-12-04 10:34  dolbeau

	* net/sf/colossus/server/VariantSupport.java:

	Add javadoc comments so some functions in VariantSupport.
	
2002-12-04 10:28  dolbeau

	* net/sf/colossus/util/ResourceLoader.java:

	Add javadoc comments to all functions in the ResourceLoader.
	
2002-12-03 22:38  dripton

	* docs/TODO.txt, net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/server/Game.java:

	Call Server.allFullyUpdateLegionHeights() every turn in Game.setupSplit()
	   to work around legion height sync bug.
	If LegionInfo.contents() is bigger than the legion's height, clear the
	   contents.
	
2002-12-03 13:09  dolbeau

	* net/sf/colossus/: client/Client.java, server/Game.java,
	server/VariantSupport.java, util/ResourceLoader.java:

	Fix savefile/variant loading to allow for self-contained savefile.
	
2002-12-03 10:42  dolbeau

	* net/sf/colossus/: server/FileServerThread.java,
	util/ResourceLoader.java:

	Fix for security hole ; simply refuse to serve any file that isn't in the file cache, i.e. that hasn't already be loaded by the server. This also load all and every file used by the variant inside the savefile, so that the savefile should be fully self-contained.
	
2002-12-02 16:17  dolbeau

	* net/sf/colossus/: server/Game.java, util/ResourceLoader.java:

	Fix battlelands-in-savefile by using CDATA, as suggested by David.
	
2002-12-02 10:18  dolbeau

	* net/sf/colossus/: client/HexMap.java, server/Game.java,
	server/VariantSupport.java, util/ResourceLoader.java:

	preliminary support for random Battlelands in savegame.
	
2002-12-01 17:58  dolbeau

	* net/sf/colossus/: client/Client.java, client/HexMap.java,
	client/ShowAllRecruits.java, server/Constants.java,
	server/Game.java, server/GetPlayers.java,
	server/VariantSupport.java, util/ResourceLoader.java:

	Put the randomized battlelands in the file cache, so they are visible by both clients and server. Force one-shot randomization by checking if we're server or client inside VariantSupport::loadVariant(). Reinstate variant 'Random', as it is network-safe now.
	
2002-12-01 16:09  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java:

	Clear recruit chits when undoing move.
	
2002-12-01 15:47  dolbeau

	* net/sf/colossus/server/FileServerThread.java:

	Don't read anything from non-client IP (avoid DoS attack on the file server)
	
2002-12-01 15:36  dolbeau

	* net/sf/colossus/: server/FileServerThread.java,
	server/Server.java, util/ResourceLoader.java:

	Colossus refuse to load any file w/o the substring 'colossus' (any case) in the absolute filepath. This is annoying fot external variant, but at least the file server will not be able to access sensitive file.
	
2002-12-01 14:54  dolbeau

	* net/sf/colossus/server/: FileServerThread.java, Server.java,
	SocketServerThread.java:

	Don't honor request from any IP w/o an active client.
	
2002-12-01 14:21  dolbeau

	* net/sf/colossus/: client/Client.java, client/IClient.java,
	client/SocketClientThread.java, server/Constants.java,
	server/FileServerThread.java, server/IServer.java,
	server/Server.java, server/SocketServerThread.java,
	util/ResourceLoader.java:

	Replace String with byte[] so we can server any file from the server (images are still loaded locally, as it's easier, and missing images aren't fatal).
	
2002-12-01 13:59  dolbeau

	* net/sf/colossus/: client/Client.java, client/IClient.java,
	client/SocketClientThread.java, server/Constants.java,
	server/FileServerThread.java, server/Game.java,
	server/IServer.java, server/Server.java,
	server/SocketServerThread.java, util/ResourceLoader.java:

	Using a separate FileServerThread to send the files to the clients.
	Seems to work...
	
	WARNING ! WARNING ! WARNING ! WARNING ! WARNING ! WARNING ! WARNING !
	WARNING ! WARNING ! WARNING ! WARNING ! WARNING ! WARNING ! WARNING !
	
	This code is one huge security hole. The file server will happily
	server any file it can read to anyone who ask , so
	DON'T USE IT ON ANYTHING BUT A TRUSTED, FIREWALL-PROTECTED NETWORK !
	
	This will need fixing before any merge to the trunk.
	
2002-12-01 13:59  dolbeau

	* net/sf/colossus/server/FileServerThread.java:

	file FileServerThread.java was initially added on branch distant_datafiles.
	
2002-12-01 13:02  dolbeau

	* net/sf/colossus/: client/Client.java, util/ResourceLoader.java:

	cache the server-loaded files
	
2002-11-30 14:59  dolbeau

	* net/sf/colossus/: client/Client.java, client/IClient.java,
	client/SocketClientThread.java, server/Constants.java,
	server/IServer.java, server/Server.java,
	server/SocketServerThread.java, util/ResourceLoader.java:

	A first try at loading data files over the network connection. This one is broken by design ; the first file loaded is the VAR file, and this is triggered by Client::initBoard(), itself called from the Socket thread. So the client cannot get the datafile packet -> deadlock.
	
2002-11-29 15:30  dolbeau

	* net/sf/colossus/client/HexMap.java:

	Forgot to add TOWER/STARTLIST in the randomizer cache.
	
2002-11-29 13:54  dolbeau

	* Random/Random.map, Random/Random.ter,
	Random/Battlelands/Tower.rnd, net/sf/colossus/client/HexMap.java,
	net/sf/colossus/datatools/ShowBuilderHexMap.java,
	net/sf/colossus/parser/BattlelandRandomizerLoader.jj,
	net/sf/colossus/parser/TerrainRecruitLoader.jj:

	Tower/Startlist support in BattlelandRandomizer ; add a randomized Tower to Random.
	
2002-11-28 16:41  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/EngagementResults.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/Movement.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/Server.java:

	Fix race involving Client.removeLegion() by synching it and all
	   Client.setup{Phase}()
	More EngagementResults work.  Commented out call because dialog is still
	   ugly and incomplete.  (Needs to use CardLayout to flip between past
	   results, and somehow figure and show pre-battle stack contents.)
	Add null check in Legion.initCreatureVisibility() to prevent crash when
	   loading early saves with 8-high creatures, before Server is setup.
	Server.withdrawFromGame() only calls advancePhase() if it was the
	   withdrawing player's turn.
	
2002-11-27 13:17  dolbeau

	* net/sf/colossus/: client/Client.java, client/MasterBoard.java,
	util/Options.java:

	add the ability to display all possible recruits in a single hex during move
	
2002-11-26 16:37  dolbeau

	* net/sf/colossus/client/HexMap.java:

	remove useless Log.debug()
	
2002-11-26 16:31  dolbeau

	* net/sf/colossus/: client/SummonAngel.java, util/KDialog.java:

	Make the label more informative in SummonAngel, by adding the source legion.
	
2002-11-25 15:43  dolbeau

	* net/sf/colossus/client/HexMap.java:

	fix for variants where battleland "Plains" doesn't exist.
	
2002-11-25 15:30  dolbeau

	* Balrog/: Balrog.var, BalrogTowerRecruit.hin:

	don't recruit a tower creature when a Balrog is avialable (variant Balrog)
	
2002-11-24 18:59  dripton

	* docs/TODO.txt, net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java:

	Synchronize all access to Player.legions to prevent concurrent mod exc.
	Remove ineffective (without much additional synch)
	    Collections.synchronizedList() setup.
	
2002-11-22 10:08  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	fix overly optimistic SimpleAI::flee()
	
2002-11-21 15:07  dripton

	* net/sf/colossus/: client/Client.java, client/LegionInfo.java,
	client/SimpleAI.java, server/CreatureTitan.java, server/Game.java:

	Fix SimpleAI.retryFailedBattleMoves() to call Client.tryBattleMove() (which
	   actually sends the move to the server) not just critter.moveToHex()
	   This should fix the hangs after a failed battle move.
	Add SimpleAI.ghrv(), to help with Titan Creature vs. Critter problems when
	   calling Creature.getHintedRecruitValue()
	Change deprecated CreatureTitan.getPointValue() to return 24 instead of -4.
	Synchronize accesses to Game.isOver(), to prevent race condition that caused
	   autoSave() to be called after game ended.
	
2002-11-21 14:13  dolbeau

	* net/sf/colossus/parser/TerrainRecruitLoader.jj:

	Parser fix for acquirable list (it wasn't updated to String-style terrain)
	
2002-11-21 13:52  dolbeau

	* Makefile, Abyssal6/Abyssal6.hin, Abyssal6/Abyssal6.map,
	Abyssal6/Abyssal6.ter, Abyssal6/Abyssal6TowerRecruit.hin,
	Abyssal6/Battlelands/Abyss, Abyssal6/Battlelands/Brush,
	Abyssal6/Battlelands/Desert, Abyssal6/Battlelands/Hills,
	Abyssal6/Battlelands/Jungle, Abyssal6/Battlelands/Marsh,
	Abyssal6/Battlelands/Mountains, Abyssal6/Battlelands/Plains,
	Abyssal6/Battlelands/Swamp, Abyssal6/Battlelands/Tower,
	Abyssal6/Battlelands/Tundra, Abyssal6/Battlelands/Woods,
	Abyssal9/Abyssal9.map, Badlands/Badlands.hin,
	Badlands/Badlands.map, Badlands/Badlands.ter,
	Badlands/Battlelands/BrushAlt, Badlands/Battlelands/DesertAlt,
	Badlands/Battlelands/Fort, Badlands/Battlelands/JungleAlt,
	Badlands/Battlelands/MarshAlt, Badlands/Battlelands/SwampAlt,
	Badlands/Battlelands/Town, Badlands/Battlelands/TundraAlt,
	Badlands/Battlelands/Waterhole, Badlands/Battlelands/WoodsAlt,
	Badlands-JDG/Badlands-JDG.map, Badlands-JDG/Badlands-JDG.ter,
	Badlands-JDG/Battlelands/HillsAlt,
	Badlands-JDG/Battlelands/MountainsAlt,
	Badlands-JDG/Battlelands/TowerAlt, Balrog/Balrog.ter,
	Balrog/BalrogRecruitment.java, Default/Default.hin,
	Default/Default.map, Default/Default.ter,
	Default/DefaultThirdRecruit.hin, Default/DefaultTowerRecruit.hin,
	Default/Battlelands/Brush, Default/Battlelands/Desert,
	Default/Battlelands/Hills, Default/Battlelands/Jungle,
	Default/Battlelands/Marsh, Default/Battlelands/Mountains,
	Default/Battlelands/Swamp, Default/Battlelands/Tower,
	Default/Battlelands/Tundra, Default/Battlelands/Woods,
	ExtTitan/ExtTitan.hin, ExtTitan/ExtTitan.map,
	ExtTitan/ExtTitan.ter, ExtTitan/ExtTitanHint.java,
	Outlands/Outlands.map, Random/Brush.rnd, Random/Desert.rnd,
	Random/Hills.rnd, Random/Jungle.rnd, Random/Marsh.rnd,
	Random/Mountains.rnd, Random/README.html, Random/Random.map,
	Random/Random.ter, Random/Random.var, Random/Swamp.rnd,
	Random/Tundra.rnd, Random/Woods.rnd, Random/Battlelands/Brush.rnd,
	Random/Battlelands/Desert.rnd, Random/Battlelands/Hills.rnd,
	Random/Battlelands/Jungle.rnd, Random/Battlelands/Marsh.rnd,
	Random/Battlelands/Mountains.rnd, Random/Battlelands/Plains.rnd,
	Random/Battlelands/Swamp.rnd, Random/Battlelands/Tundra.rnd,
	Random/Battlelands/Woods.rnd, SmallTitan/SmallTitan.map,
	TG-ConceptI/Battlelands/Brush, TG-ConceptI/Battlelands/Desert,
	TG-ConceptI/Battlelands/Hills, TG-ConceptI/Battlelands/Jungle,
	TG-ConceptI/Battlelands/Marsh, TG-ConceptI/Battlelands/Mountains,
	TG-ConceptI/Battlelands/Plains, TG-ConceptI/Battlelands/Swamp,
	TG-ConceptI/Battlelands/Tower, TG-ConceptI/Battlelands/Tundra,
	TG-ConceptI/Battlelands/Woods, TG-ConceptII/Battlelands/Brush,
	TG-ConceptII/Battlelands/Desert, TG-ConceptII/Battlelands/Hills,
	TG-ConceptII/Battlelands/Jungle, TG-ConceptII/Battlelands/Marsh,
	TG-ConceptII/Battlelands/Mountains,
	TG-ConceptII/Battlelands/Plains, TG-ConceptII/Battlelands/Swamp,
	TG-ConceptII/Battlelands/Tower, TG-ConceptII/Battlelands/Tundra,
	TG-ConceptII/Battlelands/Woods, TG-ConceptIII/Battlelands/Brush,
	TG-ConceptIII/Battlelands/Desert, TG-ConceptIII/Battlelands/Hills,
	TG-ConceptIII/Battlelands/Jungle, TG-ConceptIII/Battlelands/Marsh,
	TG-ConceptIII/Battlelands/Mountains,
	TG-ConceptIII/Battlelands/Plains, TG-ConceptIII/Battlelands/Swamp,
	TG-ConceptIII/Battlelands/Tower, TG-ConceptIII/Battlelands/Tundra,
	TG-ConceptIII/Battlelands/Woods, TG-SetII/Battlelands/Brush,
	TG-SetII/Battlelands/Desert, TG-SetII/Battlelands/Hills,
	TG-SetII/Battlelands/Jungle, TG-SetII/Battlelands/Marsh,
	TG-SetII/Battlelands/Mountains, TG-SetII/Battlelands/Plains,
	TG-SetII/Battlelands/Swamp, TG-SetII/Battlelands/Tower,
	TG-SetII/Battlelands/Tundra, TG-SetII/Battlelands/Woods,
	TG-SetIII/Battlelands/Brush, TG-SetIII/Battlelands/Jungle,
	TG-SetIII/Battlelands/Marsh, TG-SetIII/Battlelands/Plains,
	TG-SetIII/Battlelands/Woods, TG-Wild/Battlelands/Jungle,
	TG-Wild/Battlelands/Mountains, TG-Wild/Battlelands/Tower,
	TitanPlus/TitanPlus.hin, TitanPlus/TitanPlus.ter,
	Undead/Undead.hin, Undead/Undead.map, Undead/Undead.ter,
	Undead/Undead.var, Undead/Battlelands/Ruins,
	Undead/Battlelands/Tombs, docs/FileFormat.tex,
	net/sf/colossus/client/BattleHex.java,
	net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/BattleMovement.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/CritterMove.java,
	net/sf/colossus/client/GUIBattleHex.java,
	net/sf/colossus/client/GUIMasterHex.java,
	net/sf/colossus/client/Hex.java,
	net/sf/colossus/client/HexMap.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/MasterHex.java,
	net/sf/colossus/client/ShowAllRecruits.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/datatools/BuilderHexMap.java,
	net/sf/colossus/datatools/ShowBuilderHexMap.java,
	net/sf/colossus/parser/AIHintLoader.jj,
	net/sf/colossus/parser/BattlelandLoader.jj,
	net/sf/colossus/parser/BattlelandRandomizerLoader.jj,
	net/sf/colossus/parser/StrategicMapLoader.jj,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/Critter.java,
	net/sf/colossus/server/CustomRecruitBase.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/HintInterface.java,
	net/sf/colossus/server/HintOracleInterface.java,
	net/sf/colossus/server/VariantSupport.java,
	net/sf/colossus/util/RecruitGraph.java:

	merging branch no_char_hex
	
2002-11-21 13:46  dolbeau

	* net/sf/colossus/server/Constants.java:

	disabling variant Random before merge
	
2002-11-20 17:20  dolbeau

	* Makefile, build.xml:

	add missing ExtTitan8 files
	
2002-11-20 14:58  dolbeau

	* Random/Battlelands/Swamp.rnd:

	make Swamp a bit more non-native-friendly
	
2002-11-20 14:26  dripton

	* net/sf/colossus/: client/CreatureCollectionView.java,
	server/Caretaker.java:

	Do not throw a RuntimeException if counts are temporarily askew on
	   the client side.  The server will clean it up.
	Caretaker.resurrectImmortals() now does a full client update at the end.
	
2002-11-20 14:10  dripton

	* net/sf/colossus/client/Client.java:

	Force a repaint for all players after disposeMovementDie()
	
2002-11-20 13:29  dolbeau

	* net/sf/colossus/client/HexMap.java:

	fix randomized battlelands so they are the same trhough the entire game. Still broken WRT save game & network play.
	
2002-11-20 12:38  dolbeau

	* Random/README.html:

	Need the README to work
	
2002-11-20 12:38  dolbeau

	* Random/README.html:

	file README.html was initially added on branch no_char_hex.
	
2002-11-20 12:38  dolbeau

	* Random/Random.map:

	file Random.map was initially added on branch no_char_hex.
	
2002-11-20 12:38  dolbeau

	* Random/Battlelands/Brush.rnd:

	file Brush.rnd was initially added on branch no_char_hex.
	
2002-11-20 12:38  dolbeau

	* Random/Battlelands/Plains.rnd:

	file Plains.rnd was initially added on branch no_char_hex.
	
2002-11-20 12:38  dolbeau

	* Random/Battlelands/Woods.rnd:

	file Woods.rnd was initially added on branch no_char_hex.
	
2002-11-20 12:38  dolbeau

	* Makefile, Random/Brush.rnd, Random/Desert.rnd, Random/Hills.rnd,
	Random/Jungle.rnd, Random/Marsh.rnd, Random/Mountains.rnd,
	Random/Random.map, Random/Random.ter, Random/Random.var,
	Random/Swamp.rnd, Random/Tundra.rnd, Random/Woods.rnd,
	Random/Battlelands/Brush.rnd, Random/Battlelands/Desert.rnd,
	Random/Battlelands/Hills.rnd, Random/Battlelands/Jungle.rnd,
	Random/Battlelands/Marsh.rnd, Random/Battlelands/Mountains.rnd,
	Random/Battlelands/Plains.rnd, Random/Battlelands/Swamp.rnd,
	Random/Battlelands/Tundra.rnd, Random/Battlelands/Woods.rnd,
	net/sf/colossus/client/HexMap.java,
	net/sf/colossus/client/MasterHex.java,
	net/sf/colossus/parser/AIHintLoader.jj,
	net/sf/colossus/parser/BattlelandLoader.jj,
	net/sf/colossus/parser/BattlelandRandomizerLoader.jj,
	net/sf/colossus/parser/StrategicMapLoader.jj,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/VariantSupport.java:

	preliminary work on randomized battlelands inside Colossus. Doesn't work yet (battlelands are re-randomized every time something access them.)
	
2002-11-20 12:38  dolbeau

	* Random/Battlelands/Mountains.rnd:

	file Mountains.rnd was initially added on branch no_char_hex.
	
2002-11-20 12:38  dolbeau

	* Random/Battlelands/Desert.rnd:

	file Desert.rnd was initially added on branch no_char_hex.
	
2002-11-20 12:38  dolbeau

	* Random/Battlelands/Jungle.rnd:

	file Jungle.rnd was initially added on branch no_char_hex.
	
2002-11-20 12:38  dolbeau

	* Random/Battlelands/Swamp.rnd:

	file Swamp.rnd was initially added on branch no_char_hex.
	
2002-11-20 12:38  dolbeau

	* Random/Random.var:

	file Random.var was initially added on branch no_char_hex.
	
2002-11-20 12:38  dolbeau

	* Random/Random.ter:

	file Random.ter was initially added on branch no_char_hex.
	
2002-11-20 12:38  dolbeau

	* Random/Battlelands/Tundra.rnd:

	file Tundra.rnd was initially added on branch no_char_hex.
	
2002-11-20 12:38  dolbeau

	* Random/Battlelands/Hills.rnd:

	file Hills.rnd was initially added on branch no_char_hex.
	
2002-11-20 12:38  dolbeau

	* Random/Battlelands/Marsh.rnd:

	file Marsh.rnd was initially added on branch no_char_hex.
	
2002-11-20 09:40  dolbeau

	* net/sf/colossus/datatools/: BuilderHexMap.java,
	ShowBuilderHexMap.java:

	full startlist support in BattlelandsBuilder
	
2002-11-19 16:44  dolbeau

	* net/sf/colossus/parser/BattlelandRandomizerLoader.jj:

	fix BattlelandRandomizerLoader
	
2002-11-19 16:40  dolbeau

	* Random/: Brush.rnd, Desert.rnd, Hills.rnd, Jungle.rnd, Marsh.rnd,
	Mountains.rnd, Swamp.rnd, Tundra.rnd, Woods.rnd:

	change randomizer files to String-based format
	
2002-11-19 16:17  dolbeau

	* Abyssal6/Abyssal6.hin, Abyssal6/Abyssal6.map,
	Abyssal6/Abyssal6.ter, Abyssal6/Abyssal6TowerRecruit.hin,
	Abyssal6/Battlelands/Abyss, Abyssal6/Battlelands/Brush,
	Abyssal6/Battlelands/Desert, Abyssal6/Battlelands/Hills,
	Abyssal6/Battlelands/Jungle, Abyssal6/Battlelands/Marsh,
	Abyssal6/Battlelands/Mountains, Abyssal6/Battlelands/Plains,
	Abyssal6/Battlelands/Swamp, Abyssal6/Battlelands/Tower,
	Abyssal6/Battlelands/Tundra, Abyssal6/Battlelands/Woods,
	Abyssal9/Abyssal9.map, Badlands/Badlands.hin,
	Badlands/Badlands.map, Badlands/Badlands.ter,
	Badlands/Battlelands/BrushAlt, Badlands/Battlelands/DesertAlt,
	Badlands/Battlelands/Fort, Badlands/Battlelands/JungleAlt,
	Badlands/Battlelands/MarshAlt, Badlands/Battlelands/SwampAlt,
	Badlands/Battlelands/Town, Badlands/Battlelands/TundraAlt,
	Badlands/Battlelands/Waterhole, Badlands/Battlelands/WoodsAlt,
	Badlands-JDG/Badlands-JDG.map, Badlands-JDG/Badlands-JDG.ter,
	Badlands-JDG/Battlelands/HillsAlt,
	Badlands-JDG/Battlelands/MountainsAlt,
	Badlands-JDG/Battlelands/TowerAlt, Balrog/Balrog.ter,
	ExtTitan/ExtTitan.hin, ExtTitan/ExtTitan.map,
	ExtTitan/ExtTitan.ter, Outlands/Outlands.map,
	SmallTitan/SmallTitan.map, TG-ConceptI/Battlelands/Brush,
	TG-ConceptI/Battlelands/Desert, TG-ConceptI/Battlelands/Hills,
	TG-ConceptI/Battlelands/Jungle, TG-ConceptI/Battlelands/Marsh,
	TG-ConceptI/Battlelands/Mountains, TG-ConceptI/Battlelands/Plains,
	TG-ConceptI/Battlelands/Swamp, TG-ConceptI/Battlelands/Tower,
	TG-ConceptI/Battlelands/Tundra, TG-ConceptI/Battlelands/Woods,
	TG-ConceptII/Battlelands/Brush, TG-ConceptII/Battlelands/Desert,
	TG-ConceptII/Battlelands/Hills, TG-ConceptII/Battlelands/Jungle,
	TG-ConceptII/Battlelands/Marsh, TG-ConceptII/Battlelands/Mountains,
	TG-ConceptII/Battlelands/Plains, TG-ConceptII/Battlelands/Swamp,
	TG-ConceptII/Battlelands/Tower, TG-ConceptII/Battlelands/Tundra,
	TG-ConceptII/Battlelands/Woods, TG-ConceptIII/Battlelands/Brush,
	TG-ConceptIII/Battlelands/Desert, TG-ConceptIII/Battlelands/Hills,
	TG-ConceptIII/Battlelands/Jungle, TG-ConceptIII/Battlelands/Marsh,
	TG-ConceptIII/Battlelands/Mountains,
	TG-ConceptIII/Battlelands/Plains, TG-ConceptIII/Battlelands/Swamp,
	TG-ConceptIII/Battlelands/Tower, TG-ConceptIII/Battlelands/Tundra,
	TG-ConceptIII/Battlelands/Woods, TG-SetII/Battlelands/Brush,
	TG-SetII/Battlelands/Desert, TG-SetII/Battlelands/Hills,
	TG-SetII/Battlelands/Jungle, TG-SetII/Battlelands/Marsh,
	TG-SetII/Battlelands/Mountains, TG-SetII/Battlelands/Plains,
	TG-SetII/Battlelands/Swamp, TG-SetII/Battlelands/Tower,
	TG-SetII/Battlelands/Tundra, TG-SetII/Battlelands/Woods,
	TG-SetIII/Battlelands/Brush, TG-SetIII/Battlelands/Jungle,
	TG-SetIII/Battlelands/Marsh, TG-SetIII/Battlelands/Plains,
	TG-SetIII/Battlelands/Woods, TG-Wild/Battlelands/Jungle,
	TG-Wild/Battlelands/Mountains, TG-Wild/Battlelands/Tower,
	TitanPlus/TitanPlus.hin, TitanPlus/TitanPlus.ter,
	Undead/Undead.hin, Undead/Undead.map, Undead/Undead.ter,
	Undead/Undead.var, Undead/Battlelands/Ruins,
	Undead/Battlelands/Tombs:

	change variants to String-based format
	
2002-11-19 15:49  dripton

	* net/sf/colossus/client/: BattleMap.java, Client.java,
	MasterBoard.java:

	Make Client.getBattleChits() return an immutable list.
	Catch concurrent mod exception in BattleMap.paintComponent()
	Log harmless concurrent mod exceptions with "harmless"
	
2002-11-19 15:31  dolbeau

	* docs/FileFormat.tex:

	update doc to new String-based format
	
2002-11-19 15:06  dolbeau

	* Balrog/BalrogRecruitment.java, Default/Default.hin,
	Default/Default.map, Default/Default.ter,
	Default/DefaultThirdRecruit.hin, Default/DefaultTowerRecruit.hin,
	Default/Battlelands/Brush, Default/Battlelands/Desert,
	Default/Battlelands/Hills, Default/Battlelands/Jungle,
	Default/Battlelands/Marsh, Default/Battlelands/Mountains,
	Default/Battlelands/Swamp, Default/Battlelands/Tower,
	Default/Battlelands/Tundra, Default/Battlelands/Woods,
	ExtTitan/ExtTitanHint.java, net/sf/colossus/client/BattleHex.java,
	net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/BattleMovement.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/CritterMove.java,
	net/sf/colossus/client/GUIBattleHex.java,
	net/sf/colossus/client/GUIMasterHex.java,
	net/sf/colossus/client/Hex.java,
	net/sf/colossus/client/HexMap.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/MasterHex.java,
	net/sf/colossus/client/ShowAllRecruits.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/datatools/BuilderHexMap.java,
	net/sf/colossus/datatools/ShowBuilderHexMap.java,
	net/sf/colossus/parser/AIHintLoader.jj,
	net/sf/colossus/parser/BattlelandLoader.jj,
	net/sf/colossus/parser/BattlelandRandomizerLoader.jj,
	net/sf/colossus/parser/StrategicMapLoader.jj,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/Critter.java,
	net/sf/colossus/server/CustomRecruitBase.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/HintInterface.java,
	net/sf/colossus/server/HintOracleInterface.java,
	net/sf/colossus/server/VariantSupport.java,
	net/sf/colossus/util/RecruitGraph.java:

	preliminary work to replace hex char by hex String. compile & Default is done.
	
2002-11-19 13:14  dolbeau

	* net/sf/colossus/client/HexMap.java:

	fix a mix-up between terrainIsTower and terrainHasStartlist
	
2002-11-19 10:43  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	check that attacker can recruit before checking the best recruit
	
2002-11-19 10:37  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	findEligibleRecruit() want an HexLabel, not a TerrainName
	
2002-11-19 10:17  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	oups, inverted winner <-> loser in flee()
	
2002-11-18 16:22  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	Add one more dubg line in SimpleAI::flee(). For some reason, estimateBattleResults() always give WIN_WITH_MINIMAL_LOSSES inside flee().
	
2002-11-18 16:01  dolbeau

	* net/sf/colossus/client/SocketClientThread.java:

	add method tellEngagement to SocketClientThread, thus avoiding a bunch of 'Bogus packet'.
	
2002-11-18 15:50  dolbeau

	* net/sf/colossus/: client/SocketClientThread.java,
	server/SocketServerThread.java:

	make 'bogus packet' message more informative.
	
2002-11-18 15:31  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	try to make SimpleAI::flee() a little less dumb (I hope :-)
	
2002-11-15 06:35  dripton

	* build.xml:

	Remove copy of jar and jnlp files to alternate host.
	
2002-11-15 05:56  dripton

	* net/sf/colossus/server/: Game.java, Server.java:

	Move setGameOver(true) before server.allTellGameOver() -- trying to fix
	   null in autosave after game ends.
	Use 127.0.0.1 instead of InetAddress.getLocalHost().getHostAddress() --
	   trying to work around Win9x boxes with semi-broken networking.
	
2002-11-14 15:07  dolbeau

	* net/sf/colossus/: parser/CreatureLoader.jj, server/Creature.java,
	server/CreatureTitan.java:

	remove Titan stuff from Creature and put it into CreatureTitan, fix the loader to handle that
	
2002-11-13 14:44  dripton

	* net/sf/colossus/server/Caretaker.java:

	Change setCount() to map.put() in resurrectImmortals(), to avoid calling
	   updateDisplays() before everything is back in a stable state.
	
2002-11-13 06:01  dripton

	* net/sf/colossus/: client/CreatureCollectionView.java,
	server/Caretaker.java, server/Constants.java, server/Creature.java,
	server/Legion.java, util/Log.java:

	Exclude titan from Creature.isImmortal()
	In CreatureCollectionView, show "--" instead of "0" for immortal dead
	   count.
	Log to file ${user.home}/.colossus/lastgame.log, overwritten each run.
	
2002-11-13 04:54  dripton

	* docs/Credits.tex:

	Add Klint for art, and several bug reporters.
	
2002-11-13 04:38  dripton

	* net/sf/colossus/: client/Chit.java, client/Client.java,
	client/CreatureCollectionView.java, client/EngagementResults.java,
	client/IClient.java, server/Battle.java, server/Caretaker.java,
	server/Constants.java, server/Creature.java, server/Critter.java,
	server/Game.java, server/Legion.java, server/Server.java,
	server/SocketServerThread.java:

	Start adding EngagementResults.  Not done yet.
	Add Client.tellEngagement(), tellEngagementResults()
	Rename Creature.getImagesNames() to getImageNames()
	Do not handle immortal creatures differently in CreatureCollectionView.
	Add Caretaker.resurrectImmortals().  Call from Game.finishBattle().
	Add Creature.setMaxCount().  Set to Game.numPlayers() for Titan.
	Remove Legion.revealAllCreatures(); use Server.allRevealLegion()
	Add boolean arg returnCrittersToStacks to Legion.remove() and
	   prepareToRemove().  Set to false when recombining.
	Call allFullyUpdateOwnLegionContents() from Game.setupSplit() to
	   fix LegionInfo height vs. own contents sync bug during AI split phase.
	
2002-11-04 17:41  dripton

	* net/sf/colossus/server/: Server.java, Start.java:

	Use InetAddress.getHostAddress() not InetAddress.toString()
	
2002-11-02 19:59  dripton

	* net/sf/colossus/server/: Game.java, Server.java:

	Whitespace and comments.
	
2002-11-01 15:48  dripton

	* net/sf/colossus/: client/StartClient.java, server/Constants.java,
	server/Server.java, server/Start.java:

	Use InetAddress.getLocalHost() instead of "localhost" in case the user
	   has a misconfigured hosts file.
	
2002-11-01 06:42  dripton

	* net/sf/colossus/: client/SimpleAI.java, server/Battle.java,
	server/Legion.java:

	Whitespace and comments.
	
2002-10-29 08:25  dolbeau

	* Outlands/Outlands.map:

	fixing outlands, bug #630204
	
2002-10-26 05:13  dripton

	* net/sf/colossus/server/Game.java:

	Check for backslashes in addition to slashes when determining paths.
	
2002-10-24 00:47  dripton

	* net/sf/colossus/server/Server.java:

	Bug 627464: add a 3-second pause before rebinding the server socket.
	
2002-10-23 13:53  dripton

	* build.xml:

	Do not exclude BattlelandsBuilder.jar from zip file.
	
2002-10-23 02:45  dripton

	* docs/TODO.txt, net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/Client.java, net/sf/colossus/util/Log.java,
	net/sf/colossus/util/Options.java:

	Add client.focusMap() and focusBoard().  Both do a requestFocus() and a
	   Frame.toFront(), but only if there is no chat window.
	Set off debug messages in log.
	
2002-10-22 05:09  dripton

	* docs/TODO.txt, net/sf/colossus/client/ReplyToProposal.java:

	Fix ReplyToProposal.markSomeDead() bug by adding missing break.
	
2002-10-22 04:55  dripton

	* build.xml, net/sf/colossus/client/BattleHex.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/LOSTest.java:

	Remove cleanjars dependency from compile task.
	Fix wall LOS logic in isLOSBlockedDir()
	Add more test cases to testLOS.  Use MountainsAlt hex 5000.
	
2002-10-22 04:40  dripton

	* Badlands-JDG/Battlelands/MountainsAlt:

	Remove an excess slope hexside.
	
2002-10-19 15:20  dripton

	* docs/TODO.txt, docs/network-design.txt,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java:

	Change network port to 26567.  1969 is sometimes used by BackOrifice.
	Test for game over in Client.withdrawFromGame()
	   and Game.createSummonAngel().
	
2002-10-15 21:58  dripton

	* .cvsignore, Balrog/.cvsignore, ExtTitan/.cvsignore,
	net/sf/colossus/client/.cvsignore,
	net/sf/colossus/datatools/.cvsignore,
	net/sf/colossus/parser/.cvsignore,
	net/sf/colossus/server/.cvsignore, net/sf/colossus/util/.cvsignore:

	Remove most .cvsignore files, now that CVSROOT/cvsignore is
	   ignoring .class and .jar files.
	
2002-10-12 18:42  dripton

	* net/sf/colossus/: client/Client.java, server/Player.java,
	server/Server.java:

	Fix Player.recombineIllegalSplit() to correctly handle 3-way
	   splits where the parent left the hex.
	Move clearUndoStack() calls from doneWithPhase() to
	    setupNextPhase(), so that if attempt to end phase is
	    unsuccessful, undo still works.
	
2002-10-12 11:02  dolbeau

	* net/sf/colossus/: client/CreatureCollectionView.java,
	client/SimpleAI.java, server/Caretaker.java:

	add some safety check in the Caretaker, and avoid repeating the 'time is up' message in SimpleAI.
	
2002-10-11 05:38  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java:

	Set wait cursor during other players' phases.
	
2002-10-10 11:39  dolbeau

	* net/sf/colossus/util/ResourceLoader.java:

	we can now load custom classes from external variants
	
2002-10-06 12:08  dolbeau

	* docs/FileFormat.tex:

	fix VAR description
	
2002-10-05 16:04  dripton

	* docs/TODO.txt, net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/GetPlayers.java:

	Enable loading games from non-default directories.
	Shorten savegame names.
	
2002-10-04 12:04  dolbeau

	* Badlands-JDG/Badlands-JDGTowerRecruit.hin:

	Oups, forgot to add the new hint file Badlands-JDGTowerRecruit.hin.
	
2002-10-04 12:03  dolbeau

	* Abyssal9/Abyssal9.var, Balrog/Balrog.var, Outlands/Outlands.var,
	SmallTitan/SmallTitan.var, TG-ConceptI/TG-ConceptI.var,
	TG-ConceptII/TG-ConceptII.var, TG-ConceptIII/TG-ConceptIII.var,
	TG-SetII/TG-SetII.var, TG-SetIII/TG-SetIII.var,
	TG-Wild/TG-Wild.var:

	add the Default hint files to all variant w/o local hints.
	
2002-10-04 11:52  dolbeau

	* Badlands/Badlands.hin, Badlands/Badlands.var,
	Badlands-JDG/Badlands-JDG.hin, Badlands-JDG/Badlands-JDG.var:

	clean-up the Badlands and Badlands-JDG hints to avoid redundancy
	
2002-10-04 11:37  dolbeau

	* Abyssal6/Abyssal6.hin, Abyssal6/Abyssal6.var,
	Abyssal6/Abyssal6TowerRecruit.hin, Default/Default.hin,
	Default/Default.var, Default/DefaultSplit.hin,
	Default/DefaultThirdRecruit.hin, Default/DefaultTowerRecruit.hin,
	net/sf/colossus/server/VariantSupport.java:

	Allow to use multiple HINT files for a single variant. HINT files
	are listed separated by commas in the VAR file, and are processed
	in the specified order.
	
	Split the HINT files in Default and Abyssal6, to diminish redundancy
	for similar variants (most variants still need to be updated).
	
2002-10-04 02:26  dripton

	* net/sf/colossus/: client/Client.java, client/IClient.java,
	client/LegionInfo.java, client/SocketClientThread.java,
	server/Constants.java, server/Game.java, server/Legion.java,
	server/Player.java, server/Server.java,
	server/SocketServerThread.java:

	Fix loading games during movement and muster phases.
	
2002-10-03 15:37  dolbeau

	* net/sf/colossus/server/: Creature.java, Critter.java:

	must also fix getPointValue-dependant functions
	
2002-10-03 15:16  dolbeau

	* net/sf/colossus/server/Creature.java:

	add a warning to avoid using getImagesNames on a Titan Creature/Critter.
	
2002-10-03 15:04  dolbeau

	* net/sf/colossus/: server/Creature.java, server/Critter.java,
	util/RecruitGraph.java:

	Fix for a couple of recently introduced bug:
	
	> * 3 warlocks can recruit a guardian (which of course shouldn't be
	> allowed because demi-lords are not Creatures)
	
	Introduced when switching to the graph-based recruit system.
	
	> * Titan power is being treated as -1 for scoring purposes.
	
	Creature/Critter changes broke that.
	
2002-10-03 05:33  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/IServer.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java:

	Let each player pick first marker after picking color.
	
2002-10-02 04:56  dripton

	* Badlands/Battlelands/Fort:

	Fix a couple of incorrect hexes.
	
2002-10-02 04:55  dripton

	* net/sf/colossus/util/KDialog.java:

	Change lowerRightCorner() to move the dialog up a bit, to avoid taskbars.
	
2002-09-23 04:39  dripton

	* net/sf/colossus/client/PredictSplits.java:

	Fix an else indentation level logic bug in getLeaves().
	
2002-09-19 09:25  dolbeau

	* docs/TODO.txt, net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/server/Dice.java,
	net/sf/colossus/util/DevRandom.java:

	Make DevRandom an independant class, make SimpleAI use DevRandom instead of Random for shuffling Lists, make SimpleAI randomly choose markers.
	
2002-09-18 05:53  dripton

	* net/sf/colossus/: client/SimpleAI.java, server/Game.java:

	Remove timeout when figuring SimpleAI battle move order.  Works around
	   failed battle move hang.
	
2002-09-17 05:32  dripton

	* net/sf/colossus/server/Server.java:

	Send naks for various failures.
	
2002-09-17 05:18  dripton

	* build.xml, docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/GetPlayers.java,
	net/sf/colossus/server/SaveGameFilter.java,
	net/sf/colossus/server/SocketServerThread.java:

	Add nak packets for split, move, recruit, battleMove, strike.
	Remove old flat-text savegame code.
	
2002-09-16 08:32  dolbeau

	* Makefile:

	fix Makefile to add XML sutff
	
2002-09-15 16:00  dripton

	* .cvsignore, docs/Credits.tex, docs/TODO.txt,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/server/Caretaker.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Start.java,
	net/sf/colossus/server/XMLSnapshotFilter.java:

	XML snapshot savegames
	Add JDOM beta 8 and Piccolo 1.03 source to tree.
	Add missing Start.setupOptionsFromCommandLine() calls.
	
2002-09-10 11:55  dolbeau

	* Abyssal6/Abyssal6.hin, Default/Default.hin:

	update some hints, fixing bug #603170 (really a 'misfeature', not a bug :-)
	
2002-09-09 12:07  dolbeau

	* net/sf/colossus/server/Game.java:

	Fix a bug introduced by the custom_recruit merge: split would always fail (Critters compared to Creatures).
	
2002-09-09 11:28  dolbeau

	* Makefile, build.xml, Balrog/.cvsignore, Balrog/Balrog.cre,
	Balrog/Balrog.ter, Balrog/Balrog.var,
	Balrog/BalrogRecruitment.java, Balrog/CreatureBalrog.java,
	Balrog/README.html, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/CreatureCollectionView.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/PlayerInfo.java,
	net/sf/colossus/client/ShowAllRecruits.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/parser/CreatureLoader.jj,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Caretaker.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/Critter.java,
	net/sf/colossus/server/CustomRecruitBase.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/VariantSupport.java,
	net/sf/colossus/util/RecruitGraph.java,
	net/sf/colossus/util/ResourceLoader.java:

	Merging branch custom_recruit. Some of the stuff isn't perfect, in particular custom code will not work from external variant (in the JAR file, it might work from the build tree).
	
2002-09-07 18:43  dripton

	* docs/Credits.tex, docs/TODO.txt, icons/ColossusIcon.png,
	icons/Colossus_WinXP.ico, net/sf/colossus/server/Game.java:

	Add new icons, by Jerry Myers.  (Mac version can't be checked in.)
	Update credits.
	Fix savegame format comment.
	
2002-09-05 04:40  dripton

	* docs/TODO.txt, net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/server/Battle.java:

	Wall LOS fixes, from Jim Woodson.
	Display user.home and java.verion in Help/About.
	
2002-09-04 00:27  dripton

	* docs/TODO.txt, net/sf/colossus/server/Constants.java:

	Change data directory from $HOME/Colossus to $HOME/.colossus
	
2002-08-31 06:28  dripton

	* docs/TODO.txt, net/sf/colossus/server/Game.java:

	Add a bunch of error checks to Game.doSplit()
	
2002-08-30 05:08  dripton

	* net/sf/colossus/: client/IClient.java, client/SimpleAI.java,
	client/SplitLegion.java, server/Game.java:

	Remove ugly leading comma from results argument to doSplit()
	Start adding Game.isSplitLegal() to verify split legality
	   on server side.  Not done yet.
	
2002-08-26 12:47  dripton

	* net/sf/colossus/: client/StartClient.java, server/Game.java,
	server/GetPlayers.java, server/Start.java:

	Remove debug code, for "Run network client" race that appears to be
	   a problem only in jdk 1.4.1 beta, not 1.4.0 or 1.4.1 rc.
	
2002-08-24 19:35  dripton

	* net/sf/colossus/: client/MasterBoard.java, server/Constants.java:

	Add Jeff Dougan's ExtTitan8 variant, which is just ExtTitan with
	   more creature chits available.
	Check Client.isMyTurn() in MasterBoard.actOnLegion() to prevent
	   bogus recruitChits from showing up when clicking during other
	   players' turns.
	
2002-08-18 01:21  dripton

	* Default/: MarkersName, images/Si01.gif, images/Si03.gif,
	images/Si04.gif, images/Si05.gif, images/Si06.gif, images/Si07.gif,
	images/Si08.gif, images/Si09.gif, images/Si10.gif:

	Final silver markers, from John and Klint.
	
2002-08-17 18:01  dripton

	* docs/.cvsignore, docs/TODO.txt,
	net/sf/colossus/client/StartClient.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/GetPlayers.java,
	net/sf/colossus/server/Start.java,
	net/sf/colossus/util/Options.java:

	Debug logging to try to find "Run network client" thread race.
	
2002-08-14 16:17  dolbeau

	* net/sf/colossus/: parser/CreatureLoader.jj,
	parser/TerrainRecruitLoader.jj, server/VariantSupport.java,
	util/ResourceLoader.java:

	add nice code to load a class file for the custom code - useless because ClassLoader::defineClass is 'protected' :-(
	
2002-08-14 14:49  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	drop old built-in heuristic for recruitment
	
2002-08-14 13:04  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	fix (?) for bug #592041
	
2002-08-14 11:34  dolbeau

	* net/sf/colossus/: client/SimpleAI.java, server/Game.java:

	add some more debuging info, to help find the source of bug #592041
	
2002-08-14 09:39  dolbeau

	* net/sf/colossus/: parser/TerrainRecruitLoader.jj,
	util/RecruitGraph.java:

	avoid a NullpointerException if passing a Keyword as a recruiter.
	
2002-08-14 09:33  dolbeau

	* net/sf/colossus/: parser/TerrainRecruitLoader.jj,
	server/Game.java:

	Fix for a spurious error, where Game would sometimes claims an anonymous recruiter is illegal.
	
2002-08-14 09:20  dolbeau

	* Balrog/BalrogRecruitment.java:

	remove old debug code, add some comments
	
2002-08-14 09:14  dolbeau

	* Balrog/BalrogRecruitment.java,
	net/sf/colossus/server/CustomRecruitBase.java,
	net/sf/colossus/server/Game.java:

	Add bookkeeping function in CustomRecruitBase, clean-up BalrogRecruitment (including removal of spurious 'synchronized').
	
2002-08-14 08:45  dolbeau

	* net/sf/colossus/server/CustomRecruitBase.java:

	Make CustomRecruitBase an abstract class w/ abstract functions.
	
2002-08-14 08:39  dolbeau

	* Balrog/.cvsignore:

	ignore .class file in Balrog too
	
2002-08-14 08:39  dolbeau

	* Balrog/.cvsignore:

	file .cvsignore was initially added on branch custom_recruit.
	
2002-08-14 04:40  dripton

	* ExtTitan/.cvsignore:

	Ignore *.class
	
2002-08-13 16:21  dolbeau

	* net/sf/colossus/server/: Battle.java, Critter.java, Game.java,
	Legion.java:

	Critter is no longer a subclass of Creature.
	
2002-08-13 15:07  dolbeau

	* net/sf/colossus/client/CreatureCollectionView.java:

	refresh everything in the Caretaker's Stack display
	
2002-08-13 13:30  dolbeau

	* net/sf/colossus/server/Critter.java:

	use the proper exception when building a Critter out of a Critter.
	
2002-08-13 13:25  dolbeau

	* net/sf/colossus/: client/ShowAllRecruits.java,
	server/Critter.java, server/Legion.java, server/Server.java:

	fix for recursive critter bug & image-as-creature bug
	
2002-08-13 12:32  dolbeau

	* net/sf/colossus/server/: Creature.java, Critter.java,
	Server.java:

	add some comments & sanity check
	
2002-08-13 11:46  dolbeau

	* net/sf/colossus/server/: Creature.java, Critter.java:

	overloaded all Creature functions in Critter, so that Critter will call the right function in case it was used w/ a subclass of Creature.
	
2002-08-13 11:24  dolbeau

	* Balrog/BalrogRecruitment.java, Balrog/CreatureBalrog.java,
	net/sf/colossus/client/BattleChit.java,
	net/sf/colossus/client/BattleMovement.java,
	net/sf/colossus/client/CaretakerInfo.java,
	net/sf/colossus/client/Chit.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/CreatureCollectionView.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/ShowAllRecruits.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/client/SummonAngel.java,
	net/sf/colossus/parser/CreatureLoader.jj,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/server/Caretaker.java,
	net/sf/colossus/server/CarryTest.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/Critter.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/LOSTest.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/VariantSupport.java,
	net/sf/colossus/util/RecruitGraph.java,
	net/sf/colossus/server/CreatureImpl.java:

	remove the whole Creature/CreatureImpl split, no way to make that work w/ Critter as originally intended
	
2002-08-13 08:43  dolbeau

	* net/sf/colossus/server/CreatureImpl.java:

	forgot to add the CreatureImpl file (was: split class Creature into interface Creature and class CreatureImpl. The static are now in CreatureImpl.)
	
2002-08-13 08:43  dolbeau

	* net/sf/colossus/server/CreatureImpl.java:

	file CreatureImpl.java was initially added on branch custom_recruit.
	
2002-08-13 08:43  dolbeau

	* Balrog/BalrogRecruitment.java, Balrog/CreatureBalrog.java,
	net/sf/colossus/client/BattleChit.java,
	net/sf/colossus/client/BattleMovement.java,
	net/sf/colossus/client/CaretakerInfo.java,
	net/sf/colossus/client/Chit.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/CreatureCollectionView.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/ShowAllRecruits.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/client/SummonAngel.java,
	net/sf/colossus/parser/CreatureLoader.jj,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/server/Caretaker.java,
	net/sf/colossus/server/CarryTest.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/Critter.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/LOSTest.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/VariantSupport.java,
	net/sf/colossus/util/RecruitGraph.java:

	split class Creature into interface Creature and class CreatureImpl. The static are now in CreatureImpl.
	
2002-08-12 17:11  dolbeau

	* net/sf/colossus/server/Creature.java:

	remove useless addNewCreature(), it's ugly anyway.
	
2002-08-12 17:03  dolbeau

	* Balrog/CreatureBalrog.java, net/sf/colossus/server/Creature.java:

	Creature goes back to fully private/final, and maxCount is now handled locally in CreatureBalrog. Much cleaner that way.
	
2002-08-12 16:53  dolbeau

	* Balrog/BalrogRecruitment.java:

	dropping unused function, push Balrog's value back to 300
	
2002-08-12 16:46  dolbeau

	* Balrog/Balrog.cre, Balrog/BalrogRecruitment.java,
	Balrog/CreatureBalrog.java,
	net/sf/colossus/parser/CreatureLoader.jj,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/server/Caretaker.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/CustomRecruitBase.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/util/ResourceLoader.java:

	Big update adding generic custom Creature Class & loading, plus some debug messages as it seems some Balrogs are recruited twice (or maybe even more).
	
2002-08-12 12:39  dolbeau

	* Balrog/README.html:

	file README.html was initially added on branch custom_recruit.
	
2002-08-12 12:39  dolbeau

	* Balrog/: README, README.html:

	Proper README for Balrog
	
2002-08-12 11:54  dolbeau

	* net/sf/colossus/parser/TerrainRecruitLoader.jj:

	fix below-recruit loop to avoid Edges toward Anything/Titan/etc.
	
2002-08-12 11:47  dolbeau

	* net/sf/colossus/server/Legion.java:

	fix mix-up between isLord and isImmortal
	
2002-08-12 09:27  dolbeau

	* Balrog/BalrogRecruitment.java:

	forgot to change the Balrog value back to 300
	
2002-08-12 09:23  dolbeau

	* Balrog/BalrogRecruitment.java, Balrog/CreatureBalrog.java,
	net/sf/colossus/server/CustomRecruitBase.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Legion.java:

	add some more access functions to CustomRecruitBase, plus add some comments.
	
2002-08-12 09:00  dolbeau

	* net/sf/colossus/server/: Caretaker.java, CustomRecruitBase.java:

	add DeadCount access functions
	
2002-08-12 08:56  dolbeau

	* net/sf/colossus/server/CustomRecruitBase.java:

	add some more 'final' to avoid access to the Caretake by custom recruit subclasses
	
2002-08-12 08:53  dolbeau

	* Balrog/BalrogRecruitment.java,
	net/sf/colossus/server/CustomRecruitBase.java:

	move the Caretaker access code to the parent class CustomRecruitBase
	
2002-08-12 08:40  dolbeau

	* Balrog/BalrogRecruitment.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/ShowAllRecruits.java:

	fix Balrog code so that a Balrog is displayed in Tower where one (or more) is available
	
2002-08-11 16:53  dolbeau

	* Balrog/BalrogRecruitment.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/server/Caretaker.java,
	net/sf/colossus/server/CustomRecruitBase.java,
	net/sf/colossus/server/Game.java:

	fix some random stuff, making the Balrog variant works (or so it seems).
	
2002-08-11 16:06  dolbeau

	* Balrog/Balrog.cre, Balrog/CreatureBalrog.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/util/RecruitGraph.java:

	Make sure Balrog are demilord yet are not immortal (when one is used up it cannot be recruited again, so it isn't immortal). PLus fixes to the recruit graph
	
2002-08-11 15:58  dolbeau

	* Balrog/: Balrog.cre, BalrogRecruitment.java:

	Hardwire the list of names in Balrog. Still doesn't work, as the number of creature in the Caretaker is still 0. we need to somehow raise the number in the Caretaker (and do it only once per Balrog, on server side - and only once per Balrog per CaretakerInfo on client side...).
	
2002-08-11 15:41  dolbeau

	* Balrog/BalrogRecruitment.java:

	file BalrogRecruitment.java was initially added on branch custom_recruit.
	
2002-08-11 15:41  dolbeau

	* Balrog/CreatureBalrog.java:

	file CreatureBalrog.java was initially added on branch custom_recruit.
	
2002-08-11 15:41  dolbeau

	* Makefile, build.xml, Balrog/Balrog.cre, Balrog/Balrog.ter,
	Balrog/Balrog.var, Balrog/BalrogRecruitment.java,
	Balrog/CreatureBalrog.java, Balrog/README,
	net/sf/colossus/client/PlayerInfo.java,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/CustomRecruitBase.java,
	net/sf/colossus/server/VariantSupport.java,
	net/sf/colossus/util/RecruitGraph.java:

	More preliminary custom recruit code, including non-working Balrog variant. Supposed bug: unmet dependency, as we need the TowerSet (from MasterBoard) during TerrainRecruitLoading. As we don't have it, no edges are added to the recruit graph and hence no recruiting of Balrog is possible.
	
2002-08-11 15:41  dolbeau

	* Balrog/Balrog.cre:

	file Balrog.cre was initially added on branch custom_recruit.
	
2002-08-11 15:41  dolbeau

	* Balrog/README:

	file README was initially added on branch custom_recruit.
	
2002-08-11 15:41  dolbeau

	* Balrog/Balrog.ter:

	file Balrog.ter was initially added on branch custom_recruit.
	
2002-08-11 15:41  dolbeau

	* Balrog/Balrog.var:

	file Balrog.var was initially added on branch custom_recruit.
	
2002-08-11 13:01  dolbeau

	* net/sf/colossus/: client/Client.java,
	client/ShowAllRecruits.java, parser/TerrainRecruitLoader.jj,
	server/CustomRecruitBase.java, server/Game.java,
	server/Server.java, util/RecruitGraph.java:

	add the hexLabel as a parameter to all recruiting functions in th TRL.
	
2002-08-10 10:29  dolbeau

	* net/sf/colossus/server/CustomRecruitBase.java:

	file CustomRecruitBase.java was initially added on branch custom_recruit.
	
2002-08-10 10:29  dolbeau

	* net/sf/colossus/: parser/TerrainRecruitLoader.jj,
	server/CustomRecruitBase.java, util/RecruitGraph.java:

	ultrapreliminary work on upcoming custom recruit framework. still unusable yet.
	
2002-08-10 09:49  dolbeau

	* net/sf/colossus/: parser/TerrainRecruitLoader.jj,
	util/RecruitGraph.java:

	replace explicit String by constants (TRL keywords)
	
2002-08-10 09:35  dolbeau

	* net/sf/colossus/parser/TerrainRecruitLoader.jj:

	don't add Edges going to non-recruitable
	
2002-08-09 17:22  dolbeau

	* net/sf/colossus/: parser/TerrainRecruitLoader.jj,
	server/Game.java, server/Server.java, util/RecruitGraph.java:

	change to graph-based TerrainRecruitLoader::numberOfRecruiterNeeded()
	
2002-08-09 16:08  dolbeau

	* net/sf/colossus/: client/SimpleAI.java,
	parser/TerrainRecruitLoader.jj, util/RecruitGraph.java:

	graph update: index by name (String), not by Creature.
	
2002-08-09 14:21  dolbeau

	* docs/TODO.txt:

	remove done entry from TODO
	
2002-08-09 11:45  dolbeau

	* Makefile:

	update Makefile in case someone add source files in variant directories (hints, for instance :-)
	
2002-08-09 11:43  dolbeau

	* ExtTitan/ExtTitanHint.java:

	oups, recruits is a List of Creature, not String
	
2002-08-09 11:08  dolbeau

	* net/sf/colossus/server/HintInterface.java:

	add comments to HintInterface.java
	
2002-08-09 09:30  dolbeau

	* ExtTitan/ExtTitan.var, ExtTitan/ExtTitanHint.java,
	net/sf/colossus/parser/AIHintLoader.jj,
	net/sf/colossus/parser/VariantLoader.jj,
	net/sf/colossus/server/HintInterface.java,
	net/sf/colossus/server/VariantSupport.java,
	net/sf/colossus/util/ResourceLoader.java:

	add the possiblity to define a class for hints, add a (disabled) example in the ExtTitan directory.
	
2002-08-08 15:59  dolbeau

	* net/sf/colossus/: client/SimpleAI.java, parser/AIHintLoader.jj,
	server/HintOracleInterface.java:

	add FRIENDLY to OTHERSTACKHASCREATURE to avoid ambiguity
	
2002-08-08 15:28  dolbeau

	* docs/FileFormat.tex, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/parser/AIHintLoader.jj,
	net/sf/colossus/server/HintOracleInterface.java:

	new keyword for hints
	
2002-08-08 14:34  dolbeau

	* ExtTitan/ExtTitan.hin:

	adding initial split hints to ExtTitan
	
2002-08-07 15:04  dolbeau

	* Default/MarkersName:

	add full color names as comments in MarkersName.
	
2002-08-07 14:56  dolbeau

	* docs/FileFormat.tex, net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/VariantSupport.java:

	update docs, drop intermediate HashMap and use directly the Properties for the markers names.
	
2002-08-07 14:41  dolbeau

	* Default/MarkersName, docs/MarkerSet-HOWTO.tex,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/VariantSupport.java:

	move the markers names from Legion.java to a property file Default/MarkersName loaded at run-time
	
2002-08-07 13:51  dripton

	* docs/TODO.txt:

	Note that we need to un-hardcode marker names.
	
2002-08-07 09:33  dolbeau

	* docs/FileFormat.tex, net/sf/colossus/client/SimpleAI.java:

	make docs a bit more up-to-date, remove a spoiling debug message about initial split.
	
2002-08-07 09:23  dolbeau

	* net/sf/colossus/client/AcquireAngel.java:

	add a bit more offset to avoid colliding with the SummonAngel dialog.
	
2002-08-07 09:21  dolbeau

	* net/sf/colossus/: client/AcquireAngel.java, util/KDialog.java:

	try to prevent AcquireAngel dialogs to fully overlap by adding a small offset for every currently open AcquireAngel.
	
2002-08-07 09:02  dolbeau

	* net/sf/colossus/: client/SimpleAI.java, parser/AIHintLoader.jj:

	disable most hint debug display.
	
2002-08-07 07:56  dolbeau

	* net/sf/colossus/parser/AIHintLoader.jj:

	fix ofr a null pointer exception that somehow got lost in previous commit.
	
2002-08-06 15:22  dolbeau

	* Default/Default.hin, docs/FileFormat.tex,
	net/sf/colossus/client/CowardSimpleAI.java,
	net/sf/colossus/client/HintedSimpleAI.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/parser/AIHintLoader.jj,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/VariantSupport.java:

	Add sections to the HINT files ; remove HintedSimpleAI, make SimpleAI and CowardSimpleAI use hints (first is Offensive, second is Defensive) ; add some sections & hints to Default as a test for the new code ; disable graph code for now ; make some static functions in SimpleAI non-static so we can use the non-static array of AI Hints sections to use.
	
2002-08-06 13:40  dolbeau

	* Default/Default.hin:

	add a couple small Default hints (2 Ogre alone take a third in Marsh if they can reach Hills and cannot be attacked ; ditto for Centaur/Plains/Woods)
	
2002-08-06 12:51  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	fix some places where AI assumed 2 <= skill <=4 && Titan.skill == 4, which is wrong (for instance see Abyssal)
	
2002-08-06 12:37  dolbeau

	* net/sf/colossus/: client/Movement.java, client/SimpleAI.java,
	parser/AIHintLoader.jj, server/VariantSupport.java:

	fix for getNumberOfWaysToTerrain() bug (it answered 0 if the Legion had already moved, so was useless for next turn evaluation)
	
2002-08-05 15:54  dolbeau

	* docs/FileFormat.tex, net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/parser/AIHintLoader.jj,
	net/sf/colossus/server/HintOracleInterface.java:

	Add yet another keyword to hint, this time checking for candidate attacker inside Recruit Hint
	
2002-08-05 12:10  dolbeau

	* Abyssal6/Abyssal6.hin:

	implements recruit hints suggested by David Newell for Abyssal.
	
2002-08-05 09:46  dolbeau

	* Abyssal6/Abyssal6.hin, docs/FileFormat.tex,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/parser/AIHintLoader.jj,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/VariantSupport.java:

	new keyword in hint
	
2002-08-05 05:13  dripton

	* Default/images/Si01.gif, Default/images/Si02.gif,
	Default/images/Si03.gif, Default/images/Si04.gif,
	Default/images/Si05.gif, Default/images/Si06.gif,
	Default/images/Si07.gif, Default/images/Si08.gif,
	Default/images/Si09.gif, Default/images/Si10.gif,
	Default/images/Si11.gif, Default/images/Si12.gif, docs/TODO.txt,
	net/sf/colossus/server/Legion.java:

	John Lum's new silver markers.
	
2002-08-03 23:11  dripton

	* net/sf/colossus/client/SimpleAI.java:

	Remove logic in SimpleAI.findBestMoveOrder() that wrongly assumed that
	   move order didn't matter for multiples of the same creature on turn
	   1.  It does matter -- those moving farther sometimes need to move first.
	
2002-08-02 12:49  dolbeau

	* net/sf/colossus/: client/SimpleAI.java, parser/AIHintLoader.jj,
	server/VariantSupport.java:

	fix getRecruitHint so that we test hint specifying 0 of a creature
	
2002-08-02 09:21  dolbeau

	* Abyssal6/Abyssal6.hin, Abyssal6/Abyssal6.var,
	Badlands/Badlands.var, Badlands-JDG/Badlands-JDG.var:

	add preliminary Abyssal6.hin, fix Badlands(,-JDG} VAR Files
	
2002-08-02 09:02  dolbeau

	* Badlands/Badlands.hin, Badlands-JDG/Badlands-JDG.hin:

	Adding hints files for both Badlands variants
	
2002-08-01 14:29  dolbeau

	* Undead/Undead.hin:

	add split hint to Undead
	
2002-07-31 02:49  dripton

	* net/sf/colossus/server/Start.java:

	Fix load game bug caused by a couple of transposed lines in Start.
	
2002-07-31 02:31  dripton

	* run.bat:

	Remove @echo off line to work around LF vs. CR/LF CVS issue.
	
2002-07-29 09:39  dolbeau

	* net/sf/colossus/client/HintedSimpleAI.java:

	(really) add HintedSimpleAI, a SimpleAI using variant-specific hint
	
2002-07-29 09:38  dolbeau

	* net/sf/colossus/: client/SimpleAI.java, server/Constants.java:

	add HintedSimpleAI, a SimpleAI using variant-specific hint
	
2002-07-29 09:11  dolbeau

	* docs/FileFormat.tex:

	doc update
	
2002-07-29 08:58  dolbeau

	* TitanPlus/TitanPlus.cre, TitanPlus/TitanPlus.hin,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/server/VariantSupport.java:

	implement (unused) AI initial splint hint, add some hints to TitanPlus, remove unused creatures from TitanPlus.cre
	
2002-07-28 18:01  dripton

	* docs/build.tex:

	Add note about Jacobe indenter to build docs.
	Add initial Jacobe cfg file.
	
2002-07-28 16:48  dripton

	* build.xml:

	Copy ChangeLog into position from remote-inst.
	
2002-07-26 10:14  dolbeau

	* Default/Default.hin, net/sf/colossus/parser/AIHintLoader.jj:

	preliminary Initial Split hints support
	
2002-07-26 08:54  dolbeau

	* Undead/Undead.hin, net/sf/colossus/parser/AIHintLoader.jj:

	rewrite the AIHint parser 'the JavaCC' way (and not 'the Lex way'), improve Undead hints.
	
2002-07-26 08:09  dolbeau

	* docs/FileFormat.tex, net/sf/colossus/client/SimpleAI.java:

	doc update, allows suggesting recruiting nothing
	
2002-07-25 12:25  dolbeau

	* net/sf/colossus/parser/AIHintLoader.jj:

	bug fix: oracle was set in the wrong place, leading to 'invalid hint' error
	
2002-07-25 12:07  dolbeau

	* TitanPlus/TitanPlus.hin, TitanPlus/TitanPlus.var,
	docs/FileFormat.tex, net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/parser/AIHintLoader.jj,
	net/sf/colossus/server/HintOracleInterface.java:

	Hint file for TitanPlus, new keywords for hint.
	
2002-07-25 09:44  dolbeau

	* ExtTitan/ExtTitan.hin, ExtTitan/ExtTitan.var,
	net/sf/colossus/client/SimpleAI.java:

	add a hint file to ExtTitan, taking into account the Mammoth/Salamander among other things
	
2002-07-25 09:07  dolbeau

	* net/sf/colossus/: client/SimpleAI.java, parser/AIHintLoader.jj:

	more debug info, check for recruitee availability before matching an hint.
	
2002-07-25 08:36  dolbeau

	* Default/Default.hin, Undead/Undead.hin, Undead/Undead.var,
	net/sf/colossus/client/CaretakerInfo.java,
	net/sf/colossus/parser/AIHintLoader.jj,
	net/sf/colossus/server/VariantSupport.java:

	make a Undead.hin file that take into accounts all the new names, update CaretakerInfo to make it mostly null-proof (in particular if the hint file is loaded with inexistant creature)
	
2002-07-24 16:13  dolbeau

	* docs/FileFormat.tex:

	add HINT info to the documentations
	
2002-07-24 15:53  dolbeau

	* Default/Default.hin, net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/parser/AIHintLoader.jj,
	net/sf/colossus/parser/BattlelandRandomizerLoader.jj,
	net/sf/colossus/server/CanReachTerrainInterface.java,
	net/sf/colossus/server/HasCreatureInterface.java,
	net/sf/colossus/server/HintOracleInterface.java,
	net/sf/colossus/server/VariantSupport.java:

	lots of improvement to the per-variant AI hints code
	
2002-07-24 14:27  dolbeau

	* Default/Default.hin, net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/parser/AIHintLoader.jj,
	net/sf/colossus/server/CanReachTerrainInterface.java,
	net/sf/colossus/server/HasCreatureInterface.java,
	net/sf/colossus/server/VariantSupport.java:

	preliminary predicated pre-variant AI recruit hint
	
2002-07-24 09:45  dolbeau

	* Makefile, build.xml, Default/Default.hin, Default/Default.var,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/parser/AIHintLoader.jj,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/parser/VariantLoader.jj,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/VariantSupport.java:

	add very preliminary AI hints loading support
	
2002-07-24 08:22  dolbeau

	* Default/images/River_Hazard.gif:

	adding a River hazard overlay
	
2002-07-23 13:52  dolbeau

	* net/sf/colossus/util/RecruitGraph.java:

	remove spurious @see, make inner classes private
	
2002-07-23 13:50  dolbeau

	* net/sf/colossus/: client/SimpleAI.java,
	parser/TerrainRecruitLoader.jj, util/RecruitEdge.java,
	util/RecruitGraph.java, util/RecruitVertex.java:

	Make RecruitVertex and RecruitEdge inner classes to RecruitGraph, move all graph-based data extraction to RecruitGraph.
	
2002-07-23 09:45  dolbeau

	* net/sf/colossus/: client/Client.java,
	parser/TerrainRecruitLoader.jj, util/RecruitEdge.java,
	util/RecruitGraph.java, util/RecruitVertex.java:

	use caretakerInfo from client in TRL::graph, fixes
	
2002-07-23 01:53  dripton

	* net/sf/colossus/: client/CaretakerInfo.java, client/Client.java,
	util/RecruitGraph.java, util/RecruitVertex.java:

	Extract creature count functionality from Client into CaretakerInfo.
	Have RecruitGraph and RecruitVertex use CaretakerInfo instead of Caretaker.
	
2002-07-22 15:41  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	more debug info, more comments
	
2002-07-22 15:28  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	add a new graph-based heuristic: suggest under-recruiting for the greater number of places where the stack can recruit next turn (unused by SimpleAI)
	
2002-07-22 15:08  dolbeau

	* net/sf/colossus/util/: RecruitEdge.java, RecruitVertex.java:

	add toString() to vertex & edge
	
2002-07-22 14:57  dolbeau

	* net/sf/colossus/: client/SimpleAI.java,
	parser/TerrainRecruitLoader.jj, util/RecruitGraph.java:

	Use LegionInfo in BestInfinityAhead, some comments/
	
2002-07-22 14:48  dolbeau

	* net/sf/colossus/: client/LegionInfo.java,
	parser/TerrainRecruitLoader.jj, util/RecruitGraph.java:

	forgotten patch in the parser, plus add a LegionInfo to the graph traversal (to properly ignore edges when there's not enough creature left in legion + caretaker)
	
2002-07-22 14:32  dolbeau

	* net/sf/colossus/: client/SimpleAI.java,
	parser/TerrainRecruitLoader.jj, server/Caretaker.java,
	util/RecruitEdge.java, util/RecruitGraph.java,
	util/RecruitVertex.java:

	Add a minimalist graph implementation dedicated to the recruit tree. Add the graph-based functions from the openjgraph branch, rewritten for our own implementation. SimpleAI doesn't use them yet.
	
2002-07-21 18:13  dripton

	* net/sf/colossus/client/: PredictSplits.java,
	PredictSplitsTest.java:

	More split prediction changes.  Still not right.
	
2002-07-19 12:59  dolbeau

	* net/sf/colossus/: parser/TerrainRecruitLoader.jj,
	server/Caretaker.java:

	remove dead creatures from the graph so they aren't taken into acount anymore for recruitment.
	
2002-07-19 09:26  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	always pick up the best OneTurnAhead if it agrees with InfinityAhead, and in 2/3 if it doesn't
	
2002-07-19 08:39  dolbeau

	* docs/TODO.txt, net/sf/colossus/client/SimpleAI.java:

	tracking HEAD, update 02
	
2002-07-19 08:36  dolbeau

	* docs/TODO.txt, net/sf/colossus/client/SimpleAI.java:

	handle Battle moves better, in particular try to avoid drift when non-native
	
2002-07-18 15:59  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	avoid under-recruiting if we already have the next stage (i.e. don't take a third Cyclops over a Gorgon when we already have a Behemoth)
	
2002-07-18 15:49  dolbeau

	* net/sf/colossus/: client/SimpleAI.java,
	parser/TerrainRecruitLoader.jj:

	add getBestRecruitmentInfinityAhead() to SimpleAI, getBestPossibleRecruitEver() to the TRL
	
2002-07-18 13:13  dolbeau

	* net/sf/colossus/: client/SimpleAI.java,
	parser/TerrainRecruitLoader.jj:

	trying to use the Graph for better recruitment heuristic. implement getBestRecruitmentOneTurnAhead(), getNumberOfWaysToTerrains(), getNumberAndPVForBestNextTurnRecruitment in SimpleAI, and getRecruitFromRecruiterTerrainNumber() in the TRL
	
2002-07-18 11:32  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	implement getNumberOfWaysToTerrains()
	
2002-07-18 11:06  dolbeau

	* net/sf/colossus/parser/TerrainRecruitLoader.jj:

	put only number & terrain on the Edge
	
2002-07-18 09:44  dolbeau

	* net/sf/colossus/parser/TerrainRecruitLoader.jj:

	implementation of getAllTerrainsWhereThisNumberOfCreatureRecruit() - yes the name will have to change :-)
	
2002-07-18 09:31  dolbeau

	* net/sf/colossus/parser/TerrainRecruitLoader.jj:

	add some javadoc comments
	
2002-07-18 09:03  dolbeau

	* net/sf/colossus/parser/TerrainRecruitLoader.jj:

	rewriting getMaximumUsefulNumber() using the graph
	
2002-07-18 08:55  dolbeau

	* net/sf/colossus/parser/TerrainRecruitLoader.jj:

	graph is Directed, plus Weighted Edge
	
2002-07-18 08:14  dolbeau

	* docs/FAQ.tex, docs/TODO.txt,
	net/sf/colossus/client/BattleHex.java,
	net/sf/colossus/client/BattleMovement.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/GetPlayers.java,
	net/sf/colossus/util/Options.java:

	tracking HEAD, update 01
	
2002-07-17 13:32  dolbeau

	* docs/FAQ.tex, net/sf/colossus/client/BattleMovement.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/GetPlayers.java,
	net/sf/colossus/util/Options.java:

	add the 'Always allows one hex' option
	
2002-07-17 13:21  dolbeau

	* docs/FAQ.tex, net/sf/colossus/client/BattleHex.java,
	net/sf/colossus/client/BattleMovement.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/GetPlayers.java,
	net/sf/colossus/util/Options.java:

	add the 'Slowing is cumulative' option
	
2002-07-12 01:11  dripton

	* docs/TODO.txt:

	Remove a bug that's been moved to SF.
	Add a couple of Tchula's gripes.
	
2002-07-11 11:46  dolbeau

	* net/sf/colossus/client/CreatureGraphView.java:

	forgot the new file
	
2002-07-11 11:46  dolbeau

	* net/sf/colossus/client/CreatureGraphView.java:

	file CreatureGraphView.java was initially added on branch openjgraph.
	
2002-07-10 13:17  dolbeau

	* net/sf/colossus/: client/Client.java,
	client/CreatureCollectionView.java, client/MasterBoard.java,
	parser/TerrainRecruitLoader.jj, util/Options.java:

	attempting to use OpenJGraph library for Recruiting Tree
	
2002-07-10 11:49  dolbeau

	* net/sf/colossus/parser/TerrainRecruitLoader.jj:

	add getMaximumUsefulNumber()
	
2002-07-06 05:18  dripton

	* Colossus.jnlp, build.xml:

	Add php line to set content type to jnlp file, since Dreamhost doesn't
	   have this configured in Apache.
	Copy jar and jnlp files to Dreamhost in addition to SF, for reliability.
	
2002-07-06 03:22  dripton

	* docs/TODO.txt:

	Hang bug
	
2002-07-05 22:19  uid22220

	* build.xml, Abyssal6/README.html, Abyssal9/README.html,
	docs/TODO.txt, net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/PredictSplitsTest.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/Game.java:

	Port PredictSplits and PredictSplitsTest from Python.  Not passing yet.
	Cleanup docs.
	
2002-07-04 08:34  dolbeau

	* Abyssal6/Abyssal6.cre:

	realign columns
	
2002-07-04 07:28  dripton

	* docs/Credits.tex:

	Abyssal credit.
	
2002-07-04 07:21  dripton

	* Abyssal6/Abyssal6.cre, Abyssal9/Abyssal9.cre, docs/TODO.txt,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/StartClient.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/util/Options.java:

	Fix dragon's tree and volcano nativity in Abyssal.
	Remember recently used server names in StartClient
	
2002-07-04 02:47  dripton

	* docs/TODO.txt, net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/PredictSplitsTest.java:

	Port predictsplits.py into PredictSplits.java
	Skeleton unit test -- not working yet.
	
2002-07-03 20:36  dripton

	* net/sf/colossus/server/Creature.java:

	Sort creatures (alphabetically) after loading.
	
2002-07-03 20:32  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/PickColor.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Server.java:

	Multiply AI defender point value by 0.8 in the Abyss.
	Add check for battle phase >= FIGHT to Server.doneWithStrikes()
	   and Battle.doneWithStrikes(), to prevent the bug that skipped
	   the attacker's first move phase after an early misclick.
	
2002-07-03 16:48  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java:

	Synchronize a couple of methods to prevent concurrent mod on bestMoveOrder.
	
2002-07-03 16:18  dolbeau

	* Makefile, build.xml, Abyssal6/Abyssal6.cre,
	Abyssal6/Abyssal6.map, Abyssal6/Abyssal6.ter,
	Abyssal6/Abyssal6.var, Abyssal6/README.html,
	Abyssal6/Battlelands/Abyss, Abyssal6/Battlelands/Brush,
	Abyssal6/Battlelands/Desert, Abyssal6/Battlelands/Hills,
	Abyssal6/Battlelands/Jungle, Abyssal6/Battlelands/Marsh,
	Abyssal6/Battlelands/Mountains, Abyssal6/Battlelands/Plains,
	Abyssal6/Battlelands/Swamp, Abyssal6/Battlelands/Tower,
	Abyssal6/Battlelands/Tundra, Abyssal6/Battlelands/Woods,
	Abyssal6/images/Druid.gif, Abyssal6/images/Knight.gif,
	Abyssal9/Abyssal9.cre, Abyssal9/Abyssal9.map,
	Abyssal9/Abyssal9.var, Abyssal9/README.html:

	adding Abyssal6 and Abyssal9
	
2002-07-03 16:02  dolbeau

	* net/sf/colossus/: client/BattleHex.java, util/HTMLColor.java:

	change Bramble colors when elevation change (for better-looking Abyssal Titan)
	
2002-07-03 06:47  dripton

	* docs/Credits.tex, docs/TODO.txt, net/sf/colossus/client/AI.java,
	net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/CritterMove.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Dice.java, net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/util/Options.java,
	net/sf/colossus/util/ResourceLoader.java:

	Remove a *lot* of synchronization to fix a couple of deadlock bugs.
	Fix retries of AI battle moves, by using a timer to wait for results.
	
2002-07-02 16:32  dripton

	* net/sf/colossus/: client/SocketClientThread.java,
	server/Constants.java, server/Start.java, util/Options.java:

	Fix unwanted load game bug by clearing the loadGame option in Start.
	Add Abyssal6 / Abyssal9 variants to Constants.  Note that the variant
	   files are not checked in yet!
	
2002-07-02 08:27  dolbeau

	* net/sf/colossus/server/Dice.java:

	update class Dice to use a custom Random, that will try to use an external random sources (first an optional custom one, then /dev/urandom, then /dev/random). If all else fails, fall back on the internal PRNG.
	
2002-07-01 21:40  dripton

	* net/sf/colossus/server/Dice.java:

	/dev/urandom not /dev/random
	
2002-07-01 21:23  dripton

	* net/sf/colossus/server/Dice.java:

	Add an 8 * to shift by bytes instead of bits.
	
2002-07-01 15:54  dripton

	* docs/TODO.txt:

	AI battle hang in Windows.
	
2002-07-01 03:31  dripton

	* net/sf/colossus/server/Dice.java:

	Check to make sure there are enough random bytes available before
	   reading from /dev/random, to avoid blocking.
	
2002-07-01 02:11  dripton

	* net/sf/colossus/server/Dice.java:

	Seed Dice.Random using /dev/random if present.
	
2002-07-01 01:30  dripton

	* net/sf/colossus/server/Dice.java:

	Check for large size values for Dice.rollDie(), which could indicate
	   someone trying to figure out the current random seed.
	
2002-07-01 01:20  dripton

	* net/sf/colossus/: client/SimpleAI.java, server/Dice.java:

	Remove Dice.getEntropySource().  Add a Random to SimpleAI.
	
2002-06-30 04:55  dripton

	* docs/TODO.txt, net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/server/Server.java:

	Fix null pointer bug in Server.strike() when battle ends.
	Retry failed AI battle moves.
	
2002-06-29 14:55  dolbeau

	* docs/FAQ.tex, net/sf/colossus/client/CreatureCollectionView.java,
	net/sf/colossus/client/SimpleAI.java:

	implement feature request #569451, make AI test a minimum of 50 legion moves, add a FAQ entry
	
2002-06-27 19:19  dolbeau

	* net/sf/colossus/: client/SimpleAI.java, server/Dice.java:

	shuffle the various legion moves before testing them. This should avoid bad choices when moves are sorted on creatures with their bad moves first.
	
2002-06-27 09:23  dolbeau

	* Default/images/Si01.gif, Default/images/Si02.gif,
	Default/images/Si03.gif, Default/images/Si04.gif,
	Default/images/Si05.gif, Default/images/Si06.gif,
	Default/images/Si07.gif, Default/images/Si08.gif,
	Default/images/Si09.gif, Default/images/Si10.gif,
	Default/images/Si11.gif, Default/images/Si12.gif, docs/Base.tex,
	docs/Makefile, docs/MarkerSet-HOWTO.tex,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/util/HTMLColor.java:

	adding  a Silver marker set, and related documentation. Note that Silver chits are only recolored Black chits.
	
2002-06-27 07:25  dolbeau

	* net/sf/colossus/client/CreatureCollectionView.java:

	use X (i.e. Power = 0) not 6 as Power for Caretaker's Stack Titan Chit
	
2002-06-27 02:04  dripton

	* build.xml:

	Fix remote-inst docs install.
	
2002-06-27 01:46  dripton

	* net/sf/colossus/server/Game.java:

	Comment out allTellGameOver() in Game.advancePhase() with all humans
	   eliminated, to see if this fixes a hang bug at end of game.
	
2002-06-27 01:31  dripton

	* build.xml:

	Fix typo involving leftover comment chars.
	
2002-06-27 01:29  dripton

	* build.xml, docs/TODO.txt, net/sf/colossus/server/Start.java:

	Force "Run network client" option to false to fix a bug.
	Eliminate deprecated, clean exec syntax in build.xml in favor of
	   approved, clunky syntax.
	Change inst and dist targets to again depend on changelog and
	   docs.  This is more complete, but slower.
	Change remote-inst target to erase old 1_LATEST_IS_*
	
2002-06-26 17:51  dolbeau

	* net/sf/colossus/client/Chit.java:

	attemp at fixing non-4-skill Titan display
	
2002-06-19 13:19  dolbeau

	* net/sf/colossus/server/Creature.java:

	warn about likely inapropriate combinations
	
2002-06-19 09:52  dolbeau

	* net/sf/colossus/: client/BattleHex.java, client/HexMap.java,
	client/MasterHex.java, server/Creature.java:

	rewrite MasterHex::isNativeCombatBonus(), for a better evaluation of combat advantages/disadvantages
	
2002-06-19 08:52  dolbeau

	* net/sf/colossus/server/Creature.java:

	add generic nativity check for future use (such as checking if a Creature has a bonus in a terrain)
	
2002-06-18 19:11  dripton

	* docs/TODO.txt:

	Remove pesky line about caretaker Titan.
	
2002-06-18 00:21  dripton

	* build.xml:

	Remove changelog dependency from various targets -- it's too slow remotely.
	Add remote-inst target to scp files to SourceForge.
	
2002-06-17 23:18  dripton

	* build.xml:

	Remove reference to Colossus-client.jnlp
	
2002-06-17 21:43  dripton

	* Default/images/Or01.gif, Default/images/Or02.gif,
	Default/images/Or03.gif, Default/images/Or04.gif,
	Default/images/Or06.gif, Default/images/Or08.gif,
	Default/images/Or09.gif, Default/images/Or10.gif,
	Default/images/Or11.gif, Default/images/Or12.gif, docs/Credits.tex,
	docs/FAQ.tex, docs/TODO.txt, net/sf/colossus/client/SimpleAI.java:

	New Orange markers from Josh and John.
	Changed evaluateCritterMove() so that attacking titans in tower do take
	   the usual penalty for charging forward early.  (Defending titans
	   in towers still just try to stay at the highest elevation.)
	
2002-06-15 12:57  dolbeau

	* docs/TODO.txt:

	Titan doesn't have an excess Titan on top of it anymore (in Caretaker's Stack)
	
2002-06-10 23:15  dripton

	* Colossus-client.jnlp, runclient, runclient.bat, docs/TODO.txt,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/CreatureCollectionView.java,
	net/sf/colossus/client/HexMap.java,
	net/sf/colossus/client/StartClient.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/Start.java:

	Rework initialization.  Merge StartClient.main() into Start, call
	   GetPlayers from Start instead of from Game.newGame(), etc.
	Have CreatureCollectionView save its size.
	Add a few try/catch blocks for null pointers in places where they
	   show up due to timing issues during game loads, but fix
	   themselves later.  There are probably others.
	
2002-06-10 15:06  dolbeau

	* net/sf/colossus/: client/MasterBoard.java,
	server/VariantSupport.java:

	add a couple "synchronized" to avoid the worst
	
2002-06-10 08:08  dolbeau

	* Undead/Undead.ter:

	fix typo (ArchDevil -> Archdevil)
	
2002-06-10 02:08  dripton

	* docs/Credits.tex, net/sf/colossus/util/ResourceLoader.java:

	Add a null check in ResourceLoader.getImageIcon()
	
2002-06-08 02:31  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/server/Server.java:

	If we can't create server socket, print better error message and exit.
	
2002-06-02 08:10  dolbeau

	* net/sf/colossus/client/MasterBoard.java:

	Don't display the Choose Screen menu when only 1 screen is available
	
2002-06-01 16:45  dolbeau

	* net/sf/colossus/client/: ChooseScreen.java, Client.java,
	MasterBoard.java:

	Add the ability to put the two infos windows (Status Screen and Caretaker's Stack) on a different display than the others windows. Probably only useful with multihead X11 display that don't/can't use Xinerama...
	
2002-06-01 15:27  dolbeau

	* net/sf/colossus/client/BattleDice.java:

	no need to allocate 0-sized array (i.e. 0 dice rolled)
	
2002-06-01 15:20  dolbeau

	* net/sf/colossus/client/: BattleMap.java, Client.java,
	Strike.java:

	
	Fully synchronize Client::battleChits, to avoid the following:
	Exception occurred during event dispatching:
	java.util.ConcurrentModificationException
	        at java.util.AbstractList.checkForComodification(AbstractList.java:445)
	        at java.util.AbstractList.previous(AbstractList.java:461)
	        at net.sf.colossus.client.BattleMap.paintComponent(BattleMap.java:646)
	        at javax.swing.JComponent.paint(JComponent.java:687)
	        at javax.swing.JComponent.paintChildren(JComponent.java:498)
	        at javax.swing.JComponent.paint(JComponent.java:696)
	(...)
	
2002-06-01 13:27  dolbeau

	* net/sf/colossus/server/: Game.java, Legion.java, Player.java:

	
	Entirely synchronized server.Player::legions, (perhaps) avoiding the following checkForComodification error:
	java.util.ConcurrentModificationException
	        at java.util.AbstractList.checkForComodification(AbstractList.java:445)Error: Gold illegally called doneWithEngagements()
	        at java.util.AbstractList.next(AbstractList.java:418)
	        at net.sf.colossus.server.Player.getTotalPointValue(Player.java:814)
	        at net.sf.colossus.server.Player.getStatusInfo(Player.java:800)
	        at net.sf.colossus.server.Server.getPlayerInfo(Server.java:1194)
	(...)
	
2002-06-01 08:38  dolbeau

	* docs/TODO.txt:

	Titan doesn't have an excess Titan on top of it anymore (in Caretaker's Stack)
	
2002-05-31 21:24  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/StartClient.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/GetPlayers.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/Start.java:

	Call doneWithEngagements() from client side for AI.  (Redundant since
	   it also gets called by Game.kickEngagements() but might fix a hang.)
	Split SimpleAI.split() for readability.
	Add a button to GetPlayers to run a client instead of a server.
	Use Constants.MAX_MAX_PLAYERS for socket server backlog.
	
2002-05-31 13:24  dolbeau

	* net/sf/colossus/parser/TerrainRecruitLoader.jj:

	fix titan improve/teleport values bug (variant without explicit values would use the one from the most recently loaded variant with explicit values instead of 100/400)
	
2002-05-28 09:29  dolbeau

	* docs/TODO.txt, net/sf/colossus/client/Client.java:

	add the config file-specified L&F to the menu if not already present
	
2002-05-27 16:55  dolbeau

	* docs/TODO.txt:

	More counts in Caretaker's Stack is done
	
2002-05-27 16:46  dolbeau

	* net/sf/colossus/client/MasterBoard.java, docs/TODO.txt:

	mark chosen L&F
	
2002-05-27 16:02  dolbeau

	* docs/TODO.txt,
	net/sf/colossus/client/CreatureCollectionView.java:

	use Black-6 Titan in Caretaker's stack
	
2002-05-27 13:14  dripton

	* docs/TODO.txt,
	net/sf/colossus/client/CreatureCollectionView.java:

	Use actual chit width instead of scale * 4, to account for chits in the
	   50-70 range rescaling themselves to 60.
	Add legend entry for blue total chits number.
	
2002-05-27 09:24  dolbeau

	* net/sf/colossus/client/CreatureCollectionView.java:

	more total count above the Chit, add in-game below
	
2002-05-27 09:11  dolbeau

	* net/sf/colossus/client/CreatureCollectionView.java:

	improve the Caretaker's Stack display, adding a legend and auto-resizability
	
2002-05-27 08:12  dolbeau

	* net/sf/colossus/client/CreatureCollectionView.java:

	change colors, add a legend label at the bottom
	
2002-05-26 12:57  dolbeau

	* net/sf/colossus/: client/Client.java,
	client/CreatureCollectionView.java, client/IClient.java,
	client/SocketClientThread.java, server/Caretaker.java,
	server/Legion.java, server/Server.java,
	server/SocketServerThread.java:

	add graveyard and display of dead creatures
	
2002-05-25 19:54  dripton

	* Colossus-client.jnlp, docs/TODO.txt,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/util/LogWindow.java:

	Use Archangel.gif for client jnlp
	Add debug code to help catch battle hang.
	Do not auto-scroll log window thumb, to stop screen corruption.
	
2002-05-22 22:38  dripton

	* docs/Credits.tex, net/sf/colossus/server/GetPlayers.java,
	net/sf/colossus/server/VariantSupport.java,
	net/sf/colossus/util/ResourceLoader.java:

	Bugfix: Change txtdoc from PlainDocument to DefaultStyledDocument.
	
2002-05-22 15:37  dolbeau

	* net/sf/colossus/client/BattleDice.java:

	don't display empty {hit,miss}Box
	
2002-05-22 15:19  dolbeau

	* net/sf/colossus/client/BattleDice.java:

	redo the BattleDice display, including colored boxes for 'average' results
	
2002-05-22 12:22  dripton

	* ExtTitan/ExtTitan.cre, docs/TODO.txt,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/PickRecruit.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/VariantSupport.java:

	Give ExtTitan caretaker 8 titans.
	Add explicit cancel button to PickRecruit.
	Reduce SimpleAI's 6-high special case to force AI to take Colossi.
	Call Server.allFullyUpdateLegionHeights() at the beginning of every
	   split phase, to work around a bug.
	
2002-05-21 12:08  dolbeau

	* net/sf/colossus/server/GetPlayers.java:

	readme in GetPlayers must be a JEditorPane ; otherwise the TXT and HTML can't be mixed
	
2002-05-20 22:50  dripton

	* Default/images/Pu01.gif, Default/images/Pu02.gif,
	Default/images/Pu03.gif, Default/images/Pu04.gif,
	Default/images/Pu05.gif, Default/images/Pu06.gif,
	Default/images/Pu07.gif, Default/images/Pu08.gif,
	Default/images/Pu09.gif, Default/images/Pu10.gif,
	Default/images/Pu11.gif, Default/images/Pu12.gif,
	ExtTitan/README.html, docs/Credits.tex,
	net/sf/colossus/server/GetPlayers.java,
	net/sf/colossus/server/Legion.java:

	Updated orange markers from Josh.
	Added new purple markers from John and Josh.
	Made GetPlayers usable on lower-res screens.
	
2002-05-19 14:10  dolbeau

	* net/sf/colossus/client/BattleDice.java:

	sort the battle dice before displaying them
	
2002-05-19 12:37  dripton

	* Default/images/Or03.gif, Default/images/Or05.gif,
	Default/images/Or06.gif, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/PredictSplits.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Server.java:

	Add Josh's improved orange markers.
	Sort markers by color in Client.
	Remove server-side logic to automatically pick the only remaining
	   color, since it sometimes confused AI clients and caused them
	   to drop.  We might want to add this logic on the client side.
	   But probably not, since we now have 8 colors of markers so it
	   will rarely be called in any case.
	Add PredictSplits, even though it's not done yet.
	
2002-05-17 18:30  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java:

	Add comparator to Client.markersAvailable to guarantee that own starting
	   markers are always shown first.
	
2002-05-17 11:55  dolbeau

	* net/sf/colossus/client/: Client.java,
	CreatureCollectionView.java:

	add blue display of total creature count in Caretaker's Stack
	
2002-05-17 07:00  dolbeau

	* net/sf/colossus/client/BattleMap.java:

	cosmetic: display name of marker in battlemap title, not only markerId
	
2002-05-17 00:34  dripton

	* Default/images/Or01.gif, Default/images/Or02.gif,
	Default/images/Or03.gif, Default/images/Or04.gif,
	Default/images/Or05.gif, Default/images/Or06.gif,
	Default/images/Or07.gif, Default/images/Or08.gif,
	Default/images/Or09.gif, Default/images/Or10.gif,
	Default/images/Or11.gif, Default/images/Or12.gif, docs/Credits.tex,
	docs/TODO.txt, net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/PhaseAdvancer.java:

	Add Josh Smith's original Orange markers.
	Change BattleMap title.
	Move AI delays to client side.  Delay between moves, not just phases.
	Change SimpleAI's battle move duplicate hex check so that if two
	   creatures are forced to stay offboard, the move is still legal.
	   But put all moves with offboard creatures at the end of the list.
	Move battle move eval constants into separate class BattleEvalConstants.
	
2002-05-14 21:10  dripton

	* ExtTitan/ExtTitan.cre, ExtTitan/README.html, Undead/README.html,
	Undead/Undead.cre, Undead/Undead.ter, docs/TODO.txt,
	net/sf/colossus/client/BattleChit.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/server/GetPlayers.java:

	Rename Undead elementals and Archdevil for consistency.
	Improve GetPlayers layout.
	Eliminate redundant BattleChit.getHexLabel().
	
2002-05-14 20:52  dripton

	* build.xml:

	Make inst not depend on docs, because TeX stuff is broken on SF.
	   Need to manually update docs elsewhere and copy them to SF.
	
2002-05-14 20:47  dripton

	* Undead/images/: Air.gif, AirElemental.gif, ArchDevil.gif,
	Archdevil.gif, Earth.gif, EarthElemental.gif, Fire.gif,
	FireElemental.gif, Water.gif, WaterElemental.gif:

	Rename Undead creatures for consistency.  Air to AirElemental etc.,
	   ArchDevil to Archdevil.
	Update ExtTitan README to beg for new legion markers.
	Improve presentation of AI delay and time limit in GetPlayers.
	
2002-05-14 15:23  dolbeau

	* net/sf/colossus/: client/AI.java, client/Client.java,
	client/IClient.java, client/PickColor.java, client/SimpleAI.java,
	client/SocketClientThread.java, server/Constants.java,
	server/Game.java, server/Server.java,
	server/SocketServerThread.java:

	fix PickColor to handle all colors, bias the AI choice of colors toward the 6 primary colors
	
2002-05-14 11:08  dolbeau

	* net/sf/colossus/server/Game.java:

	allow Constants.MAX_MAX_PLAYERS on the command line, as it is checked before the variant is loaded
	
2002-05-14 09:50  dolbeau

	* ExtTitan/README.html:

	update ExtTitan README (8-players support, archive.org URL)
	
2002-05-14 09:39  dolbeau

	* Default/images/Or01.gif, Default/images/Or02.gif,
	Default/images/Or03.gif, Default/images/Or04.gif,
	Default/images/Or05.gif, Default/images/Or06.gif,
	Default/images/Or07.gif, Default/images/Or08.gif,
	Default/images/Or09.gif, Default/images/Or10.gif,
	Default/images/Or11.gif, Default/images/Or12.gif,
	Default/images/Pu01.gif, Default/images/Pu02.gif,
	Default/images/Pu03.gif, Default/images/Pu04.gif,
	Default/images/Pu05.gif, Default/images/Pu06.gif,
	Default/images/Pu07.gif, Default/images/Pu08.gif,
	Default/images/Pu09.gif, Default/images/Pu10.gif,
	Default/images/Pu11.gif, Default/images/Pu12.gif,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/util/HTMLColor.java:

	Two ne sets of markers, Orange and Purple
	
2002-05-14 03:25  dripton

	* net/sf/colossus/: client/StatusScreen.java, server/Game.java,
	server/Start.java:

	Make status screen taller by default.
	Add command-line option to set AI time limit.
	
2002-05-13 17:52  dripton

	* docs/TODO.txt, net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Legion.java:

	Remove debug code.
	Change "an" to "one" in some logs since not all summonables / acquirables
	   start with vowels anymore.
	
2002-05-13 14:29  dolbeau

	* net/sf/colossus/client/SimpleAI.java:

	trying to fix #555452
	
2002-05-13 14:17  dripton

	* docs/TODO.txt, net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/parser/TerrainRecruitLoader.jj:

	Fix a bug where the wrong movement roll was used in SimpleAI.split().
	Add a bunch of debug statements to the split logic to try to figure
	   out the infinite loop when AI can split and attack and is thinking
	   about acquiring.
	
2002-05-13 09:43  dolbeau

	* net/sf/colossus/: client/MasterBoard.java,
	server/VariantSupport.java:

	fix for #551311, the MasterBoard wasn't reloaded when changing variant
	
2002-05-13 09:07  dolbeau

	* net/sf/colossus/: client/LegionInfo.java, client/SimpleAI.java,
	parser/TerrainRecruitLoader.jj:

	Tring to make the SimpleAI more variant-aware ; it should now be able to acquire/summon anything (this should fix #555033)
	
2002-05-13 02:03  dripton

	* net/sf/colossus/client/SimpleAI.java:

	Force AI time limit between min and max constants, not just to be positive.
	
2002-05-13 01:42  dripton

	* net/sf/colossus/client/: Movement.java, SimpleAI.java:

	Add sanity checks for negative movement rolls and negative AI time limits.
	
2002-05-12 22:44  dripton

	* net/sf/colossus/: client/Client.java, client/SimpleAI.java,
	server/Constants.java, server/GetPlayers.java,
	server/PhaseAdvancer.java, util/Options.java:

	Add AI time limits for slow stuff like finding the best legion move
	   and the best move order.
	Switch from javax.swing.Timer to java.util.Timer.
	
2002-05-12 06:09  dripton

	* net/sf/colossus/client/Client.java:

	Un-synchronize Client.markOffboardCreaturesDead() to try to fix 554703.
	
2002-05-12 04:39  dripton

	* docs/TODO.txt, net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/Legion.java:

	Mark / fix some hardcoded angel logic.
	
2002-05-12 03:49  dripton

	* build.xml, net/sf/colossus/client/BattleChit.java,
	net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/BattleMovement.java,
	net/sf/colossus/client/Chit.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/GUIBattleHex.java,
	net/sf/colossus/client/GUIMasterHex.java,
	net/sf/colossus/client/HexMap.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/client/VariantSupport.java,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/server/CarryTest.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/GetPlayers.java,
	net/sf/colossus/server/LOSTest.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/VariantSupport.java,
	net/sf/colossus/util/Options.java,
	net/sf/colossus/util/PermGen.java, net/sf/colossus/util/Perms.java:

	Teach SimpleAI to evaluate whole legion battle moves.
	Move VariantSupport to server package.
	Split PermGen out of Perms.
	Un-hardcode summonables in LegionInfo.
	
2002-05-10 23:36  dripton

	* build.xml, stresstest, ExtTitan/README.html, docs/Credits.tex,
	docs/TODO.txt, docs/network-design.txt,
	net/sf/colossus/client/BattleChit.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/Concede.java,
	net/sf/colossus/client/Negotiate.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/Server.java:

	Fix AI hang after hex damage.
	Clean up layout of Concede and Negotiate.
	Alphabetize variant list.
	Fix null player bug after losing titan in negotiation.
	
2002-05-10 04:34  dripton

	* docs/Credits.tex, docs/TODO.txt,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/server/Critter.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Server.java:

	Add auto-advance past battle strike phases when no strikes remain.
	Remove extra call to allTellBattleMove().
	
2002-05-10 00:42  dripton

	* docs/TODO.txt, net/sf/colossus/client/BattleChit.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/SocketServerThread.java,
	net/sf/colossus/server/Start.java, net/sf/colossus/util/Log.java:

	Fix AI strike / carry/ doneWithStrikes() logic.
	Call System.exit() when a local client quits.
	Add command-line option for AI delay.
	Eliminate occasional fixName() oscillating infinite loop.
	
2002-05-09 17:35  dripton

	* docs/TODO.txt, net/sf/colossus/client/AI.java,
	net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/server/Server.java:

	Change SimpleAI.masterMove() and its helper methods to return true after
	   every move, and call masterMove() again from Client.didMove(), so
	   that client-side legion status is correct.
	Call System.exit() after quitting the map or board.
	Increase all the constants in evaluateCritterMove() by a factor of ten
	   to give more granularity for tuning.
	Re-highlight after undoing split, move, or recruit.
	
2002-05-09 14:37  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/Negotiate.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java:

	Push AI type to client.
	Remove broken code to auto-advance battle move / strike phases for humans.
	
2002-05-09 04:19  dripton

	* debug, debug.bat:

	Remove the debug scripts.  JSwat doesn't help at all now that the code is
	   distributed and multithreaded.
	
2002-05-09 04:02  dripton

	* docs/TODO.txt, net/sf/colossus/client/AI.java,
	net/sf/colossus/client/BattleChit.java,
	net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/Chit.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/CowardSimpleAI.java,
	net/sf/colossus/client/HexMap.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/Negotiate.java,
	net/sf/colossus/client/PickLord.java,
	net/sf/colossus/client/PlayerInfo.java,
	net/sf/colossus/client/Proposal.java,
	net/sf/colossus/client/ShowAllRecruits.java,
	net/sf/colossus/client/SimpleAI.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/client/SplitLegion.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/parser/StrategicMapLoader.jj,
	net/sf/colossus/server/AI.java, net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Caretaker.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/CowardSimpleAI.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/Critter.java,
	net/sf/colossus/server/Dice.java, net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SimpleAI.java,
	net/sf/colossus/server/SocketServerThread.java,
	net/sf/colossus/util/Options.java,
	net/sf/colossus/util/ResourceLoader.java:

	Move AI fully to client side, via lots of icky duplicated code.
	Move Dice out of Game.
	Make HexMap non-GUI entrance setup static.
	
2002-05-07 13:09  dolbeau

	* ExtTitan/: README, README.html:

	HTMLized ExtTitan/README
	
2002-05-07 12:56  dolbeau

	* Makefile, build.xml, SmallTitan/README.html,
	SmallTitan/SmallTitan.map, SmallTitan/SmallTitan.var,
	docs/FileFormat.tex, net/sf/colossus/server/Constants.java:

	add SmallTitan, update docs/FileFormat.tex, fix build.xml for newwer TG-*
	
2002-05-07 12:11  dolbeau

	* ExtTitan/ExtTitan.var,
	net/sf/colossus/client/VariantSupport.java,
	net/sf/colossus/parser/VariantLoader.jj,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/GetPlayers.java:

	some more support for non-6 players variant
	
2002-05-07 11:47  dolbeau

	* net/sf/colossus/server/: Constants.java, Legion.java,
	Player.java:

	put all color names (normal and short) in Constants
	
2002-05-07 09:33  dolbeau

	* net/sf/colossus/: client/VariantSupport.java,
	parser/VariantLoader.jj, server/Constants.java, server/Game.java,
	server/Server.java:

	some preliminary work to support more/less than 6 players variants
	
2002-05-07 05:29  dripton

	* net/sf/colossus/: client/Client.java, server/Game.java,
	server/Server.java, server/SimpleAI.java:

	Always send fully legion contents to AIs, until split prediction is done.
	Hack to prevent infinite mulligan loops.  Need to have the client AI
	   wait for status from server, rather than modifying status itself.
	
2002-05-07 04:54  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/Movement.java,
	net/sf/colossus/client/PlayerInfo.java,
	net/sf/colossus/server/AI.java, net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/SimpleAI.java,
	net/sf/colossus/util/Options.java:

	Move AI masterboard moves to client side.
	
2002-05-06 22:27  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/Movement.java,
	net/sf/colossus/server/AI.java,
	net/sf/colossus/server/Critter.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SimpleAI.java,
	net/sf/colossus/util/Options.java:

	Move AI summon and reinforce to client side.
	
2002-05-06 18:51  dripton

	* net/sf/colossus/: client/Strike.java, server/AI.java,
	server/Player.java, server/SimpleAI.java:

	Tweak AI battle eval to make attacker more aggressive and discourage
	   time losses.
	
2002-05-06 13:11  dripton

	* docs/TODO.txt, net/sf/colossus/client/BattleDice.java,
	net/sf/colossus/client/Concede.java,
	net/sf/colossus/client/PickRecruit.java,
	net/sf/colossus/client/PickRecruiter.java,
	net/sf/colossus/client/ShowAllRecruits.java,
	net/sf/colossus/server/LOSTest.java:

	Change dialogs to use BoxLayout instead of GridBagLayout.
	Add LOSTest.testLOS3() to test level 3 LOS.  It's failing.
	
2002-05-05 21:45  dripton

	* docs/README.tex, docs/TODO.txt,
	net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/Negotiate.java,
	net/sf/colossus/client/PickRecruiter.java,
	net/sf/colossus/client/Proposal.java,
	net/sf/colossus/client/ReplyToProposal.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java:

	Add networked negotiation.  Currently AIs just fight.
	If a client drops or quits, withdraw that player from the game.  If his
	   titan is engaged, give half-points to the slayer.
	
2002-05-05 16:32  dripton

	* docs/Credits.tex, net/sf/colossus/client/Client.java,
	net/sf/colossus/server/Game.java:

	Add sanity checks to Client.doSplit() and doRecruit() to keep players
	   from trying to do stuff out of turn.
	Don't call Server.engage() from Game, because this will fail the
	   correct player check.  Call Game.engage() instead.
	
2002-05-05 16:04  dripton

	* docs/TODO.txt, docs/build.bib, docs/build.tex,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/StatusScreen.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java:

	Verify that various calls to Server come from the correct player.
	Add JUnit to build docs.
	
2002-05-04 16:31  dolbeau

	* TG-ConceptII/README.html, TG-SetIII/README.html,
	TG-Wild/README.html:

	add notes to the newer TG variants
	
2002-05-04 16:21  dolbeau

	* Makefile:

	fix Makefile to add all TG-* variants
	
2002-05-04 13:01  dolbeau

	* ExtTitan/: ExtTitan.cre, README:

	back-out the Fire Elemental Fix, it was wrong
	
2002-05-03 18:18  dripton

	* docs/Credits.tex, docs/TODO.txt,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/client/Strike.java,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/IServer.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SimpleAI.java,
	net/sf/colossus/server/SocketServerThread.java:

	Move non-AI forced strike logic to client side.
	Change SimpleAI.getPointValue() so that warbear > ranger.
	Repaint hex after adding/removing creature from legion.
	
2002-05-03 15:11  dolbeau

	* ExtTitan/: ExtTitan.cre, README:

	Fix Fire Elemental
	
2002-05-03 14:05  dripton

	* docs/.cvsignore, net/sf/colossus/client/Client.java,
	net/sf/colossus/server/Game.java:

	Validate teleporting lord in Game.doMove().
	Eliminate duplicates in Client.listTeleportingLords().
	
2002-05-03 03:04  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/client/StatusScreen.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Critter.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SimpleAI.java:

	Show turn number, active player, phase for game and battle in StatusScreen.
	Set ServerSocket backlog to MAX_PLAYERS.
	Have Critter.moveToHex() not inform clients about trial AI battle moves.
	Call Game.doneReinforcing() in a few places to eliminate hangs.
	Change SimpleAI.getKillValue() to give a wider spread, and separate
	   creatures like Angel/Guardian and Cyclops/Warbear to sort better.
	
2002-05-02 19:29  dripton

	* docs/: Base.tex, CodingStandards.tex, Credits.tex, FAQ.tex,
	HW-SW-Req.tex, README.tex, build.bib, build.tex,
	network-design.txt, network.tex:

	Proofread and update docs.
	
2002-05-02 17:01  dripton

	* ExtTitan/: ExtTitan.cre, README:

	Make ExtTitan wyverns native to slope.  Explain why griffons rangestrike.
	
2002-05-02 16:14  dripton

	* TG-SetIII/README.html, TG-SetIII/TG-SetIII.var,
	TG-SetIII/Battlelands/Brush, TG-SetIII/Battlelands/Jungle,
	TG-SetIII/Battlelands/Marsh, TG-SetIII/Battlelands/Plains,
	TG-SetIII/Battlelands/Woods, TG-Wild/README.html,
	TG-Wild/TG-Wild.var, TG-Wild/Battlelands/Jungle,
	TG-Wild/Battlelands/Mountains, TG-Wild/Battlelands/Tower,
	docs/TODO.txt, net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/datatools/ShowBuilderHexMap.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SimpleAI.java,
	net/sf/colossus/util/Options.java:

	Fix Windows hang by moving socket connection code from SocketClientThread
	   constructor to run().
	Add Game.doneReinforcing() to clear reinforcing flag if recruit not taken.
	Add TG-SetIII and TG-Wild variants.
	Call clearFlags() from Game.advanceTurn() to clear stray engagement flags.
	Add code to verify recruiters in Game.doRecruit().  Not done yet because
	   the null recruiter / warm body in tower case isn't right.
	
2002-05-02 04:47  dripton

	* TG-ConceptII/README.html, TG-ConceptII/TG-ConceptII.var,
	TG-ConceptII/Battlelands/Brush, TG-ConceptII/Battlelands/Desert,
	TG-ConceptII/Battlelands/Hills, TG-ConceptII/Battlelands/Jungle,
	TG-ConceptII/Battlelands/Marsh, TG-ConceptII/Battlelands/Mountains,
	TG-ConceptII/Battlelands/Plains, TG-ConceptII/Battlelands/Swamp,
	TG-ConceptII/Battlelands/Tower, TG-ConceptII/Battlelands/Tundra,
	TG-ConceptII/Battlelands/Woods, docs/TODO.txt,
	net/sf/colossus/server/Constants.java:

	Add TG-ConceptII variant.
	
2002-05-01 22:19  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/util/LogWindow.java,
	net/sf/colossus/util/Options.java:

	Clear recruit chits before changing scale.
	Synchronize server.addClient().
	Fix check for byColor / byClient before saving/loading options.
	
2002-05-01 21:07  dripton

	* docs/TODO.txt, net/sf/colossus/client/BattleDice.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Server.java, net/sf/colossus/util/Glob.java:

	Add check for NumberFormatException to BattleDice for hex damage.
	Split out end of loadGame() into loadGame2() and call it from
	   Server.addClient() when waitingForClients is 0.
	Add a null check in Glob.
	
2002-05-01 20:07  dripton

	* docs/TODO.txt, net/sf/colossus/client/BattleDice.java,
	net/sf/colossus/client/Chat.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/HexMap.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/client/StartClient.java,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Critter.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/IServer.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SimpleAI.java,
	net/sf/colossus/server/SocketServerThread.java,
	net/sf/colossus/server/Start.java:

	Use sockets for communication from server to local clients, to
	   make things more orthogonal.
	Finish basic Chat.
	Synchronize a bunch of strike-related methods to prevent double
	   strikes.
	Do not call makeForcedStrikes from the Client for AI players.
	Send BattleDice rolls as List of Strings not Integers.
	Log version.
	Make saveGame("null") work like saveGame(null).
	Call kickEngagements() after post-battle summons to fix hang.
	
2002-05-01 00:48  dripton

	* docs/TODO.txt, net/sf/colossus/client/Chat.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java:

	Add fixName logic to ensure that correct SocketServerThread gets its
	   playerName reset when a byColor player gets its final name assigned.
	More chat stuff -- still not done yet.
	
2002-04-30 17:33  dripton

	* net/sf/colossus/client/BattleDice.java:

	Another attempt to fix null ptr in setValues() when hex damage is applied.
	
2002-04-30 06:40  dripton

	* net/sf/colossus/: client/BattleDice.java, server/SimpleAI.java:

	Empty and copy contents into existing BattleDice.rolls, rather than
	   copying the passed list in setValues(), so it can never be null.
	Andy's SimpleAI fixes to ignore fear on turn 1 (so both legions
	   leave the tower) and count this turn's recruit more than next
	   turn's recruit.
	
2002-04-30 06:10  dripton

	* docs/TODO.txt, net/sf/colossus/client/BattleDice.java,
	net/sf/colossus/client/Chat.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/GetPlayers.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java,
	net/sf/colossus/util/Options.java:

	Add null check to BattleDice for hex damage.
	Change from "localhost" to "127.0.0.1" for loopback sockets, in case
	   "localhost" is not defined.
	Show server machine's hostname and IP address in GetPlayers.
	Force network player names to byClient, and don't allow local players
	   named byClient.
	Do not save/load options for temp player names byColor / byClient.
	Start adding Chat.  Not done.
	
2002-04-29 15:32  dolbeau

	* net/sf/colossus/client/Client.java:

	fix for #533445 ; CreatureCollectionView doesn't repaint the Chit unless rescale()ed... so we call rescale instead of repaint.
	
2002-04-29 12:46  dolbeau

	* docs/FileFormat.tex,
	net/sf/colossus/datatools/BuilderHexMap.java,
	net/sf/colossus/datatools/ShowBuilderHexMap.java:

	add TOWER flag to BBuilder
	
2002-04-29 12:14  dolbeau

	* Badlands-JDG/Battlelands/TowerAlt, Default/Battlelands/Tower,
	TG-ConceptI/Battlelands/Tower, TG-ConceptIII/Battlelands/Tower,
	TG-SetII/Battlelands/Tower, docs/FileFormat.tex,
	net/sf/colossus/client/BattleMovement.java,
	net/sf/colossus/client/HexMap.java,
	net/sf/colossus/client/Movement.java,
	net/sf/colossus/client/VariantSupport.java,
	net/sf/colossus/parser/BattlelandLoader.jj,
	net/sf/colossus/server/Battle.java,
	net/sf/colossus/server/Game.java:

	split STARTLIST to STARTLIST and TOWER, fix the Battlelands loading so that they can change between game
	
2002-04-29 08:23  dolbeau

	* net/sf/colossus/client/VariantSupport.java:

	fixing crash when option-file variant didn't exist
	
2002-04-29 01:29  dripton

	* Colossus-client.jnlp, build.xml, docs/FAQ.tex, docs/TODO.txt:

	Add jnlp files to run the socket client.
	
2002-04-28 22:32  dripton

	* net/sf/colossus/: client/SocketClientThread.java,
	server/Game.java, server/Server.java, server/SocketServer.java,
	server/SocketServerThread.java:

	Remove broken code to verify color choices.
	Close and recreate the ServerSocket when disposing clients.
	
2002-04-28 19:40  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SimpleAI.java,
	net/sf/colossus/server/SocketServerThread.java:

	Fix loadGame().  Do not create local clients for dead players.
	Add several null checks for missing clients.
	Add public getPlayerName() to Client, IClient.
	Change PickLord to use colorized, powered Titans.
	Merge SocketServer into Server.
	Authenticate color choices.
	Change SimpleAI.getKillValue() to make creatures sort better.
	
2002-04-28 13:31  dripton

	* docs/TODO.txt, net/sf/colossus/client/SocketClientThread.java:

	Fix remote logging, again.
	
2002-04-28 05:37  dripton

	* Makefile, docs/TODO.txt, docs/network.tex,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/GetPlayers.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/PickIntValue.java,
	net/sf/colossus/client/SocketClient.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/client/StartClient.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/GetPlayers.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServerThread.java,
	net/sf/colossus/server/Start.java, net/sf/colossus/util/Log.java:

	Merge SocketClient into SocketClientThread.
	Add simple dialog to StartClient.
	Move GetPlayers to server package.
	Add -p command-line option for port to both sides.
	Change some command line option letters for consistency.
	Remove RMI stuff from Makefile.
	Add a null check to Player to stop a hang after angel summoning.
	Fix remote logging.
	
2002-04-28 00:28  dripton

	* docs/protocol.txt, net/sf/colossus/client/IRMIClient.java,
	net/sf/colossus/client/SocketClient.java,
	net/sf/colossus/server/IRMIServer.java,
	net/sf/colossus/server/SocketServerThread.java:

	Remove obsolete stuff.
	
2002-04-28 00:24  dripton

	* net/sf/colossus/client/ClientFactory.java:

	Remote obsolete ClientFactory.
	
2002-04-27 22:55  dripton

	* build.xml, java.policy, runclient, runclient.bat, runserver,
	runserver.bat, docs/TODO.txt, docs/network.tex,
	net/sf/colossus/client/BattleDice.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/Concede.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/Proposal.java,
	net/sf/colossus/client/SocketClient.java,
	net/sf/colossus/client/SocketClientThread.java,
	net/sf/colossus/client/StartClient.java,
	net/sf/colossus/client/SummonAngel.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Critter.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/IServer.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/SocketServer.java,
	net/sf/colossus/server/SocketServerThread.java,
	net/sf/colossus/util/Glob.java, net/sf/colossus/util/Split.java:

	Change network transport from RMI to socket / String protocol.
	
2002-04-25 14:42  dripton

	* net/sf/colossus/client/SaveWindow.java:

	Forgot to add SaveWindow.java
	
2002-04-24 19:39  dripton

	* docs/TODO.txt, docs/network.tex,
	net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/Concede.java,
	net/sf/colossus/client/CreatureCollectionView.java,
	net/sf/colossus/client/Negotiate.java,
	net/sf/colossus/client/ReplyToProposal.java,
	net/sf/colossus/client/StatusScreen.java,
	net/sf/colossus/util/LogWindow.java,
	net/sf/colossus/util/Options.java:

	Move window size/location persistence to SaveWindow class.
	
2002-04-24 14:30  dolbeau

	* docs/: Base.tex, Makefile, network.tex, network.txt:

	TeXified network.txt, added it to Base.tex
	
2002-04-24 01:53  dripton

	* net/sf/colossus/: client/BattleMap.java, client/Concede.java,
	client/CreatureCollectionView.java, client/StatusScreen.java,
	util/LogWindow.java:

	Fix a fencepost error in loadLocation() logic.
	
2002-04-23 20:52  dripton

	* .java.policy:

	Remove .java.policy, which was renamed to java.policy.
	
2002-04-23 20:51  dripton

	* java.policy, runclient, runclient.bat, runserver, runserver.bat,
	docs/TODO.txt, net/sf/colossus/util/LogWindow.java:

	Copy .java.policy to java.policy since the dot was keeping it out of
	   zip and jar files by default.
	Change run* to use java.policy instead of .java.policy
	Grant all permissions in java.policy, in case the permissions that
	   work for me aren't portable.
	
2002-04-20 03:36  dripton

	* docs/TODO.txt, net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/Concede.java,
	net/sf/colossus/client/CreatureCollectionView.java,
	net/sf/colossus/client/StatusScreen.java,
	net/sf/colossus/util/Log.java, net/sf/colossus/util/LogWindow.java,
	net/sf/colossus/util/Options.java:

	Save and load some window locations and sizes.
	
2002-04-20 00:41  dripton

	* build.xml:

	Remove old "1_LATEST_IS_*" files from download directory in inst target.
	
2002-04-16 23:21  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/ClientFactory.java,
	net/sf/colossus/client/StartClient.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Server.java:

	Remove the concept of a primary client.  (So no GUI for any AI.)
	
2002-04-13 22:50  dripton

	* rmiclient, rmiclient.bat, rmiserver, runclient, runclient.bat,
	runserver, runserver.bat, docs/network.txt:

	Rename rmi* to run* for consistency.
	Add preliminary network docs.
	
2002-04-13 21:34  dripton

	* .java.policy, docs/TODO.txt,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Server.java,
	net/sf/colossus/server/Start.java, net/sf/colossus/util/Log.java:

	Fix policy file to allow only necessary permissions.
	Fix remote logging.
	Add server-side command-line option for number of network players.
	
2002-04-13 16:29  dripton

	* rmiclient.bat, rmiserver, docs/TODO.txt,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/IRMIClient.java,
	net/sf/colossus/client/StartClient.java,
	net/sf/colossus/server/Server.java, net/sf/colossus/util/Log.java:

	Add remote logging.
	Default remote client player name to username.
	
2002-04-13 12:05  dolbeau

	* Makefile:

	fix Makefile for RMI
	
2002-04-13 06:07  dripton

	* .java.policy, rmiclient, rmiserver:

	Add wide-option test .java.policy file.
	Modify rmiclient and rmiserver to use .java.policy file in current dir.
	
2002-04-13 05:45  dripton

	* build.xml, rmiclient, rmiserver, docs/TODO.txt,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/GetPlayers.java,
	net/sf/colossus/client/StartClient.java,
	net/sf/colossus/server/Constants.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/IRMIServer.java,
	net/sf/colossus/server/Player.java,
	net/sf/colossus/server/Server.java:

	Add initial RMI startup code.  (Not quite ready.)
	Move some constants from GetPlayers to Constants.
	Change some broken String != to !equals().
	
2002-04-12 21:08  dripton

	* build.xml, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/ClientFactory.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/RMIClient.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/IServer.java,
	net/sf/colossus/server/RMIServer.java,
	net/sf/colossus/server/Server.java:

	Remove excess RMI classes.  The extra layer of indirection didn't
	   work because IRMIServer couldn't extend IServer due to
	   all those thrown RemoteExceptions.
	Add RMI RemoteException handling to Client and Server.
	Add rmi target to build.xml.
	
2002-04-12 16:22  dripton

	* net/sf/colossus/client/Client.java:

	In tellStrikeResults() set the battleChit hits/dead before calling
	   highlightCrittersWithTargets(), so that chits without living
	   targets will not be highlighted.
	
2002-04-12 16:20  dolbeau

	* net/sf/colossus/: client/MasterBoard.java,
	parser/StrategicMapLoader.jj:

	remove useless init function in SML, replace by a static initializer
	
2002-04-12 16:18  dolbeau

	* net/sf/colossus/: client/HexMap.java,
	parser/TerrainRecruitLoader.jj:

	fix more static stuff in TerrainRecruitLoader
	
2002-04-12 15:32  dripton

	* net/sf/colossus/server/Battle.java:

	Call critter.moveToHex() for null moves, to ensure that the client
	   is kept in sync.
	
2002-04-11 22:38  dripton

	* docs/TODO.txt, net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/IRMIClient.java,
	net/sf/colossus/client/RMIClient.java,
	net/sf/colossus/server/IRMIServer.java,
	net/sf/colossus/server/IServer.java,
	net/sf/colossus/server/RMIServer.java:

	Add skeleton RMI classes.
	
2002-04-11 15:41  dripton

	* build.xml, docs/TODO.txt, docs/options.txt,
	net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/ClientFactory.java,
	net/sf/colossus/client/IClient.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/server/IServer.java,
	net/sf/colossus/server/Server.java:

	Add IClient, IServer, and ClientFactory.  Change direct Client and
	   Server references from other side of network connection to point
	   to interfaces instead.
	Touch file "1_LATEST_IS_{date}" in download directory from ant inst.
	Remove forceAdvance* options.  Useful if AI gets stuck, but could
	   cause havoc in network games.
	
2002-04-11 06:41  dolbeau

	* net/sf/colossus/parser/TerrainRecruitLoader.jj:

	reset acquirableList when switching variant
	
2002-04-10 18:40  dripton

	* docs/TODO.txt, net/sf/colossus/server/Game.java:

	Fix concession during battle.
	
2002-04-10 04:41  dripton

	* net/sf/colossus/server/SimpleAI.java:

	Remove Minimax refs from SimpleAI.
	
2002-04-10 04:34  dripton

	* net/sf/colossus/: client/Client.java, server/Battle.java,
	server/Game.java, server/Legion.java, server/Server.java:

	Cleanup client option triggering.
	Fix a just-introduced bug in Client.concede() / doNotConcede().
	Rename Client.addMarker() to tellLegionLocation().
	Compute inverted in battle.initBattleChits() and client.placeNewChit()
	   rather than needlessly passing it around.
	
2002-04-10 02:58  dripton

	* net/sf/colossus/: client/Client.java, server/Server.java:

	Clean up concede battle logic, eliminating redundant Server.tryToConcede().
	
2002-04-10 02:41  dripton

	* docs/TODO.txt, net/sf/colossus/client/VariantSupport.java,
	net/sf/colossus/parser/TerrainRecruitLoader.jj,
	net/sf/colossus/server/CarryTest.java,
	net/sf/colossus/server/Creature.java,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/LOSTest.java,
	net/sf/colossus/server/Legion.java:

	Initialize creatures and terrains/recruits from
	   VariantSupport.loadVariant().  Eliminate Game.initAndLoadData().
	Use a flag to see if the current variant has been loaded, so that
	   it's always loaded at least once, for side effects.
	Prune duplicates from Acquirable list before calling AcquireAngel.
	Remove starting creatures from Caretaker in Legion.getStartingLegion()
	   rather than its caller.
	
2002-04-09 22:45  dripton

	* net/sf/colossus/: client/GUIMasterHex.java, client/Hex.java,
	client/MasterBoard.java, parser/StrategicMapLoader.jj:

	Only use StrategicMapLoader once.  Then clone the non-GUI MasterHexes
	   to creature the GUIMasterHexes.
	
2002-04-09 21:16  dripton

	* net/sf/colossus/server/: CarryTest.java, LOSTest.java:

	Remove obsolete MasterBoard constructors from unit tests.
	
2002-04-09 21:11  dripton

	* docs/TODO.txt, net/sf/colossus/client/Client.java,
	net/sf/colossus/client/LegionInfo.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/MasterHex.java,
	net/sf/colossus/parser/StrategicMapLoader.jj,
	net/sf/colossus/server/Game.java,
	net/sf/colossus/server/Legion.java,
	net/sf/colossus/server/Server.java:

	Make player option saving automatic whenever a player option is changed.
	Remove loadOptions/saveOptions from MasterBoard File menu.
	Call client.loadOptions() early, to avoid overwriting server's options
	   with loaded options.  Add Client.runAllOptionTriggers() to force
	   side effects for GUI options after board is ready.
	Add static initializer for MasterBoard non-gui hexes.  Rename hex
	   arrays and lists for clarify.  Synchronize some initialization
	   methods to avoid initializing non-GUI hexes multiple times.
	Show all legion contents when game is over.
	
2002-04-09 01:43  dripton

	* net/sf/colossus/: client/Client.java, server/Battle.java,
	server/Game.java, server/Server.java:

	Fix a null pointer.
	Comments.
	Remove obsolete debug logging.
	
2002-04-09 00:16  dripton

	* docs/TODO.txt, net/sf/colossus/client/BattleDice.java,
	net/sf/colossus/client/BattleMap.java,
	net/sf/colossus/client/BattleMovement.java,
	net/sf/colossus/client/Chit.java,
	net/sf/colossus/client/Client.java,
	net/sf/colossus/client/Concede.java,
	net/sf/colossus/client/GUIBattleHex.java,
	net/sf/colossus/client/GUIMasterHex.java,
	net/sf/colossus/client/GetPlayers.java,
	net/sf/colossus/client/HexMap.java,
	net/sf/colossus/client/MasterBoard.java,
	net/sf/colossus/client/Movement.java,
	net/sf/colossus/client/PickCarry.java,
